2005-10-19  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Release version 1.8.12

2005-10-17  Christian Stimming  <stimming@tuhh.de>

	* src/bin/generate-gnc-script: Add a commented-out workaround for
	UTF-8 problems, as proposed by Didier Vidal. To use this
	workaround, uncomment the designated line in this file before
	build.

2005-10-16  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/pl.po: Added polish glossary by A. Tokarski
	<szczur@malinablue.punkt.pl>

	* po/*.po: Make a po-update. This also speeds up compilation time
	significantly.

	* src/import-export/import-backend.c: Woohoo! Tracked down and
	fixed a nasty double-free error when the importer reconciled
	existing transactions.

2005-10-07  Christian Stimming  <stimming@tuhh.de>

	* src/engine/iso-4217-currencies.scm: Fix spelling of TJS
	currency. Fixes #310697.

2005-10-06  David Hampton  <hampton@employees.org>

	* src/app-utils/date-utilities.scm: Patch from Yves-Eric Martin
	<yem_lists.gnucash.org@filter.yve.net> to make it easier for users
	to change the financial year end date.  They still have to edit a
	scheme file though.

2005-09-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c (on_aqhbci_button):
	Improve error message for newer aqbanking.

2005-09-10  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.[hc]: Add support for
	"internal bank transfers" as supported by latest aqbanking. If
	aqbanking >= 1.6.1 is available, it will automatically be compiled
	in, otherwise ifdef'd out.

2005-08-29  Derek Atkins  <derek@ihtfp.com>

	* src/engine/date.[ch]: fix for bug #170444 -- pass a better
	  tm value to strftime.

2005-08-16  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c (inputBoxCB): Aaarg,
	fix extremely stupid bug that occasionally crashes the PIN entry.

2005-08-15  David Hampton  <hampton@employees.org>

	* src/engine/Query.c: Todd T. Fries patch for compilation on
	OpenBSD 64bit architectures.

2005-08-15  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/business-core.scm:  need to
	  properly recurse in gnc:owner-get-owner-id.  there is no
	  gnc:owner-get-id API.

2005-07-10  David Hampton  <hampton@employees.org>

	* src/engine/iso-4217-currencies.scm: Add the new Romanian Leu.

2005-05-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Fix handling of debit
	notes -- they were broken at all times since the aqbanking
	transition, oops.

	* src/import-export/hbci/dialog-hbcitrans.c: Add sanity checks and
	ask user when there are no purpose lines.

2005-05-06  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c (on_aqhbci_button):
	Finally generalize the AqBanking setup call. Now the setup wizard
	for OFX-DirectConnect can be called by Tools -> HBCI Setup as
	well.

2005-05-05  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c: Improve debugging
	messages.

2005-04-21  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-getbalance.c: Fix forgotten NULL
	check as reported by Martin Preuss <aquamaniac@gmx.de>.

2005-04-14  David Hampton  <hampton@employees.org>

	* src/engine/iso-4217-currencies.scm: 
	* src/engine/gnc-commodity.c: Update the Bulgarian Lev and add the
	Malagasy Ariary.

2005-04-06  Christian Stimming  <stimming@tuhh.de>

	* po/rw.po, po/glossary/rw.po: Add Kinyarwanda translation by
	Steven Michael Murphy <murf@e-tools.com>

2005-04-02  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Fix warning about
	deprecated aqbanking function in aqbanking-1.0.7

2005-03-20  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c: Retrieve the current
	book's character encoding which so far is identical to the
	locale's encoding by nl_langinfo().

	* src/import-export/hbci/hbci-interaction.c: Fixed ignored 'abort'
	button.

2005-03-19  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c (gnc_hbci_descr_tognc):
	Correctly convert imported transaction description from utf-8 to
	the local encoding.

2005-03-13  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-getbalance.c: Improve user
	message when downloaded balance is already identical to reconciled
	balance.

2005-03-12  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-gettrans.c, hbci-interaction.h:
	Improve error handling in HBCI operations.

2005-02-26  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-kvp.c (force_account_dirty):
	Force account 'dirty' after modifying the kvp_frame. Hopefully
	fixes #165096.

2005-02-21  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c, import-backend.h,
	import-main-matcher.h: Revert the change in December about date
	matching thresholds that broke some OFX import. Now, the hard
	limit days interval is set by the importing sub-module when
	creating the dialog. This way, HBCI and OFX can set their
	different requirements. (Note: QIF does not use this code at all.)

2005-02-16  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-utils.c: When trying to load the symbol
	  from a glade file, Fall back to dlsym() if g_module_symbol()
	  fails.  This is necessary to find the symbols on on certain *BSD
	  systems.

	* acinclude.m4: Add mips, mipsel, arm, and m68k for Debian.

2005-02-08  Christian Stimming  <stimming@tuhh.de>

	* po/it.po: Updated Italian translation by Lorenzo Cappelletti
	<lorenzo.cappelletti@email.it>

2005-02-06  Chris Lyttle  <chris@wilddev.net>

	* configure.in: Release 1.8.11
	* NEWS: Release 1.8.11

2004-02-06  Derek Atkins  <derek@ihtfp.com>

	* src/engine/date.c: Fix the last-day-of-month computation for
	  leap years.  Need to use modulo, not divide.  (Patch by
	  Neil Williams.

2005-02-06  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-gettrans.c: Fix HBCI date range
	for statement download.

2005-01-05  Derek Atkins  <derek@ihtfp.com>

	* src/report/locale-specific/us/gncmod-locale-reports-us.c:
	  guile-1.3.4 gh_eal_str() requires a char*, not a const char*
	  So we're removing the const here for older systems with
	  "ancient" guile.

	* src/report/locale-specific/us/Makefile.am: make sure the
	  scheme reports are part of the DIST.

2005-01-30  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Scrub.c:
	* src/engine/Transaction.c:
	  Add the transaction guid to some error warning messages.
	  Fixes #165571.

2005-01-29  Derek Atkins  <derek@ihtfp.com>

	Thomas Bushnell's patch to protect non-backup pruning (#164875)
	* src/backend/file/gnc-backend-file.c:
	  When working on the file foo.xac, backups are named
	  foo.DATE.xac.  But the backup file pruner will prune any old
	  file named foo.DATE.anything.

2005-01-29  Christian Stimming  <stimming@tuhh.de>

	* configure.in, src/tax/us/gncmod-tax-us.c,
	src/report/locale-specific/us/gncmod-locale-reports-us.c,
	src/app-utils/gnc-ui-util.c: Make localized tax categories
	disabled by default; can be enabled by
	--enable-locale-specific-tax switch.

	* po/de.po: Update German translation.

	* src/import-export/hbci/dialog-hbcitrans.c: Enable debit notes
	again. Various other improvements.

	* src/import-export/hbci/druid-hbci-initial.c (on_aqhbci_button),
	configure.in: Adapt to latest changes in aqbanking; external
	wizard name is no longer hard-coded here but is asked from
	aqbanking.

2005-01-28  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-ledger/Makefile.am: add explicit
	  dependency on business-utils.

2005-01-23  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.c: Properly accumulate
	  splits (bug #165053).  Also fixes a (related) memory leak
	  (caused by the same lack-of-reference to accumulated splits).

2005-01-16  Christian Stimming  <stimming@tuhh.de>

	* src/app-utils/gnc-ui-util.c: Modify tax option code to load
	tax-de_DE module in the appropriate locale.
	
	* src/report/locale-specific/us/gncmod-locale-reports-us.c,
	de_DE.scm: Add scheme module for locale-report/us
	resp. locale-report/de_DE again because it seems to be required.

2005-01-10  Christian Stimming  <stimming@tuhh.de>

	* src/report/locale-specific/us/gncmod-locale-reports-us.c,
	src/tax/us/gncmod-tax-us.c: For German tax categories, make sure
	the module name will match the de_DE locale or will fall back to
	us module name all the time.

2004-12-29  Christian Stimming  <stimming@tuhh.de>

	* src/tax/us/txf-de_DE.scm: Add Tax TXF categories for the de_DE
	locale, i.e. the German tax report. If the current locale begins
	with de_DE, the new German tax categories will be loaded,
	otherwise the conventional U.S. ones. This is the easiest method
	to allow other (non-U.S.) tax categories to be selected in the
	accounts' tax settings.
	
	* src/report/locale-specific/us/taxtxf-de_DE.scm: Add Tax report
	for de_DE locale. If the current locale begins with de_DE, the new
	German tax report will be loaded, otherwise the conventional
	U.S. report.

2004-12-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c (on_aqhbci_button):
	Add extra sanity checks and verbose error message if the setup
	wizard of aqhbci cannot be found.

	* src/import-export/hbci/gncmod-hbci.c: Fix potentially missing
	initialization of gwenhywfar library, as reported by Peter
	O'Gorman on Max OS X.

2004-12-11  Chris Lyttle  <chris@wilddev.net>

	* configure.in: Release 1.8.10
	* NEWS: Release 1.8.10

2004-12-04  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/Makefile.am:
	* src/backend/file/test/Makefile.am:
	* src/business/business-core/file/Makefile.am:
	  Need to include GNOME_XML_CFLAGS to make sure the libxml includes
	  are found during the compile.  Fixes #121026.

	* src/gnome/glade/register.glade:
	  Increase "number" spin box to a maximum of 1billion.  Fixes #152772.

	* src/business/business-core/gncInvoice.c:
	  send an event when a payment is processed so the invoice gets
	  updated as "paid" in the search window.
	  Fixes #139092.

	* src/business/business-gnome/dialog-vendor.c:
	  Make sure we set the proper search-type when we create the
	  query, otherwise the search will fail later.
	  Fixes #141526.

2004-11-28  Christian Stimming  <stimming@tuhh.de>

	* po/cs.po: Updated Czech translation by Miloslav Trmac
	<mitr@volny.cz>

2004-11-27  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c
	(gnc_import_find_split_matches): Improve importer performance by
	matching imported transactions only against transactions in the
	proper time interval.

2004-11-24  Christian Stimming  <stimming@tuhh.de>

	* po/es.po, po/glossary/es.po: Updated Spanish translation by
	Eneko Lacunza <enlar@enlar.net>.

2004-11-22  Christian Stimming  <stimming@tuhh.de>

	* configure.in, README: Add configure check for libofx version
	0.7.0 and respective error message. Update docs. Fixes #159050

2004-11-15  Benoit Grégoire <bock@step.polymtl.ca>
 	* po/fr.po: Yet again updated french translation, by  
Gérard Delafond this time.  Merging with the previous one was not amusing, let's hope we don't have to do that again.  With all the contributions to the french translation since 1.8.9, this is really a major overhaull.

2004-11-15  Benoit Grégoire <bock@step.polymtl.ca>
 	* po/fr.po: Updated french translation by Benoit Grégoire

2004-11-13  Christian Stimming  <stimming@tuhh.de>

	* po/POTFILES.in, src/report/report-gnome/window-report.c,
	src/scm/main-window.scm: Identified and fixed several places with
	untranslated strings.

2004-11-10  Christian Stimming  <stimming@tuhh.de>

	* src/engine/gnc-commodity.c, src/engine/iso-4217-currencies.scm:
	Change currency mnemonic for "New Israeli Shekel" from "ILS" to
	"NIS". Fixes #152755.

2004-11-07  Christian Stimming  <stimming@tuhh.de>

	* po/cs.po: Updated Czech translation by Miloslav Trmac
	<mitr@volny.cz>

2004-11-02  Benoit Grégoire <bock@step.polymtl.ca>
	* accounts/fr_FR/acctchrt_business.gnucash-xea: Gerald Delafond new translation of the GnuCash business chart of account.
	
2004-11-02  Benoit Grégoire <bock@step.polymtl.ca>
	* po/fr.po: Updated french translation by Gerald Delafond and Benoit Grégoire

2004-11-02  Christian Stimming  <stimming@tuhh.de>

	* po/en_GB.po: Updated British English translation by Nigel Titley
	<nigel@titley.com>

2004-11-01  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/dialog-find-transactions.c: Mark search criteria for
	translation -- somehow this had been missed all the time.

2004-10-31  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-pricedb.c:
	  Phil Longstaff's patch to prevent duplicate pricedb entries.

	Heath Martin's x86_64 patch:
	* src/engine/gnc-numeric.[ch]:
	  change string_to_gnc_numeric() to return gboolean.
	* src/app-utils/gnc-exp-parser.c:
	* src/backend/file/sixtp-dom-parsers.c:
	  use new string_to_gnc_numeric() API
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/dialog-sxsincelast.c:
	* src/gnome/druid-loan.c:
	* src/gnome-utils/dialog-account.c:
	* src/gnome-utils/gnc-query-list.c:
	* src/import-export/import-match-map.c:
	  use GPOINTER_TO_INT and GINT_TO_POINTER macros to be 64-bit safe.

	* src/engine/gw-engine-spec.scm:
	  Fix parameter order to match C file (thanks for Erwin Rieger).

2004-10-30  Christian Stimming  <stimming@tuhh.de>

	* doc/README.HBCI: Updated HBCI readme.
	
	* src/import-export/hbci/hbci-interaction.c: Fix problems with
	user messages.

2004-10-15  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.[ch]
	* src/business/business-gnome/dialog-date-close.[ch]
	* src/business/business-gnome/dialog-invoice.c
	* src/business/business-gnome/glade/date-close.glade
	* src/business/business-utils/business-prefs.scm
	  Daniel Lindenaar's patch to implement a check-box in the Invoice Post
	  Dialog (with a default in the File Preferences) to choose to accumulate
	  splits when posting an invoice, or post a 1:1 mapping.

2004-10-13  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-object.scm:
	  provide a default account name so we don't crash when someone
	  imports a broken QIF that has a !Account without an account name.
	  Fixes bug #155244.

2004-10-08  Derek Atkins  <derek@ihtfp.com>

	* engine/gw-engine-spec.scm:
	* gnome-search/dialog-search.h:
	* report/report-gnome/dialog-column-view.h:
	  Andreas Rottmann's patch to support g-wrap 1.9.
	  - don't wrap non-existent objects
	  - protect headers from multiple inclusion
	  - include gtk.h header when we use gtk objects.

2004-10-08  Benoit Grégoire <bock@step.polymtl.ca>
	* src/import-export/import-backend.c:  Duplicate match tweaks:
		-Change MATCH_DATE_NOT_THRESHOLD from 3 weeks to two weeks
		-A transaction amount mismatch past the threshold is now punished by -5 instead of -1
		-Date mismatch is now worth -5 isntead of -10
		-Check number mismatch is now punished -2, but only if both numbers are NOT empty.
	* src/import-export/ofx/gnc-ofx-import.c: Update for new LibOfx, this among other things, gives gnucash Microsoft OFC support.
	* src/import-export/ofx/test/test-link.cL Update for new LibOfx.
	* configure.in:  Partly update for new libofx.  It will crash if the right version isn't available, but there is no explicit version support (if someone wants to code it, you can use the output of "ofxdump --version". 

2004-09-28  Derek Atkins  <derek@ihtfp.com>

	* src/engine/QueryCore.c: Fix for x86_64.
	* src/backend/file/io-gncbin-r.c: Fixes for x86_64

2004-09-25  Christian Stimming  <stimming@tuhh.de>

	* configure.in, src/import-export/hbci/hbci-interaction.c: Major
	change for HBCI, back-ported from HEAD. The HBCI online banking is
	no longer based on the openhbci library but instead on the
	aqbanking library http://sf.net/projects/aqbanking which is Martin
	Preuss' successor of openhbci. This means that now aqbanking-0.9.5
	is required instead of any openhbci package. This is almost ready
	for production work but still should need extensive testing.

2004-08-28  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Account.c: fix xaccAccountGetBalanceAsOfDate() to properly
	  compute the balance at the end of the split list.  Fixes #150757.

2004-08-21  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/advanced-portfolio.scm:
	  Add option to include zero-amount splits in computations.
	  Fixes #143722.

2004-08-19  Derek Atkins  <derek@ihtfp.com>

	* configure.in: change the gtkhtml order to search for >= 1.1 before
	  < 1.1, in order to try to fix #84707 on systems with multiple
	  versions of gtkhtml.

	* src/import-export/qif-import/qif-dialog-utils.scm:
	  Perry Smith's Null Account Patch.  Make sure the security is
	  a real string before appending an account separator, so we
	  don't try to create a "null" account.

2004-08-11  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/gnucash.desktop.in: make the desktop HIG compliant.
	  Fixes #145545

2004-07-11  Christian Stimming  <stimming@tuhh.de>

	* po/pt_BR.po: Updated Brazilian Portugese translation by Jon
	Lapham <lapham@jandr.org>

	* po/nl.po: Updated Dutch translation by Jeroen ten Berge
	<twinbit@home.nl>

2004-07-02  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/dialog-print-check.c:
	* src/gnome/glade/print.glade:
	* src/scm/printing/print-check.scm:
	  Apply David Reiser's patch for Quicken(tm) cheques with stub.

	* src/app-utils/gnc-ui-util.[ch]:
	  Apply David Grant's patch to add TD Efunds.  Fixes #145297.

2004-06-30  Christian Stimming  <stimming@tuhh.de>

	* src/report/report-gnome/window-report.c: Add toolbar element for
	saving the current report.

	* src/report/report-system/report.scm, report-system.scm: Add
	function for saving one particular report to the
	~/.gnucash/saved-reports-1.8 file. Add extra menu only for
	customized reports.

	* src/scm/main-window.scm, src/scm/main.scm: Remove the previous
	function for saving all reports since it is no longer necessary.

	* po/de.po: Update German translation.

2004-06-21  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Update German translation.

	* src/scm/main-window.scm, src/scm/main.scm: Fix saving of report:
	It now appends to ~/.gnucash/saved-reports-1.8 Statusbar tip is
	now more verbose.

	* po/ru.po: Updated Russian translation by Vitaly Lipatov
	<lav@altlinux.ru>

2004-06-18  Christian Stimming  <stimming@tuhh.de>

	* src/scm/main-window.scm, src/scm/main.scm: Added example Menu
	item "File -> Save all reports" that will call the new report
	saving function for all reports. This would need more work so that
	not all reports are saved but only the currently selected one --
	any volunteer may feel free to add that.

	* src/report/report-system/report.scm, report-system.scm: Added
	gnc:report-generate-saved-forms that will generate the scheme code
	necessary to create a new report from the saved options of an old
	report.

2004-06-18  Derek Atkins  <derek@ihtfp.com>

	* src/scm/paths.scm: create gnc:current-saved-reports, as
	  the file to store saved reports from cstim.  Autoload the
	  saved-reports file at startup (after config.user/config.auto
	  is loaded).	  
	* src/scm/main.scm: export gnc:current-saved-reports

2004-05-31  Linas Vepstas <linas@linas.org>
	* src/...:
	  Backport of CVS-head changes to improve register open 
	  performance when working with large account trees 
	  (>500 accounts).  The new code caches the quickfill 
	  tree so that it is shared by all register windows.
	  Fixes bug http://bugzilla.gnome.org/show_bug.cgi?id=120028

2004-05-24  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/transaction.cm: applied Vasil's
	  patch to improve the transaction report for HTML export
	  purposes.  Fixes bug #142942.

2004-05-17  Derek Atkins  <derek@ihtfp.com>

	* src/report/locale-specific/us/taxtxf.scm: guile-1.6 complains
	  about string->symbol when passed a symbol.  Fixes #131201
	  Also add some code to handle accounts that are expected to
	  have parents but do not (also described in #131201).

2004-05-15  Derek Atkins  <derek@ihtfp.com>

	* Luigi Ballabio's automake patch to gnucash.m4

2004-05-08  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-match-map.c
	(gnc_imap_add_account_bayes): Skip the case when a token is the
	empty string. This caused many warnings about a NULL kvp_frame
	lookup.

2004-05-07  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-ui-util.[ch]: Added quote sources for Indian
	Mutual Funds.

2004-05-05  Derek Atkins  <derek@ihtfp.com>

	* src/engine/iso-currencies-to-c: don't automatically try to
	  (require 'format), so gnucash will build on an slib-3 system.

2004-05-02  David Hampton  <hampton@employees.org>

	* src/business/business-core/Makefile.am:
	* src/business/business-gnome/Makefile.am:
	* src/import-export/binary-import/Makefile.am: Work around
	problems with libltdl3.

2004-05-02  Christian Stimming  <stimming@tuhh.de>

	* po/it.po: Updated Italian translation by Lorenzo Cappelletti
	<lorenzo.cappelletti@email.it>

2004-04-26  Derek Atkins  <derek@ihtfp.com>

	* src/scm/Makefile.am: look in ${srcdir} for build-config.scm.in
	  Fixes #141129

2004-04-20  Derek Atkins  <derek@ihtfp.com>

	* src/report/report-system/html-utilities.scm:
	  Fix a broken recursion problem.  Don't call show-acct? from
	  use-acct? so we don't recurse ad flictum.  This recursive
	  call isn't necessary, just have use-acct? recurse unto itself.

2004-04-19  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/balance-sheet.scm:
	* src/report/standard-reports/pnl.scm:
	  Fabien COELHO's zero-balance patch to remove accounts of
	  zero balance from the report.

2004-04-18  Christian Stimming  <stimming@tuhh.de>

	* po/cs.po: Update Czech translation by Miloslav Trmac
	<mitr@volny.cz>

	* po/en_GB.po: Updated British English translation by Nigel Titley
	<nigel@titley.com>

2004-05-16  Derek Atkins  <derek@ihtfp.com>

	* src/macros/autogen.sh: Add MORE warnings around gettext because
	  some users STILL don't "get it".

2004-05-15  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/hbci/dialog-hbcitrans.c:  Don't use C++/C99
	  declarations.  Declare variables at the top of the function.
	  Fixes #140070

2004-04-11  Chris Lyttle  <chris@wilddev.net>

	* configure.in: Release 1.8.9
	* NEWS: Release 1.8.9

2004-04-10  Christian Stimming  <stimming@tuhh.de>

	* accounts/de_DE/acctchrt_*: Updated placeholder settings in
	account templates by Joerg Sommer <joerg@alea.gnuu.de>

	* po/cs.po: Updated Czech translation by Miloslav Trmac
	<mitr@volny.cz>

2004-04-05  Derek Atkins  <derek@ihtfp.com>

	* macros/autogen.sh: make sure we always have intl and po Makefiles
	  in the configure script.  Sometimes it was ripped out without being
	  replaced.  Reported by twunder.

2004-04-01  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/dialog-scheduledxaction.c: Move variable declaration
	  to the top of the block.

2004-03-31  Derek Atkins  <derek@ihtfp.com>

	* configure.in: move m4/Makefile to its own line
	* macros/autogen.sh: add code to remove "intl/Makefile po/Makefile"
	  from AC_OUTPUT in configure.in prior to calling gettextize
	  to make sure that you can build from CVS with recent versions
	  of gettextize.  Tested with both RH9 and RH7.3 to make sure
	  it works with both old and new.  Fixes #120206.

	* accounts/hu_HU/Makefile.am: don't include files in the DIST that
	  we don't have in CVS.

2004-03-30  Derek Atkins  <derek@ihtfp.com>

	* src/report/report-system/report-system.scm:
	* src/report/utility-reports/iframe-url.scm:
	  don't need to require format; main.scm handles it, and
	  the default "format" (simple-format) is sufficient to
	  handle everything we need.  This allows gnucash to work
	  with slib3.

2004-03-14  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/druid-loan.c (ld_get_loan_range): Fix precedence bug
	screwing up loan review page.

2004-03-14  Joshua Sled  <jsled@asynchronous.org>

	* src/register/register-core/formulacell.c
	(gnc_formula_cell_modify_verify): Add ':' to the token list of
	allowable characters in the formula cell. Fixes Bug#106260.

2004-03-14  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/druid-loan.c (gnc_ui_sx_loan_druid_create): Use the
	account-list filtering capability of the GncAccountSel to only
	show/allow-creation-of valid account-types in the
	loan-druid. Fixes Bug#124595.

2004-03-13  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_check_consistent):
	Bug#133709 fix: when we have a problem parsing a credit/debit
	cell, indicate to the user what occurred.

2004-03-10  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Updated German translation

2004-03-07  Joshua Sled  <jsled@asynchronous.org>

	* HACKING: Added instructions about running under valgrind.

	* lib/gnucash_valgrind.supp: Added a large set of valgrind
	suppressions for both guile and gnucash.

	* src/register/ledger-core/gnc-ledger-display.c
	(gnc_ledger_display_template_gl): Change the reg_type to
	SEARCH_LEDGER so all the 'action' types appear. Bug#108833.

	* src/gnome/glade/sched-xact.glade: Remove unused 'ledger_status'
	widget. Bug#102269.

	* src/gnome-utils/gnc-dense-cal.c (gnc_dense_cal_draw_to_buffer):
	At least be consistent about the background coloring of the month
	labels, even if we're still not using GTK themeage correctly.

	* src/gnome-utils/gnc-dense-cal.c (gnc_dense_cal_destroy): Destroy
	the transient window when the widget is destroyed. Bug#103910.

	* src/gnome/dialog-scheduledxaction.c
	(gnc_ui_scheduled_xaction_editor_dialog_create): Make the advance
	and remind spin-buttons editable [Bug#94963].

	* src/gnome/glade/sched-xact.glade: Change the upper bound on the
	advance and remind spins to 365 [days], with a page-size of 30
	[days].

	* src/gnome/dialog-sx-from-trans.c (gnc_sx_create_from_trans):
	Disallow the Scheduling of being-editing transactions in the
	Register, preventing a class of unbalacned SX template
	transactions from being entered and propogated through the
	system. See Bug#130330.

	* src/engine/FreqSpec.c (xaccFreqSpecGetFreqStr): Fix nasty
	memory-corruption issue; insufficent bounds checking on array
	index. Bug#125600.

	* src/gnome/dialog-sxsincelast.c (create_each_transaction_helper):
	Better handling of various error cases in
        transaction-creation. Bug#102311; Bug#130330.

2004-03-08  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c, dialog-hbcitrans.h,
	glade/hbci.glade, gnc-hbcitransfer.c: Transfer template management
	GUI added by Bernd Wagner <F.J.Bernd.Wagner@t-online.de>

2004-03-04  Christian Stimming  <stimming@tuhh.de>

	* po/nl.po: Updated Dutch translation by Jeroen ten Berge
	<twinbit@home.nl>

2004-03-03  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-load.c: make the code a
	  little cleaner by not re-using (and re-defining!) the same
	  variable name inside a block of code and "over-riding" an
	  existing variable.  Unlikely to actually fix anything, but
	  you never know what a compiler might do.

2004-03-01  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_check_consistent):
	Fix for part of Bug#121740 -- only allow auto-create SXes which
	have splits to be created.

2004-02-07  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (editor_ok_button_clicked): 
	* src/gnome-utils/gnc-frequency.c (gnc_frequency_save_state): 
	* src/backend/file/gnc-freqspec-xml-v2.c (fs_none_handler): 
	* src/engine/FreqSpec.c (xaccFreqSpecGetFreqStr):
	Adding "NONE" as an allowable FreqSpec [Bug#103968].

2004-02-01  Christian Stimming  <stimming@tuhh.de>

	* po/cs.po: Update Czech translation by Miloslav Trmac
	<mitr@volny.cz>

	* po/es.po: Updated Spanish translation by Eneko Lacunza
	<enlar@enlar.net>.
	
	* po/ru.po: Updated Russian translation by Vitaly Lipatov
	<lav@altlinux.ru>
	
	* po/it.po, po/glossary/it.po: Updated Italian translation by
	Lorenzo Cappelletti <lorenzo.cappelletti@email.it>.

2004-01-31  Christian Stimming  <stimming@tuhh.de>

	* src/engine/gnc-commodity.c, src/engine/iso-4217-currencies.scm:
	Change Ukrainian "UAG" into "UAH" #128913

	* src/import-export/import-backend.c: Commented out setting the
	memo always to "Auto-created split" due to popular request.

2004-01-30  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-layout.c:  Remove the
	  RECN cell from payable/receivable to stop confusing people.

2004-01-25  Benoit Grégoire <bock@step.polymtl.ca>

	* po/fr.po:  Further translation from Luc Maisonobe.  Also replaced 
	France specifie "TVA" with the generic "Taxe(s)"

2004-01-19  Herbert Thoma  <herbie@hthoma.de>

	* src/gnome-utils/transfer.glade: rename from_xxx and to_xxx account
	  tree widgets to left_xxx and right_xxx
	* src/gnome-utils/dialog-transfer.c: if in "accountant mode" call
	  "transfer from" "credit account" and "transfer to" "debit account"
	  and interchange account trees

2004-01-19  Benoit Grégoire <bock@step.polymtl.ca>

	* po/fr.po:  Updated translation.  Partially applied patch from Luc
	Maisonobe, see http://bugzilla.gnome.org/show_bug.cgi?id=117335 for
	details.

2004-01-19  Benoit Grégoire <bock@step.polymtl.ca>

	* src/bin/Makefile.am:  Fix a problem with opt style installs.  Thanks Derek.

2004-01-16  Derek Atkins  <derek@ihtfp.com>

	* configure.in: fix a typo in the help (was --diable-gui).  Fixes #131414

	* configure.in: add db-4.2 to the list of databases we search.
	  We probably need a better mechanism to search for a working db
	  library, like defining our own macro and just supplying a list.
	  We probably can get rid of the prefer-db1 option as well, maybe?
	  Fixes #131506

2004-01-15  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/options.scm: Create two new functions to centralize
	  date-selection option creation.
	* src/app-utils/app-utils.scm: export the new scheme functions
	* src/app-utils/prefs.scm: Modify Herbert's patch to centralize
	  the date-selection option code.
	* src/report/report-system/options-utilities.scm: use the new
	  centralized date-selection option-creation code.

2004-01-13  Herbert Thoma  <herbie@hthoma.de>

	* src/app-utils/global-options.c:
	* src/app-utils/global-options.h: add gnc_lookup_date_option()
	  function
	* src/app-utils/gnc-ui-util.c:
	* src/app-utils/gnc-ui-util.h: add 
	  gnc_ui_account_get_balance_in_currency() function
	* src/app-utils/prefs.scm: add preferences for summarybar
	* src/engine/Account.c:
	* src/engine/Account.h: add 
	  xaccAccountConvertBalanceToCurrencyAsOfDate() function
	* src/gnome/window-main-summarybar.c: summarybar can now display
	  a grand total of all commodities, profits of a period of time
	  and net assets at the end of the period; summarybar can be
	  configured with some options under edit->preferences

2004-01-13  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c, gnc-hbci-utils.c: Add
	workaround code for openhbci/chipcard problem.

2004-01-12  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/file-utils.[ch]:  add gnc_getline() function
	  to read an unlimited line-length from a file (so you're
	  not limited to a buffer size with fgets() and the like).
	  It is similar to the getline(3) on Linux except the API
	  is different and it will always set the return string.

2004-01-02  Derek Atkins  <derek@ihtfp.com>

	* README.patches:
	* make-gnucash-patch.in:
	  Patch by Geoff Kassel to work on OpenBSD (allow user to set diffcmd)
	Fixes #122646

	* src/engine/test-core/test-engine-stuff.c: don't test double
	  KVPs, on the theory that they will soon be deprecated.
	Fixes #127315
	
	* src/engine/test-core/test-engine-stuff.c: random queries only
	  get up to 3 terms, not 4
	* src/app-utils/test/test-scm-query-string.c: loop the test 1000
	  times, now that the queries are smaller.
	Fixes #127492

	* src/business/business-reports/aging.scm:  When computing the aging
	  report, ignore splits that belong to closed lots.  This way we wont
	  get the wrong values when the invoice falls outside the 360-day
	  window but its payment falls inside the window.

2003-12-22  Christian Stimming  <stimming@tuhh.de>

	* accounts/hu_HU/*xea: Hungarian account templates by Sulyok Peter
	<sp@elte.hu>

2003-12-18  Herbert Thoma  <herbie@hthoma.de>

	* src/gnome/dialog-price-editor.c: when the commodity is changed,
	then set the currency to the currency of the last price entered
	for this commodity

2003-12-11  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/reconcile-list.c: make sure to verify that the items
	  in the reconcile hash are still around after a refresh.  Fixes
	  bug #129121.

2003-12-08  Benoit Grégoire  <bock@step.polymtl.ca>
	*src/import-export/log-replay/gnc-log-replay.c:  Increase read buffer size.
	Hopefully fixes 127421, but this time someone please do test the fix...

2003-11-22  Christian Stimming  <stimming@tuhh.de>

	* po/pl.po: Updated Polish translation by GNOME PL Team
	<translators@gnome.pl>

2003-11-19  David Hampton  <hampton@employees.org>

	* src/quotes/dump-finance-quote: Be more explicit when a lookup fails.

2003-11-17  Derek Atkins  <derek@ihtfp.com>

	* Makefile.DEPS: change timeout from 60 to 5 seconds.  Fixes #120207

2003-11-17  Chris Lyttle  <chris@wilddev.net>

	* configure.in: Release 1.8.8
	* NEWS: Release 1.8.8

2003-11-16  Derek Atkins  <derek@ihtfp.com>

	* src/engine/test-core/test-engine-stuff.c:  don't make a timespec
	  with tv_sec == 0.  Fixes some tests on the alpha platform.

	* po/el.po: Review and Update by ta panta rei <ta_panta_rei@flashmail.com>
	  +73 more messages contributed by ta panta rei 

2003-11-14  Christian Stimming  <stimming@tuhh.de>

	* po/de.po, po/glossary/de.po: Insert German word changes as
	discussed on linuxwiki.de/GnuCash/WeiterEntwicklung in order to be
	more in accordance with German financial wordings.

2003-11-14  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/advanced-portfolio.scm:
	Applied Frank Pavageau's patch regarding capital gains to
	handle split transactions.

2003-11-12  Christian Stimming  <stimming@tuhh.de>

	* accounts/tr_TR/*.xea: Added Turkish account templates by
	A. Alper Atici <alper_atici@yahoo.com>

	* configure.in, po/tr.po: Initial Turkish translation by A. Alper
	Atici <alper_atici@yahoo.com>

	* po/nl.po: Updated Dutch translation by Jeroen ten Berge
	<twinbit@home.nl>

2003-10-24  Christian Stimming  <stimming@tuhh.de>

	* accounts/el_GR/*: Updated Greek account templates by Nikos
	Charonitakis <frolix68@yahoo.gr>

	* po/el.po: Updated Greek translation by Nikos Charonitakis
	<frolix68@yahoo.gr>: Review and Update by ta panta rei
	<ta_panta_rei@flashmail.com>

2003-10-21  Christian Stimming  <stimming@tuhh.de>

	* po/cs.po: Updated Czech translation by Miloslav Trmac
	<mitr@volny.cz>
	
	* src/import-export/hbci/gnc-hbci-utils.c: Refactor some GUI
	code. Improve user messages.

2003-10-21 Linas Vepstas <linas@linas.org>

   * src/business/business-core/gncVendor.c: BillTermDecRef should have
     been BillTermIncRef when setting new bill term

2003-10-20  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c,
	gnc-hbci-getbalance.c, dialog-hbcitrans.c: Improved user messages.

	* src/import-export/hbci/gnc-hbci-utils.c: Fixed extremly stupid,
	old bug that causes weird HBCI errors.

2003-10-18  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Updated German translation.
	
	* src/import-export/hbci/druid-hbci-initial.c: Fix and initially
	implement handling of multiple banks/users/customers.

	* src/import-export/hbci/dialog-hbcitrans.c: Fix handling of HBCI
	direct debits (fix wrong textkey).

	* po/it.po: Updated Italian translation by Lorenzo Cappelletti
	<lorenzo.cappelletti@email.it>.

2003-10-14  Christian Stimming  <stimming@tuhh.de>

	* accounts/el_GR/*: Updated Greek account templates by Nikos
	Charonitakis <frolix68@yahoo.gr>

	* po/de.po: Fix wrong translation of string, #124357.

2003-09-30  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-date.h: add a comment about minimum string length
	* src/engine/Transaction.c: fix the ISO_DATELEN to be "long enough"
	  Fixes #123558

2003-09-27  Derek Atkins <derek@ihtfp.com>

	* Remove debian scripts (fix #123046)

2003-09-23  Christian Stimming  <stimming@tuhh.de>

	* po/ca.po: Add Catalan translation by Orestes Mas
	<orestes@tsc.upc.es>

2003-09-15  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-getbalance.c: Improve error
	message when receiving zero balance from bank.

	* accounts/de_CH/acctchrt_chkmu.gnucash-xea: Add account template
	for Swiss German businesses "KMU" by Tom Winterhalder
	<t.winterhalder@freesurf.ch>

	* accounts/de_DE/acctchrt_skr04.gnucash-xea: Add *big* account
	template for German businesses "SKR04" by Betina Schmidt
	<betina-s@gmx.de>

2003-09-14  Chris Lyttle  <chris@wilddev.net>

	* configure.in: Release 1.8.7
	* NEWS: Release 1.8.7

2003-09-14  Derek Atkins  <derek@ihtfp.com>

	* src/backend/postgres/test/run-tests.sh: small fix from
	  hawkfan to get tests to work when building outside srcdir.
	* src/backend/postgres/putil.c: fix a bug introduced by Matthew --
	  ANSI C does not allow you to declare a variable in the middle
	  of an expression.  Move the declaration to the top of the function.
	* src/backend/postgres/functions.sql:
	* src/backend/postgres/table-audit.sql:
	  We don't need the trailing semi-colon because the #include adds
	  one.  The double semi-colon causes build failures in some cases.

2003-09-13  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/ofx/gnc-ofx-import.c:  use <libofx/libofx.h>
	  instead of "libofx/libofx.h" as it's not part of our system.
	  Fixes a dependency problem in 1.8.6 release.

2003-09-11  Chris Lyttle  <chris@wilddev.net>

	* configure.in: Release 1.8.6
	* NEWS: Release 1.8.6

2003-09-11  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/file/gnc-*.c:
	  Add a "slots" parameter to allow for future expansion.  Right
	  now this is completely ignored (which will allow future releases
	  to add a kvp-frame slots to any business function and allow that
	  file to be read by older versions).  Right now the slot is ignored,
	  but that's better than barfing on the data file.

2003-09-11  Christian Stimming  <stimming@tuhh.de>

	* po/sk.po: Updated Slovak translation by Zdenko Podobný
	<zdpo1@centrum.sk>

2003-09-09  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-transfer.c:  during the dialog startup it
	  tries to build the transfer rate.  This crashes on Solaris because
	  during startup one commodity is still NULL when it tries to print
	  it.
	Fixes bug #121677

	* src/engine/engine-helpers.c:  turn off scheme garbage collection
	  during query->scm and scm->query conversion.  It shaves about 50%
	  off the test-scm-query-string tests.
	* src/app-utils/test/test-scm-query-string.c: make the test
	  deterministic by seeding the RNG with a known value.  There is a
	  known "delay" at #245 with a seed of 1 on Linux systems.

2003-09-08  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* po/glossary/sk.po: Commit updated file submitted through the
	  translation project.
	
2003-09-07  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* src/engine/TransLog.c,h: Merge missing part of my 2003-05-28
	  commit.  The log format changes didn't get commited for some
	  reason, making the log replayer completely unusable.  We now
	  officially have 3 of the 4 importers broken.  I think it's time
	  to think about going straight to string freeze to allow for a
	  quick 1.8.6 release.
	
2003-09-04  Derek Atkins  <derek@ihtfp.com>

	Apply Nigel Titley's patch to fix #103174:
	* src/register/register-core/basiccell.c:
	  - add some debugging messages
	  - don't kill ourself if we're asked to set the value to our own value.

	Description of the problem from Nigel:
	
	The problem is that the SX formula_cell stuff calls (via an
	intermediate step) 

	gnc_basic_cell_set_value_internal (BasicCell *cell, const char *value)

	with value pointing at cell->value. The overall effect of this as far
	as gnc_basic_cell_set_value_internal is concerned is to trash the value
	stored in cell->value *before* re-writing back to the same place (the
	g_free() writes memory management stuff in the first few bytes of the
	value). This is what trashes the debit/credit value in the SX register
	entry.
	
2003-09-02  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* po/cs.po: Commit updated translation from translation project.
	
2003-08-28  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c: Aaarg. Fixed extremely
	stupid bug in the import value setting workaround.

2003-08-21  Christian Stimming  <stimming@tuhh.de>

	* po/es.po, el.po, fr.po: Updated Spanish and Greek translation by
	the respective translator. Added translator name to French
	translation.

2003-08-18  Chris Lyttle  <chris@wilddev.net>

	* Release 1.8.5 re-tagged

2003-08-18  Christian Stimming  <stimming@tuhh.de>

	* po/*.po: msgmerge all translations, as requested, to speed up
	compilation time significantly.

2003-08-17  Chris Lyttle  <chris@wilddev.net>

	* configure.in: Release 1.8.5
	* NEWS: Release 1.8.5

2003-08-15  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c: Workaround for
	multi-currency importing bug as discussed on gnucash-devel.

2003-08-13  Matt Vanecek   <mevanecek@yahoo.com>

    * src/backend/postgres/PostgresBackend.c pgend_session_begin():
      Moved the pgendUpdgradeDB() call outside of the SQL transaction,
      because the upgrades performed each have their own separate
      transaction.

    * src/backend/postgres/newtables.h: A little bit of cleanup. Also
      changed all the INSERTs to specify column names, to prevent
      problems with column orders between old/new tables.

    * src/backend/postgres/table-audit.sql: Moved bookGuid in
      gncPriceTrail to be the second column.
      
    * src/backend/postgres/table-create.sql: Moved bookGuid in
      gncPrice to be the second column.

    * src/backend/postgres/upgrade.c: (re)Added transaction control
      to each upgrade function.  Also, the following fixes came out
      of regression testing:
    - add_multiple_book_support():  Removed the "NOT NULL" from the 
      ADD COLUMN statements, and placed them in an ALTER TABLE...SET
      NULL construct.  The original is not supported in Postgresql
      and fails to execute.
    - Changed the stpcpy() to use g_strdup_printf() instead, for dynamic
      query assembly.
    - Made a few cosmetic changes to comparisons for readability.

2003-08-12  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Updated German translation.

	* po/pt_BR.po: Updated Brazilian Portugese Translation by Jon
	Lapham.

2003-08-10  Matt Vanecek  <mevanecek@yahoo.com>

    * src/backend/postgres/PostgresBackend.c: Changed all the
      gncEntry references to gncSplit, and entryGuid to splitGuid.
    - pgend_session_begin(): Changed the 2nd xaccBackendSetMessage()
      message argument to the internationalization format.
    - Changed the pgendUpgradeDB() call to come after a commit--the
      upgrade process uses its own transaction handling (now).
      
    * src/backend/postgres/checkpoint.c:
    * src/backend/postgres/gncquery.c:
    * src/backend/postgres/gncquery.h:
    * src/backend/postgres/txn.c:
    * src/backend/postgres/txnmass.c:
    * src/backend/postgres/events.c: Changed all the gncEntry
      references to gncSplit, and entryGuid to splitGuid.
      
    * src/backend/postgres/functions.sql: Changed the TIMESTAMP args
      to TIMESTAMP WITH TIME ZONE args, and gncEntry args to gncSplit.
    
    * src/backend/postgres/putil.c: Added the execQuery() function
    - sendQuery(): Added internationalization to the
      xaccBackendSetMessage() call.

    * src/backend/postgres/putil.h: Added the execQuery() prototype.
    
    * src/backend/postgres/table-create.sql:
    * src/backend/postgres/table-audit.sql: Changed all the TIMESTAMP
      types to TIMESTAMP WITH TIME ZONE.  Change all the gncEntry refs
      to gncSplit, and entryGuid to splitGuid.
    - Grouped all the index creates at the end for readability and
      maintenance ease.

    * src/backend/postgres/table-version.sql: Added a new insert row for
      the gncVersion table to reflect these changes.

    * src/backend/postgres/table.m4: Change all the gncEntry refs to
      gncSplit, and entryGuid to splitGuid.

    * src/backend/postgres/upgrade.c: Added message.h and Backend.h
      for error messaging support.
    - In each update function, added a call the DB for BEGIN and COMMIT.
    - Changed all the gncEntry and entryGuid to gncSplit and splitGuid.
    - Added the add_timezone_support() function to perform the latest
      upgrades.
    - pgendUpgradeDB(): Add a call to add_timezone_support() if the minor
      version is less than 5.
    - Changed PGEND_CURRENT_MINOR_VERSION from 4 to 5

    * src/backend/postgres/newtables.h: new file for upgrading db tables
      to v1.5.0.

    * src/engine/Backend.c -- xaccBackendSetMessage(): Allow the
      function to accept an NULL argument for the message, and to set
      the backend error message to NULL in such a case.
      
2003-08-10  Derek Atkins  <derek@ihtfp.com>

	* rpm/Makefile.am: add gnucash.spec to the DIST; clean during
	  distclean.  Rebuild it whenever the .in, Makefile, or config.status
	  changes.  Fixes #119446.

	* src/backend/file/sixtp.c: Add code to read XML files with real
	  namespace declarations.  (see bug #88078)

	* src/*/Makefile.am: Make sure we define PWD, as not all shells
	  define it properly.  Fixes #119114.

	* src/gnome/reconcile-list.c: our parent is a gnc-query-list, not
	  a clist.  Fix a bug so we properly call the parent destroy function.

2003-08-05  Christian Stimming  <stimming@tuhh.de>

	* src/scm/help-topics-index.scm: Adapted to latest gnucash-docs
	changes, by Jon Lapham <lapham@extracta.com.br>. Note: We are now
	in string freeze until 1.8.5 release on Aug 17. Please don't
	change any translated strings now.

2003-08-03  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/druid-loan.c: Apply patch to fix a number of
	  off-by-one bugs in the loan druid.  Fixes #119001.

2003-07-30  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-account-tree.c: add "(Report)" strings
	  to the various columns displayed in the report currency.
	  Partial fix for #118695.

	* src/business/business-core/gncInvoice.c: set the date-entered on
	  invoice transactions to "now" instead of the post date.  This
	  lets us know when an invoice was actually posted, or a payment
	  was actually made.

	Support "gain/loss" balancing splits on stocks:
	* src/engine/Transaction.c: fix xaccSplitGetPrice() to return '0'
	  if 'amount' is zero but 'value' is non-zero
	* src/register/ledger-core/split-register-model-save.c: if we've
	  already handled the debcred cell then DON'T handle the price cell
	  as it will override the debcred's value.
	* src/register/ledger-core/split-register.c: if #shares == 0,
	  price == 0, and value (buy/sell) != 0 then allow this entry;
	  it's an income/expense balancing split.
	* src/register/ledger-core/split-register-control.c: if the exchange
	  rate cell is 0 but this is NOT the blank split, then don't run
	  the exchange-rate dialog unless specifically requested.
	* src/register/ledger-core/split-register-model.c: when trying to
	  find the conversion rate for a split, remember if we found
	  a matching split (even if the amount is 0).  If all matching
	  splits are 0, then return 0, not 1.

2003-07-30  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* src/scm/help-topics-index.scm: Commit Jon Lapham's doc changes.

2003-07-28  Derek Atkins  <derek@ihtfp.com>

	* src/engine/date.c: back port a change to gnc-date.c.
	  If the date format hasn't changed and the month/day appears
	  in the wrong order, try swaping them.
	Fixes #117198

2003-07-28  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Add button for
	manual adding of HBCI accounts. Fixes #117760. Requires latest
	OpenHBCI CVS -- next openhbci-0.9.13 will be out this weekend.

	* src/import-export/hbci/gnc-hbci-{getbalance,gettrans,transfer}.c:
	Add saving of the HBCI_API so that bank's status changes will now
	be remembered immediately. However this might save some
	unnecessary information to disk, but hopefully we will have fixed
	that in OpenHBCI soon.

2003-07-28  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-date-edit.c: hide the calendar popup
	  on enter/return keypress events (in addition to ESC).
	Fixes #118500

2003-07-27  Matt Vanecek  <mevanecek@yahoo.com>

    * src/backend/postgres/PostgresBackend.c: Added pgendGetBook(),
      to retrieve the GNCBook from the session, instead of storing the
      book in the backend object.
    - Where be->book was used, use pgendGetBook() instead.
    - Enhanced debug messages.
    * src/backend/postgres/PostgresBackend.h: Added the gncbook.h
      include, and the pgendGetBook() prototype
    * src/backend/postgres/book.c: Changed pgendGetBook to
      pgendBookRestore() to reflect its functionality of restoring
      the book's data to the engine.
    * src/backend/postgres/price.c: In pgendPriceFind(), couched the
      currenct portion of the SQL statement in an "if" statement,
      because gnc_pricedb_lookup_latest_any_currency() can pass in
      a NULL currency, and stpcpy() doesn't like NULLs.
    * src/backend/postgres/escape.c: enhanced debug messages.
    Fixes bug #116546

2003-07-27  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/Makefile.am: add log-replay (make sure its built)
	* src/import-export/log-replay/gncmod-log-replay.c: backport the
	  guile APIs so it builds in the 1.8 framework.

2003-07-26  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Backend.h: add a new error, ERR_BACKEND_READONLY
	* src/engine/gw-engine-spec.scm: add new error type
	* src/backend/file/gnc-backend-file.c: differentiate between
	  "file is already locked" and "we can't create the lockfile"
	  so we can let the user know.
	* src/app-file/gnc-file.c: handle the new ERR_BACKEND_READONLY
	  error message by changing the error dialog presented to the
	  user.
	Fixes #117665

	* src/backend/file/gnc-backend-file.c: don't make the chmod() and
	  chown() functions fatal errors.  Warn the user if they fail, but
	  don't fail to save.  In the long run we need some way to pop up
	  warning messages from a backend, but until then we'll have to
	  stick with PWARN() and hope users see the console.
	Fixes #118258

	* src/app-file/gnc-file.c: fix the message to be more appropriate
	  when we hit a READONLY error.
	* src/backend/file/gnc-backend-file.c: return ERR_BACKEND_READONLY
	  on save if the XML write fails and the unlink() fails with
	  ENOENT, EPERM, EROFS, or EACCES.
	* src/engine/gnc-session.c: don't call end_session just because
	  there's an error.
	Fixes #117657

2003-07-26  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* src/import-export/import-account-matcher.c: Fix bug #105293

2003-07-26  Christian Stimming  <stimming@tuhh.de>

	* accounts/it/*: Updates to the Italian account templates by
	Lorenzo Cappelletti <lorenzo.cappelletti@email.it>

2003-07-23  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-book.c: be sure to delete the book's KVP when we
	  destroy it.

2003-07-17  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/gnc-backend-file.c:  Don't need to set the
	  backend error directly after calling gnc_file_be_get_file_lock(),
	  as get_file_lock will set the backend error itself.

2003-07-16  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.c: change the description
	  and action of Invoice and Payement Transactions/Splits, to make
	  it easier to print a check off the posted transactions.

	* src/report/standard-reports/cash-flow.scm: fix some labels and
	  add more text to make it more clear what's going on.  Hopefully
	  fixes #104878.

	* src/report/standard-reports/register.scm: add Debit and Credit
	  totals.  Fixes bug #115611.

2003-07-14  Derek Atkins  <derek@ihtfp.com>

	* configure.in: search for db-4.1.  Fixes #116509.

	* src/gnome-util/dialog-transfer.c: fix a bunch more rounding
	  errors, and add more precision to the price.  There is still a
	  problem when acquiring a high-precision price out of the pricedb
	  where it will get truncated in the AmountEdit widget.

2003-07-09  Derek Atkins <derek@ihtfp.com>
	
	* src/business/business-core/gncBillTerm.c:
	* src/business/business-core/gncTaxTable.c:
	  Fix a crash where removing items in the wrong order could
	  cause "Bad Things" to happen -- referencing an invalid
	  object.  When being destroyed, an object should remove itself
	  from it's parent's list of children, in addition to removing
	  itself from it's children's pointer-to-parent.

	* src/business/business-gnome/business-gnome.scm: sort the
	  bills before displaying them, so they appear in a consistent
	  order (by date due).

2003-07-09  Christian Stimming  <stimming@tuhh.de>

	* README: Added remark about gnucash-docs.
	
	* po/de.po: Updated German translation.

	* src/import-export/hbci/druid-hbci-initial.c: Clarify the part of
	the HBCI setup about potentially adding HBCI accounts manually.

2003-07-04  David Hampton  <hampton@employees.org>

	* src/gnome/dialog-price-edit-db.c: Add a couple of extra checks
	to prevent crashing if the commodity attached to a price quote has
	disappeared. #111643

	* src/gnome/dialog-commodities.c: Provide a new warning message
	before deletion if a commodity has any quice quotes.  If the user
	deletes the commodity anyway, removed any quotes are based on the
	commodity

	* src/engine/gnc-pricedb.c: Enhance the get prices routine to
	handle a request with a NULL currency.

2003-07-02  Chris Lyttle  <chris@wilddev.net>

	* src/scm/help-topics-index.scm: add Jon Lapham's patch

2003-07-02  Christian Stimming  <stimming@tuhh.de>

	* accounts/it/*: Added Italian account templates by Lorenzo
	Cappelletti <lorenzo.cappelletti@email.it>

	* src/import-export/hbci/gnc-hbci-transfer.c,
	src/import-export/hbci/dialog-hbcitrans.c: Change HBCI online
	transfer action so that first the gnucash Transaction is created
	and only after that the HBCI connection is started. Necessary for
	later implementation of offline queueing and multi-job execution.

2003-07-01  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-backend-file.c: New data file should have
	same uid/gidas original file. #105662

2003-06-28  Derek Atkins  <derek@ihtfp.com>
	
	* src/backend/file/gnc-backend-file.c: Fix 'Save As' so it can
	write to non-existing files.  (Ported David Hampton's patch from HEAD)

2003-06-27  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Fix stupid bug with
	transaction templates, introduced during code refactoring.

2003-06-25  David Hampton  <hampton@employees.org>

	* src/scm/price-quotes.scm: Don't print the "handling-request"
	messages when getting stock quotes. #110687

	* src/report/report-system/html-document.scm: 
	* src/report/report-system/html-text.scm: Correctly quote
	attribute values. #115244

	* src/gnome-utils/dialog-options.c: Display selected pixmap when
	opening an options window.

	* src/gnome-utils/dialog-commodity.c:
	* src/gnome-utils/dialog-utils.[ch]: Consolidate a couple of
	functions into the only file where they areused.

2003-06-25  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/balance-sheet.scm: Add a "retained
	  earnings" item under equity, and change the title to include
	  the start date.  Fixes (finally!) bug #113196

	* src/gnome-utils/dialog-transfer.c: if we've got the 'exch rate'
	  button set, then make sure we update the to-amount before we use
	  it.  Also be sure to use the values we just obtained.
	  Fixes #115991.

2003-06-25  Christian Stimming  <stimming@tuhh.de>

	* src/gnome-utils/dialog-transfer.h: Add callback handler that is
	notified of the newly created Transaction.

2003-06-24  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/*: Refactor many HBCI functions to
	eventually enable queued processing of several HBCI jobs.

2003-06-23  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-account.c: Limit the commodity choices
	based upon the current account type. #102023, #115461

	* src/gnome-utils/dialog-commodity.c: Add a new argument to the
	dialog creation functions to specify what types of commodities
	should be presented.  Also tweak the title of the dialog based
	upon this argument.  Remove the "new" button when the dialog is
	limited strictly to currencies.

	* src/gnome-utils/gnc-commodity-edit.c:
	* src/import-export/binary-import/druid-commodity.c: 
	* src/import-export/import-commodity-matcher.c: 
	* src/import-export/qif-import/druid-qif-import.c: Updated for new
	commodity dialog argument.

	* src/report/standard-reports/register.scm: Show the running
	balance column by default. #92052.

	* src/gnome/window-register.c: Annotate the window title to
	indicate whether a register is for a single account or it includes
	all subaccounts. #107927

	* src/gnome/gnc-split-reg.c: Change the register close dialog to
	include a cancel option. #105742

	* src/gnome/window-register.c: Don't close the register if the
	user cancelled. #105742

	* src/gnome/window-reconcile.c: If the user has manually entered
	an amount, then stop automatically updated the amount when the
	date is changed. #110806

2003-06-22  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-commodity.[ch]: Clean up usage of the
	gnc_ui_update_namespace_picker function.

2003-06-22  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/category-barchart.scm: Properly
	  reverse the balances of accounts instead of using the internal
	  functions to determine when to reverse.  Fixes #115268.

2003-06-21  Christian Stimming  <stimming@tuhh.de>

	* po/it.po: Updated Italian translation by Lorenzo Cappelletti
	<lorenzo.cappelletti@email.it>.

	* src/backend/file/gnc-backend-file.c: Apply sam's patch:
	  don't allow selection of directory for save file

	* src/business/business-reports/Makefile.am: add fancy-invoice report
	* src/business/business-reports/business-reports.scm: load the fancy-invoice
	* src/business/business-reports/fancy-invoice.scm: a fancy invoice
	  report, to show what else is possible.  It's not really useful per
	  se, but it is another example for users.  To be useful it requires
	  some custom editing.  Thanks to Oliver Jones for submitting the
	  changes.

2003-06-19  Chris Lyttle  <chris@wilddev.net>

	* src/scm/help-topics-index.scm: add Jon Lapham's patch

2003-06-18  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Tolerate some
	banks' failure of the GetSystemId-job.

2003-06-17  Chris Lyttle  <chris@wilddev.net>

	* src/scm/help-topics-index.scm: add Jon Lapham's patch

2003-06-17  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncBillTerm.c: fix gncBillTermCopy()
	  so it PROPERLY copies the bill term.  Oops!
	* src/business/business-core/file/gnc-tax-table-xml-v2.c:
	  when rebuilding the refcount, make sure we fix the grandparent
	  problems first so we refcount the correct object.
	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	  when rebuilding the refcount, make sure we fix the grandparent
	  problems first so we refcount the correct object.  Also cope
	  with the broken gncBillTermCopy() and hope that the existing
	  parent is correct.

2003-06-16  David Hampton  <hampton@employees.org>

	* src/gnome/window-register.c: Register with the component manager
	for ACCOUNT events.  Redo the window title when an event is
	received. Fixes #113164.

	* src/app-utils/gnc-component-manager.c: Enhance debugging.

2003-06-15  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/druid-qif-import.c:  raise the
	  import window after choosing a file.  I think this fixes #114209
	  but I couldn't reproduce the problem so I couldn't actually test
	  the fix.

	* src/business/business-gnome/dialog-billterms.c:
	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-employee.c:
	* src/business/business-gnome/dialog-payment.c:
	* src/business/business-gnome/dialog-vendor.c:
	* src/business/dialog-tax-table/dialog-tax-table.c:
	* src/gnome/dialog-scheduledxaction.c:
	* src/gnome/gnc-split-reg.c:
	* src/import-export/hbci/hbci-interaction.c:
	  Change dialog statements to allow for embedded percent signs in
	  the messages.  In other words, don't allow user input into the
	  format string of a printf.  There may be other forms of this bug
	  elsewhere -- the code should be manually scrubbed file by file
	  for all printf()'s to make sure no user-servicable strings are
	  used as a printf format argument.  Fixes #115245.

	* src/business/business-gnome/dialog-invoice.c: change how the
	  billterms option menu is used so it will change properly if
	  you change the invoice's owner.  Fixes #115290.

	* src/report/standard-reports/account-piecharts.scm: Don't use
	  gnc:reverse-account-balance? to determine whether to reverse
	  the balance -- base it purely on the report type.  Otherwise
	  certain reports doesn't work right when the "reverse account
	  balances" is set in certain ways.  Fixes #107472.

	* src/engine/Account.c: initialize the returned values in
	  finder_help_function().  This fixes bug #108883 (and possibly
	  others not reported).

2003-06-14  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/io-gncxml-v2.c: make the book-string an extern
	* src/backend/file/gnc-book-xml-v2.c: make the book-string non-static
	Fixes #114401

	* src/register/ledger-core/split-register-model.c: enable the
	  exchange-rate dialog on "search ledger" registers.
	Fixes #113987

2003-06-14  Chris Lyttle  <chris@wilddev.net>

	* src/scm/help-topics-index.scm: add Jon Lapham's patch

2003-06-13  Derek Atkins  <derek@ihtfp.com>

	* src/backend/file/io-gncxml-v2.[ch]: add API to the plugin
	  modules to allow post-processing (scrubbing) of the book after
	  it is loaded from XML.  This allows a plug-in to post-process
	  the complete book.
	* src/business/business-core/file/gnc-customer-xml-v2.c:
	* src/business/business-core/file/gnc-employee-xml-v2.c:
	* src/business/business-core/file/gnc-entry-xml-v2.c:
	* src/business/business-core/file/gnc-invoice-xml-v2.c:
	* src/business/business-core/file/gnc-job-xml-v2.c:
	* src/business/business-core/file/gnc-order-xml-v2.c:
	* src/business/business-core/file/gnc-vendor-xml-v2.c:
	  add a NULL scrub member to the XML plugin API.
	* src/business/business-core/file/gnc-tax-table-xml-v2.c:
	  create a scrub function to clear up bogus tax tables due
	  to bug #114888 (and related bugs) which could cause
	  tax tables to get created ad-nausium if you post and then
	  unpost an invoice.  Scrubs all the entries for bogus
	  tax tables, and then clears out the bogus tax tables.
	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	  Hook in an empty scrub routine, because I think the same
	  bug exists here, but I'll work on that later.
	* src/business/business-core/gncEntry.c:
	  make sure we properly dereference tax tables when we destroy
	  an entry.
	* src/business/business-core/gncTaxTable.c:
	  - keep a list of children so we can unref ourselves from our
	    children when we get destroyed
	  - deal with parentless children
	Fixes bug #114888 -- don't generate phantom (parent) tax tables
	and clean up any existing bogus tax tables.

	* src/business/business-core/gncBillTerm.c:
	  - keep a list of children so we can unref ourselves from our
	    children when we get destroyed
	  - deal with parentless children
	* src/business/business-core/gncCustomer.c:
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncVendor.c:
	  deal with properly un-ref'ing Bill Terms and Tax Tables
	* src/business/business-core/file/gnc-bill-term-xml-v2.c:
	  create a scrub function to clear up bogus bill terms due to
	  bug #114888 which could cause bill terms to get created
	  due to post/unpost of invoices.  Scrubs all invoices and
	  fixes the reference to bill terms, and updates the refcounts.
	Fixes bug #114888 for bill terms.

	* src/business/business-core/gncTaxTable.c:
	* src/business/business-core/gncBillTerm.c:
	  Mark the data book as dirty if a tax table or bill term is
	  destroyed.  Fixes all of #114889 that I can reproduce.

2003-06-12  Christian Stimming  <stimming@tuhh.de>

	* doc/TRANSLATION_HOWTO: Added, by Jon Lapham
	<lapham@extracta.com.br>.

2003-06-09  Christian Stimming  <stimming@tuhh.de>

	* configure.in, src/import-export/hbci/dialog-hbcitrans.c: Add
	support for KtoBlzCheck, a small checking package for destination
	account numbers for German banks. Very small, very useful :),
	http://sourceforge.net/projects/ktoblzcheck

2003-06-08  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/transaction.scm: make sure we have
	  the right number of arguments for all renderers.  Fixes #114641.

	* src/gnome-utils/gnc-date-format.c: ignore empty "custom" formats.
	* src/gnome-utils/gnc-query-list.c: add a test for NULL.

2003-06-08  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/*.c: Remove old unused code.

	* src/import-export/hbci/hbci-interaction.c: Add more user
	feedback functions.

	* src/import-export/hbci/gnc-hbci-utils.c: Improve error handling.

2003-06-04  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c: Adapted to latest
	OpenHBCI changes.

2003-06-02  Christian Stimming  <stimming@tuhh.de>

	* po/pt_BR.po: Updated Brazilian portugese translation by Jon
	Lapham <lapham@extracta.com.br>.

2003-06-01  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/gnc-date-format.*: Create a new "date format"
	  widget to let the user choose a date format (and see the results
	  of what the date would look like).
	* src/gnome-utils/Makedile.am: add gnc-date-format files to the build
	* src/gnome/dialog-print-check.c: use the new date-format widget
	* src/gnome/glade/print.glade: remove data that is now part of the
	  date-format widget.

	  Backport the Deluxe Check format:
	
	* src/gnome/glade/print.glade: add "Deluxe Personal Check" type
	* src/gnome/dialog-print-check.c: add support for choosing
	  a "deluxe" check type.
	* src/scm/printing/print-check.scm: add support for printing
	  to "deluxe" personal checks.  This prints the check "sideways"
	  on a US-Letter configuration.
	* src/scm/printing/print-check.scm: some finer adjustments on
	  the locations for Deluxe personal checks.

	  Backport the QueryList widget and associated usage (this allows
	  more places to have sortable column displays for query results):

	* src/gnome-utils/gnc-query-list.[ch]: an abstracted Query list
	  widget to display the results of a Query.
	* src/engine/Query{,P}.h: move the location of gncQuerySearchFor()
	  to allow callers to look it up without requiring the private
	  header.
	* src/business/business-core/gncInvoice.[ch]: define
	  INVOICE_IS_PAID and create gncInvoiceIsPaid() function (the
	  prototype already existed, but it was never implemented).
	* src/business/business-gnome/dialog-invoice.c: add IS_PAID column
	  and the ability to search for paid/not-paid invoices.
	* src/gnome-utils/Makefile.am: build gnc-query-list
	* src/gnome-utils/gnc-query-list.[ch]: finish the GNCQueryList.
	  - allow active-column sorting
	  - watch all the entities in the query and update when an entry changes
	  - use a checkbox to display booleans
	* src/gnome-utils/search-param.[ch]: add extra APIs required to support
	  the initial QueryList implementation
	* src/gnome-search/dialog-search.c: Convert to use the new
	  GNCQueryList to display the search results.
	Fixes #106035
	* src/gnome/reconcile-list.[ch]: Port to the gnc-query-list.
	  Remove all the extraneous code.
	* src/gnome-utils/gnc-query-list.[ch]: Add code so the reconcile-list
	  can successfully use the query-list.  Add a construct() method.
	  Add an "unselect_all()" method.  Add the ability to print numerics
	  as an ABS and invert the sort (defaults to off).  Add methods to
	  determine if an item is in the list, and one to refresh the display
	  of an item.
	* src/gnome-utils/search-param.[ch]: fix the spelling of resizeable
	* src/gnome-utils/gnc-query-list.c: we can't use a reversed list
	  and prepend() because then we're always adding row 0 so the
	  saved checkmarks fail.  So, use the slow way and use 'append()'.
	
2003-05-30  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-vendor.c:
	  - Fix the window title to use the company name, not the contact name
	  - Change the message when the company name is left blank.
	Fixes #109754

	* src/gnome/dialog-print-check.c: a simple change -- use a globally-
	  defined option-menu helper function instead of defining our own
	  copy for no particular reason.

2003-05-30  Christian Stimming  <stimming@tuhh.de>

	* lib/guppi-legend.patch: Include patch for Guppi that fixes
	reversed legend problem.

	* po/de.po, po/glossary/de.po: Updated German translation. Changed
	translation of "depot" to "Aktienkonto".

	* po/cs.po: Updated complete (!) Czech translation by Miloslav
	Trmac <mitr@volny.cz>.

2003-05-29  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/glade/register.glade: add sort entries for Action and Notes
	* src/gnome/gnc-split-reg.[ch]: add ability to sort by Action and Notes
	Fixes #113990.

2003-05-29  David Hampton  <hampton@employees.org>

	* src/engine/iso-4217-currencies.scm: Update the Polish Zloty for
	its new ISO currency code.

	* src/engine/gnc-commodity.c: Convert from the old Zloty code to
	the new one.

2003-05-30  Christian Stimming  <stimming@tuhh.de>

	* src/report/standard-reports/category-barchart.scm: Re-enable
	reversed legend in stacked barcharts. Needs Guppi 0.40.4
	a.k.a. Guppi CVS, though, to actually work.

2003-05-29  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-transfer.c: Make sure the amount
	stays a decimal number instead of some fraction.

2003-05-28  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-settings.c: Fix pref being ignored bug.
	* src/engine/TransLog.c,h: Change the log format to use GUID instead of
	  C pointers, use ISO8601 instead of proprietary form and log the Notes field.
	* configure.in
	* src/scm/main.scm
	* src/import-export/Makefile.am
	* src/import-export/log-replay/*: Port new log replay module from HEAD.

2003-05-29  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncInvoice.[ch]: add APIs to get
	  TotalSubtotal() and TotalTax().
	* src/business/business-gnome/dialog-invoice.c: Add Subtotal and Tax
	  labels in the summary bar to print the Invoice's total amounts.
	Fixes #113769.

2003-05-29  Christian Stimming  <stimming@tuhh.de>

	* configure.in: OpenHBCI version 0.9.11 is required now. Earlier
	versions cause a segfault with any recent OpenSSL.

	* po/nl.po, po/en_GB.po: Updated Dutch and British English
	translation.

2003-05-28  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncTaxTable.c: when asking for
	  the child, return ourself if we're already a child instead
	  of making a (useless) grandchild.

	* src/business/business-ledger/gncEntryLedger.c: fix a bug where
	  if you unpost an invoice and don't bring the TaxTables up to
	  date, the total value shown in the register is different
	  dependending on whether the cursor is on the current line or
	  not.

	* src/business/business-gnome/dialog-invoice.c: don't constantly
	  resize the invoice window every time we update ourselves.  Fixes
	  #113775

2003-05-28  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-transfer.c, dialog-hbcitrans.c,
	glade/hbci.glade: Add coarse GUI so that transfer templates are
	somehow usable.

	* src/import-export/hbci/gnc-hbci-kvp.[hc]: Store the online
	transfer templates in the book's kvp_frame.

	* src/import-export/hbci/gnc-hbci-trans-templ.[hc]: Add data type
	for online transfer templates.

2003-05-26  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/dialog-dup-trans.c: If the "number" is
	  set to 0, then empty out the entry.  Considering the SpinButton
	  wants to force a digit, this lets you set an empty number if you
	  accidentally tab into and out of the number field.  This also
	  means you cannot have a check numbered '0', but that is probably
	  a reasonable limitation.  Fixes #109610.

	* src/business/business-core/gncInvoice.[ch]: define
	  INVOICE_IS_PAID and create gncInvoiceIsPaid() function (the
	  prototype already existed, but it was never implemented).
	* src/business/business-gnome/dialog-invoice.c: add IS_PAID column
	  and the ability to search for paid/not-paid invoices.
	Fixes #106035.

2003-05-25  Chris Lyttle  <chris@wilddev.net>

	* configure.in: release 1.8.4
	* NEWS: release 1.8.4
	
2003-05-25  Derek Atkins  <derek@ihtfp.com>

	* src/report/report-gnome/dialog-view-column.c: don't crash
	  if you remove the last entry and then add another one.	

	* src/business/business-reports/aging.scm:
	  - Deal with the case where the first transaction found for a
	    particular company is a payment (it used to just ignore it!
	    Oops!  That throws off all the numbers...)
	  - Also print out any overpayment in the total column.

	* src/report/utility-reports/view-column.scm:
	  Catch errors when running the child reports so we display the
	  failed report backtrace but also display an error and continue
	  with the multicolumn report.  Fixes #113668.

2003-05-24  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-options.c: back out previous change.
	* src/report/report-gnome/window-report.c: a better fix for
	  #107953.  When we are asked to reload the report, queue the
	  request, queue a draw event, and then return immediately.  When
	  the draw event happens, load the report then.  This lets you
	  hit Apply and then OK before the report finishes loading.

	* src/import-export/ofx/test/Makefile.am: make sure we can find
	  libofx/libofx.h

	* src/report/standard-reports/transaction.scm: include split
	  transactions in the filtering of the transaction report.
	  Fixes #113461.

	* src/report/standard-reports/balance-sheet.scm: use a 'from' date
	  to better compute the Net Income on the report.  Fixes #113196
	  (although not its dependency, #101519; that requires new strings)

	* src/gnome-search/search-double.c:
	* src/gnome-search/search-int64.c:
	* src/gnome-search/search-numeric.c:
	  Change the default Search Operation for numerics from "less
	  than" to "equals" -- so by default you would search for an exact
	  value.  Fixes #106443

	* src/report/standard-reports/price-scatter.scm: "eval" changed
	  API on guile-1.6.  Use the existing API to convert a delta
	  symbol to a delta time.
	* src/scm/main.scm: call eval with the right number of arguments
	  based on early or late versions.

	* src/business/business-reports/invoice.scm:
	* src/business/business-reports/owner-report.scm:
	  Change the date format string to be consistent with other places
	  (e.g. the check print dialog) and use '%' instead of '~'.
	  This is an interim fix for #99574, at least until we can
	  centralize the functionality.

	* src/business/business-utils/business-prefs.scm: make the 
	  Bill Due Days option selectable based on the setting of
	  Notify Bills Due?
	
2003-05-23  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-options.c: don't let the user do anything
	  with the options dialog until Apply() finishes.  This is a
	  simple fix for #107953 so that a user can't crash gnucash by
	  hitting Apply and then OK (before the Apply completes).
	  However, what should really happen is that we queue up requests
	  to destroy ourselves and process the event later.  See #107953
	  for more information.

	* src/report/report-system/report-utilities.scm: had the wrong
	  number of arguments in gnc:account-get-balance-at-date.

	* src/report/standard-reports/balance-sheet.scm: add some
	  (commented out) code to support a start date for computing the
	  Net Income (aka Net Profit) in the Balance Sheet.  This is
	  a commented-out partial fix for #113196.

	* src/business/business-gnome/business-gnome.scm:
	* src/scm/main-window.scm:
	  Move the instantiation of File -> Properties into
	  main-window.scm (out of business-gnome.scm) for future cases
	  where we might decide to ship the business modules separately.

	* src/import-export/ofx/test/test-link.c: fix the test program
	  to make sure it links on many weird platforms.
	
2003-05-22  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-reports/owner-report.scm:  Better fix for 108731
	  limit the itemized invoices/payments to the start/end date range,
	  but print out a "Balance" line if there is a non-zero balance as
	  of the start date.

	Nikos Charonitakis's account chart updates:
	* accounts/el_GR/Makefile.am: added new carloan account chart
	* accounts/el_GR/acctchrt_common.gnucash-xea: updated account chart
	* accounts/el_GR/acctchrt_carloan.gnucash-xea: new car loan chart

	* src/report/standard-reports/average-balance.scm:
	  Use the correct columns when printing the Gain column, don't
	  reuse the same column as profit; we want to report different
	  values.  Fixes #113096.
	
2003-05-21  Derek Atkins  <derek@ihtfp.com>

	* configure.in: remove duplicate intl/Makefile po/Makefile.in

	* src/report/standard-reports/advanced-portfolio.scm:
	  Deal properly when there are no prices for a commodity.

	* src/business/business-reports/owner-report.scm:
	  Supply a start date (as well as an end date) and don't print
	  invoices that occur prior to the start date or after the end date.
	  The aging information ignores the start date, but not the end date.
	  This means the aging information will always be acurate through the
	  end date (even if all the invoices and payments are not displayed).
	  Fixes #108731.
	
2003-05-20  Derek Atkins  <derek@ihtfp.com>

	* acinclude.m4: modify the AC_GWRAP_CHECK_GUILE() macro to
	  take an argument, the g-wrap module directory.  Then actually
	  test that the g-wrap module loads.  This should detect systems
	  without slib installed.
	* configure.in: all the new gwrap check macro
	  Fixes #113218
	
2003-05-19  Derek Atkins  <derek@ihtfp.com>

	* src/engine/QueryNew.[ch]: add gncQueryGetBooks() API to return
	  list of books in a query.
	* src/business/business-core/gncInvoice.[ch]: add INVOICE_POST_LOT
	  query parameter methods

	* src/engine/gnc-event*: add an api to force an event even when
	  events are suspended.  Without such an API, events can be lost
	  if the event system is suspended when the event comes in.
	
	* src/gnome-utils/print-session.[ch]: added gnucash wrappers
	  around gnome-print's rotate, translate, gsave, and grestore
	  APIs.  All to allow sideways printing (by rotating the image).
	* src/gnome-utils/gw-gnome-utils-spec.scm: wrap the new print-session
	  apis.

	* src/engine/QueryCore.c:
	* src/engine/guid.c:
	* src/engine/kvp-util.c:
	  Fixes for 64-bit architectures.  Fixes bug #113231.

2003-05-18  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-lot.[ch]: add LOT_IS_CLOSED and LOT_BALANCE
	  query parameter methods

2003-05-18  Joshua Sled  <jsled@asynchronous.org>

	* src/backend/file/gnc-schedxaction-xml-v2.c (tt_trn_handler): Fix
	for existing/old data without posted dates.  If we encounter the
	condition, fixup the transaction's Posted date to that of the
	Entered date.

	* src/engine/SchedXaction.c (xaccSchedXactionSetTemplateTrans):
	Fix for creating new template transactions [from Scheduling
	existing transactions], such that they have valid Posted dates.

2003-05-19  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Updated German translation.

	* src/gnome-utils/gnc-account-tree.c, src/scm/main-window.scm:
	Patch by Herbert Thoma: adds the the strings that were not
	translated due to the 1.8.3 string freeze.

2003-05-18  Christian Stimming  <stimming@tuhh.de>

	* po/it.po: Updated complete Italian translation by Lorenzo
	Cappelletti <lorenzo.cappelletti@email.it>.

2003-05-17  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-file.scm:  the numeric test
	  regex was broken and would fail on ALL numerics, causing all
	  imports to be of value zero.  Oops.  I _thought_ I tested this,
	  but clearly not sufficiently.  :(

2003-05-16  David Hampton  <hampton@employees.org>

	* src/gnome/window-main.c: 
	* src/gnome-utils/gnc-mdi-utils.c:
	* src/gnome-utils/gnc-mdi-utils.h: Fix the "View xxxbar" menu
	items to track properly when a new data file is opened. #99598
	Consolidate the code for manipulating the View/Statusbar and
	View/Summarybar menu items.  Work around a Gnome MDI bug as best
	as possible.

2003-05-15  Christian Stimming  <stimming@tuhh.de>

	* po/pt_BR.po: Updated Brazilian portugese translation by Jon
	Lapham <lapham@extracta.com.br>.

	* po/cs.po: New Czech translation by Miloslav Trmac
	<mitr@volny.cz>.

	* po/glossary/pt_BR.po: Updated Brazilian portugese glossary by
	Jon Lapham <lapham@extracta.com.br>.

2003-05-12  David Hampton  <hampton@employees.org>

	* src/quotes/finance-quote-check.in: 
	* src/quotes/update-finance-quote.in: Add HTML::Parser to the list
	of items checked/installed. #104197

	* src/engine/Account.c (xaccAccountSetQuoteTZ): A null string is a
	valid value. It stands for the local time zone. #104197

2003-05-11  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-transfer.c: Fix transfer dialog to not
	hang if OK button is clicked w/o filling in dialog properly.
	#109497

2003-05-11  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/hbci/gnc-hbci-utils.c: you have to declare
	  your variables before you g_assert() anything.

2003-05-10  Chris Lyttle  <chris@wilddev.net>
	* configure.in: release 1.8.3
	* NEWS: release 1.8.3

2003-05-10  Derek Atkins  <derek@ihtfp.com>

	* po/POTFILES.in: removed src/engine/DateUtils.c -- it no longer
	  exists in the build.

2003-05-09  Christian Stimming  <stimming@tuhh.de>

	* macros/openhbci.m4: Fix openhbci macro again so that it uses a C
	check program.

2003-05-08  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/pt_BR.po: New Brazilian Portugese glossary by Jon
	Lapham <lapham@extracta.com.br>

2003-05-08  Derek Atkins  <derek@ihtfp.com>

	* macros/openhbci.m4: revert cstim's and hampton's changes to make
	  it work again on both older and newer autoconf versions.

2003-05-07  Christian Stimming  <stimming@tuhh.de>

	* po/en_GB.po: Updated British english translation by Nigel Titley
	<nigel@titley.com>

2003-05-05  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c, gnc-hbci-utils.h,
	gnc-hbci-utils.c, hbci-interaction.h, hbci-interaction.c,
	po/de.po: Add *much* better error checking -- the user now gets
	almost always correct feedback if an online transfer cannot be
	executed. Yeah well I know this introduced one more string even
	though it's string freeze time -- but the feature itself is so
	immensly useful for German users that I couldn't resist. ;-)

2003-05-05  David Hampton  <hampton@employees.org>

	* macros/openhbci.m4: Fix problem with latest versions of autoconf.

2003-05-03  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Fix hbci and ofx test for handling --disable
	correctly.

2003-05-01  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-parse.scm: Don't assume that a
	  date of the form XXXXXXXX is always YYYYMMDD.  There is at least
	  one example where it is MMDDYYYY.  So, test it both ways:
	  xxxxYYYY and YYYYxxxx.  Make sure a 4-digit year "makes sense"
	  (e.g., the year is after 1930). Fixes bug #111889.

2003-05-01  Christian Stimming  <stimming@tuhh.de>

	* po/en_GB.po: Updated British English translation by Nigel Titley
	<nigel@titley.com>

	* po/it.po: Updated Italian translation by Lorenzo Cappelletti
	<lorenzo.cappelletti@email.it>.

2003-04-29  Herbert Thoma  <herbie@hthoma.de>

	* src/engine/Account.c: move currency conversion to gnc-pricedb.c

        * src/engine/gnc-pricedb.c
        * src/engine/gnc-pricedb.h: add functions
	  gnc_pricedb_convert_balance_latest_price and
          gnc_pricedb_convert_balance_nearest_price

        * src/engine/gw-engine-spec.scm: wrap functions
          gnc_price_list_destroy, gnc_pricedb_lookup_latest_any_currency,
          gnc_pricedb_lookup_nearest_in_time_any_currency,
          gnc_pricedb_convert_balance_latest_price and
          gnc_pricedb_convert_balance_nearest_price

        * src/report/report-system/commodity-utilities.scm: use
          gnc:pricedb-convert-balance-latest-price and
          gnc:pricedb-convert-balance-nearest-price to improve
          multiple currency reports

        * src/report/standard-reports/advanced-portfolio.scm:
          improve report for stocks and funds not denominated in report currency

2003-04-27  Derek Atkins  <derek@ihtfp.com>

	* src/engine/test/Makefile.am: disable the test-scm-query-import
	  test, since it breaks on guile-1.6 (which does mean that
	  importing into a guile-1.6-based system will fail, but so much
	  else fails when upgrading from 1.6 to 1.8 that it really doesn't
	  matter.  Users will have to reset their reports anyways.

2003-04-26  Christian Stimming  <stimming@tuhh.de>

	* po/zh_TW.po: Updated (complete!) Traditional Chinese translation
	by Chao-Hsiung Liao <pesder.liao@msa.hinet.net>

2003-04-24  Christian Stimming  <stimming@tuhh.de>

	* po/ta.po: Initial Tamil translation by Ganesan Rajesh
	<ganesanrajish@eth.net>.

2003-04-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Adapt to latest
	OpenHBCI changes.

2003-04-21  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-reports/aging.scm: fix the percentage
	  calculations so we don't get GtkCritical warnings.

2003-04-21  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Update German translation (latest transaction.scm
	patch broke string freeze).

2003-04-20  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-reports/transaction.scm: Applied Tomas
	  Pospisek's patch to the transaction report (fixes bug #110598)

	* src/gnome-utils/gw-gnome-utils-spec.scm: fix the description
	  of gnc:mdi-show-progress.

	* src/business/business-gnome/dialog-customer.c:
	* src/business/business-gnome/dialog-employee.c:
	* src/business/business-gnome/dialog-job.c:
	* src/business/business-gnome/dialog-vendor.c:
	  Enable changing the "ID" for different business objects.
	  Fixes #108563.
	
	* src/import-export/qif-import/qif-file.scm: Don't try to
	  parse values that begin "..." because it is clearly not
	  valid (regardless of the locale).  Fixes #109868.

2003-04-16  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c,
	src/import-export/hbci/hbci-interaction.c: Adapt to latest changes
	in OpenHBCI CVS. 

2003-04-14  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Updated German translation. Changed "Kassenbericht" to
	"Kontobuch" and "Belastung/Gutschrift" to "Soll/Haben".

	* src/import-export/hbci/hbci-interaction.c: Fix some user
	messages where chip cards were confused with key files.

2003-04-12  Herbert Thoma  <herbie@hthoma.de>

        * src/backend/file/sixtp-dom-parsers.c
        * src/backend/file/sixtp-utils.c
        * src/backend/file/test/test-dom-converters1.c
        * src/backend/file/test/test-string-converters.c
        * src/business/business-ledger/gncEntryLedgerLayout.c
        * src/business/business-ledger/gncEntryLedgerModel.c
        * src/calculation/fin.c
        * src/engine/GNCId.c
        * src/engine/QueryCore.c
        * src/engine/gnc-engine-util.c
        * src/engine/guid.c
        * src/engine/test/test-commodities.c
        * src/gnome-utils/dialog-options.c
        * src/gnome-utils/dialog-utils.c
        * src/gnome-utils/gnc-dense-cal.c
        * src/gnome-utils/gnc-frequency.c
        * src/gnome-utils/gnc-html.c
        * src/gnome/dialog-fincalc.c
        * src/gnome/dialog-scheduledxaction.c
        * src/gnome/dialog-sx-from-trans.c
        * src/gnome/gnc-split-reg.h
        * src/gnome/reconcile-list.h
        * src/import-export/import-account-matcher.c
        * src/network-utils/gnc-gpg.c
        * src/register/register-core/formulacell.c
        * src/register/register-core/pricecell.c
        * src/register/register-gnome/combocell-gnome.c
        * src/register/register-gnome/datecell-gnome.c
        * src/register/register-gnome/gnucash-sheet.h:
	  fixes for GCC 3.3 warnings
	  comparison between signed and unsigned and
	  dereferencing type-punned pointer will break strict-aliasing rules
	  fixes #110320
	
2003-04-12  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-commodity-matcher.c: Fix debian bug #187061
	Crash during import of investment accounts. Patch pulled from head, 
	also fixes http://bugzilla.gnome.org/show_bug.cgi?id=103075

2003-04-11  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Transaction.c: xaccSplitGetCorrAccountCode() should
	  actually return the account Code, not the account Name!  Fixes
	  #110561.

2003-04-06  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-util/transfer-dialog.c: Pop up a dialog if the user
	  tries to transfer from a non-currency account, and don't let
	  them do it.  Yes, this means you cannot transfer between mutual
	  funds, but the logic for that can be added later.  This fixes
	  bug #109641.

	* src/gnome-search/search-date.c: Evaluate the date during
	  get_predicate() in case the user just "hit return" (and the
	  auto-evaluate didn't happen).  Fixes bug #106444.
	
2003-04-04  Derek Atkins  <derek@ihtfp.com>

	* src/report/standard-report/transaction.scm: symbols are not
	  strings in guile-1.6.  Fixes debian bug #186004.
	* doc/gnucash.1.in: it's --add-price-quotes (not quote)
	* src/app-utils/date-utilities.scm: fix "WeekDelta" and add
	  TwoWeekDelta.  Fixes debian #185860.

2003-04-03  Derek Atkins  <derek@ihtfp.com>

	* src/scm/main.scm: guile-1.6 requires empty lists to be quoted
	  (fixes debian bug #186188)

2003-04-02  Benoit Grégoire <bock@step.polymtl.ca>

	* po/fr.po: Updated Frensh translation.

2003-04-01  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncEntry.h:  Move the definitions
	  of PaymentType and DiscountHow higher earlier in the file
	  to prevent problems of circular dependencies.
	* src/business/business-core/gncInvoice.[ch]:
	  - Add the storage of the to_charge_amount.
	  - Add GetTotalOf() to find the total of Cash and Charge amounts
	  - Use the to_charge_amount when posting an invoice
	* src/business/business-core/dialog-invoice.c:
	  - add a to_charge_amount for Exp. Vouchers
	  - add a "Total Cash" and "Total Charge" summary
	* src/business/business-gnome/glade/invoice.glade:
	  - add the to_charge_amount frame and labels.
	* src/busines/business-core/file/gnc-invoice-xml-v2.c: Add support
	  for the to-charge amount.

	* src/business/business-gnome/dialog-invoice.c: fix an assertion
	  failure -- don't try to set the to_charge_amount value unless
	  we're in a VIEW/EDIT invoice.

	* src/business/business-ledger/gncEntryLedgerControl.c:
	  Don't ask the user in the general case when making changes
	  to entries.  Generally the user should be allowed to make
	  whatever changes they want without being pestered.

	* src/business/business-ledger/gncEntryLedgerControl.c:
	  Save the entry cells before adding an it to the invoice,
	  otherwise it wont get sorted properly.  Fixes #108910.

	* src/business/business-gnome/glade/date-close.glade:
	  Fix the glade settings so resizing the window will properly
	  resize the widgets.  Fixes #107586.

	* src/business/business-core/business-core.scm:
	  When building the "name + address" string, check if the
	  company name and contact name are the same and, if so,
	  only print one of them.  Fixes #109753.

	* src/business/business-reports/owner-report.scm:
	* src/business/business-reports/aging-report.scm:
	  Fix a couple strings to improve comments when owners and accounts
	  are missing.  Direct the user to select them in the report options.
	
2003-04-01  Christian Stimming  <stimming@tuhh.de>

	* src/report/report-system/options-utilities.scm: Fix missing i18n
	markup on some option names.

2003-03-31  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/test/test-employee.c:  fix the test
	  to reflect the change in Employee->Printable()

2003-03-29  Christian Stimming  <stimming@tuhh.de>

	* src/report/standard-reports/daily-reports.scm: New report
	"income vs. day of week" by Andy Wingo <wingo@pobox.com>.

	* src/engine/gnc-session.c: OpenBSD fix by Todd T. Fries
	<todd@flare.fries.net>

	* src/engine/Transaction.c: OpenBSD fix by Todd T. Fries
	<todd@flare.fries.net>: time_t is not long everywhere.

2003-03-25  Christian Stimming  <stimming@tuhh.de>

	* po/zh_TW.po: Updated traditional Chinese complete translation by
	Chao-Hsiung Liao <pesder.liao@msa.hinet.net>.

2003-03-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-interaction.c (GNCInteractor_hide):
	Fix close-on-finished checkbutton.

	* src/import-export/hbci/hbci-progressmon.c: Add descriptions of
	new HBCI actions.

2003-03-20  Derek Atkins  <derek@ihtfp.com>

	* configure.in: don't add -I$(GNC_INCLUDE_DIR) to the engine
	  cflags, because it can cause build warnings on platforms with
	  gcc-3.2, and frankly we don't need it since we don't install
	  before we're building.

2003-03-15  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-date-edit.c: Fix the keypress handlers so
	they work properly for both the text entry widget and the calendar
	popup widget.

	* src/gnome-utils/dialog-utils.c (gnc_handle_date_accelerator):
	Eliminate a critical warning message. #106675

	* src/register/ledger-core/split-register.c
	(gnc_split_register_config): Force the cursor to the first line of
	a transaction split before disabling "double line" mode in the
	register.  This prevents the register refresh code from trying to
	update a cell that is no longer visible.  #105346

2003-03-15  Christian Stimming  <stimming@tuhh.de>

	* po/it.po: updated translation by Lorenzo Cappelletti
	<lorenzo.cappelletti@email.it>.

	* po/en_GB.po: updated translation by Nigel Titley
	<nigel@titley.com>.
	
2003-03-14  David Hampton  <hampton@employees.org>

	* src/gnome/window-reconcile.c (gnc_start_recn_date_changed):
	Don't reverse the account balance here. The routine called to
	retrieve the account balance has already taken care of reversing
	the sign where necessary.

2003-03-13  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Makefile.am: make sure to add INTLLIBS in case
	  we're compiling against an external -lintl (like on Solaris)

	* src/calculation/Makefile.am: fix to build on systems that don't
	  have GUILE installed in the system path or in the same place
	  as GLIB.

2003-03-12  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-transfer.c: the Euroland currency rates
	  were inverted in the transfer dialog.

	* src/business/business-core/gncInvoice.c:
	* src/business/business-gnome/business-urls.c:
	* src/business/business-gnome/dialog-invoice.c:
	  Add strings to be translated for expense vouchers

	  From HEAD:
	* src/import-export/import-backend.c:
	* src/import-export/import-match-map.c:
	* src/import-export/import-match-map.h:
          Chris Morgan's Baysian Matching code, to match transactions
          based on Bayesian filtering of previously matched transactions.

	  From HEAD:
	* src/business/business-core/gncEmployee.c: name the employee name
	  the specific 'printable' name.
	* src/business/business-core/gncInvoice.c: if an invoice is owned
	  by an EMPLOYEE, then consider it an expense voucher.  Check the
	  entry payment-type and post directly to a CC account if one is
	  available.
	* src/business/business-core/gncOwner.c: use the employee->address->name
	  instead of the employee->username
	* src/business/business-gnome/business-gnome.scm: add employee items
	  to the main menu
	* src/business/business-gnome/dialog-employee.c:
	  - add a UI to choose an employee credit-card account
	  - add "expense vouchers" and "payments" to the employee search results
	  - change the search criteria and result column order
	* src/business/business-gnome/dialog-invoice.c:
	  - hide the 'job' if this is an expense voucher
	  - create an expense-voucher register is the invoice owner is an employee
	* src/business/business-gnome/gw-business-gnome-spec.scm:
	  add gnc:url-type-employee
	* src/business/business-gnome/glade/employee.glade: add the
	  UI for the CCard account
	* src/business/business-gnome/glade/invoice.glade: name the job label
	  widget
	* src/business/business-ledger/gncEntryLedger.[ch]:
	  - define an expense voucher register
	* src/business/business-ledger/gncEntryLedgerControl.c:
	  add support for expense vouchers
	* src/business/business-ledger/gncEntryLedgerDisplay.c:
	  - add support for expense vouchers
	  - add a component watch on the employee and refresh if it changes.
	    this lets us change the available payment options based on whether
	    the employee has a ccard account assigned.
	* src/business/business-ledger/gncEntryLedgerLayout.c:
	  - create the layout for an expense voucher register
	  - widen the account columns
	* src/business/business-ledger/gncEntryLedgerLoad.c:
	  - add support for expense vouchers
	  - load the payment cell based on the invoice owner -- don't allow
	    'charge' unless the employee actually has an assigned ccard account.
	* src/business/business-ledger/gncEntryLedgerModel.c:
	  - add functions to support the payment cell
	  - add support for expense vouchers
	* src/business/business-reports/business-reports.scm:
	  - add gnc:employee-anchor-text
	  - add support for employee "owner reports" and an employee link
	* src/business/business-reports/invoice.scm:
	  label the Expense Report "properly"
	* src/business/busines-reports/owner-report.scm:
	  create an "employee report"
	* src/business/business-utils/business-prefs.scm:
	  save the voucher register width
	Implements RFE #90371	

	  From HEAD:
	* src/gnome-utils/gnc-account-sel.c:
	  If the nameList == NULL then add a blank line, to make sure
	  the selector list is really empty, rather than defaulting to all of
	  the accounts in the tree if there are none matching.

	  From HEAD:
	* src/app-utils/gnc-ui-util.c:
	* src/gnome/top-level.c:
	  the Account Separator option was moved to the Accounts page --
	  reference is correctly.
	Fixes #106673

2003-03-11  Derek Atkins  <derek@ihtfp.com>

	* src/scm/main-window.scm:  turn off the report-total by default

2003-03-10  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/da.po: Updated glossary translation by Keld Simonsen
	<keld@dkuug.dk>.

	* po/glossary/sv.po: Updated glossary translation by Christian
	Rose <menthos@menthos.com>.

	* po/it.po: Updated Italian translation by Lorenzo Cappelletti
	<lorenzo.cappelletti@email.it>.

2003-03-09  Chris Lyttle  <chris@wilddev.net>

	* configure.in: release 1.8.2
	* NEWS: release 1.8.2

2003-03-09  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncEmployee.[ch]: added APIs to
	  store a Credit Card account for the employee.
	* src/business/business-core/file/gnc-employee-xml-v2.c:
	  store the employee's CC Account in the XML file.

	* src/business/business-ledger/gncEntryLedgerLayout.c: reuse
	  the "sample" account string from the split-register to make
	  the account column a bit wider.

2003-03-08  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-ledger/gncEntryLedger.c: allow the user
	  to enter any Action they wish.

2003-03-06  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Include a latest
	change in OpenHBCI: Use bank code from HBCI account instead of
	HBCI bank, if the available openhbci version supports it.

2003-03-03  Chris Lyttle  <chris@wilddev.net>

	* configure.in: change to 1.8.1.5 version
	* src/quotes/Makefile.am: add dump-finance-quote to EXTRA_DIST

2003-03-03  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/business-core.scm: don't export
	  gnc:owner-get-name -- it overrides the g-wrap'ed version

2003-03-02  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncEntry.[ch]: add interfaces
	  to deal with bill 'payment types', in preparation for
	  employee expense vouchers.
	* src/business/business-core/file/gnc-entry-xml-v2.c:
	  add support for the bill payment type.

	* src/business/business-core/business-core.scm:
	  don't need gnc:owner-get-name in scheme
	  add employee support to owners
	  fix bug in (gnc:owner-get-id)
	* src/business/business-core/gncEmployee.[ch]:
	  add APIs to get-guid and lookup from scheme
	* src/business/business-core/gw-business-core-spec.scm:
	  wrap employee-get-guid, employee-lookup, employee-get-id,
	  employee-get-username, employee-get-addr, owner-init-employee,
	  owner-get-employee, owner-get-name
	* src/business/business-gnome/business-options-gnome.c:
	  create an "employee option" widget set
	* src/business/business-gnome/business-urls.c:
	  define an 'employee' URL type
	* src/business/business-gnome/dialog-employee.[ch]:
	  remove old, unused search APIs,
	  add new search APIs
	* src/business/business-gnome/dialog-invoice.c:
	  add _some_ employee support.  Still doesn't contain the code
	  to display an employee-owned invoice (expense voucher).
	* src/business/business-utils/business-options.scm:
	  create an employee option type	  
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncOwner.[ch]:
	* src/business/business-core/file/gnc-owner-xml-v2.c:
	* src/business/business-gnome/business-gnome-utils.c
	* src/business/business-gnome/search-owner.c:
	  add employee support

2003-03-02  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.h: Pull missing prototype from
	HEAD, for gnc_import_TransInfo_refresh_destacc.

2003-03-01  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/dialog-sxsincelast.c: make sure to resume gui refresh events

2003-03-01  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Updated German translation.

	* src/app-utils/prefs.scm: Adjust the names of register styles in
	the preferences to those names used in the register View
	menu. This didn't require changes in any option lookup code.

	* src/gnome/glade/register.glade: 'Duplicate Transaction' could
	either mean 'to duplicate a transaction' or 'the duplicate of a
	transaction'. Both need very different translations. Therefore
	changed 'Duplicate Transaction' in the register into 'Duplicate a
	Transaction' to resolve that ambiguity here.

	* po/sk.po: Updated Slovak translation by Zdenko Podobný
	<zdpo@mailbox.sk>.

2003-02-26  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-backend.c: Pull from HEAD
	-Disable -3 punishment for transactions which have an online ID.  This punished credit card transfer yet added no tangible benefit.

2003-02-26  gettextize  <bug-gnu-gettext@gnu.org>

	* Makefile.am (EXTRA_DIST): Add config.rpath.
	* configure.in (AC_OUTPUT): Add intl/Makefile,

2003-02-22  David Hampton  <hampton@employees.org>

	* src/gnome/window-register.c: Don't override the user's toolbar
	style preference by calling gtk_widget_show_all() on the toolbar.
	#102041

2003-02-22  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/glade/account.glade: Increase height of
	  account-hierarchy druid.

2003-02-22  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-hbcitrans.c: Quick fix to avoid
	online transfers being sent twice to the bank.

2003-02-19  Derek Atkins  <derek@ihtfp.com>

	* configure.in: move AS_SCRUB_INCLUDE _before_ tests so it wont
	  fail on gcc 3.2.2 which actually cares.  This is particularly
	  important for AC_CHECK_HEADER(S)

	* configure.in: change the configure help message from
	  "--enable-gui" to "--disable-gui", because the default is
	  enabled.  Also changed "--enable-error-on-warning" for the
	  same reason.
	
2003-02-18  David Hampton  <hampton@employees.org>

	* configure.in: Add new variable for conditionally including the
	SRFI directory when doing 'make check'.  Should be null when using
	guile 1.6.

	* Various Makefile.am files: Use new conditional include for the
	SRFI directory when running 'make check'.

2003-02-17  Derek Atkins  <derek@ihtfp.com>

	Move some files around in preparation for re-factoring the
	reconcile-list code (pull from HEAD):
	* src/gnome-search/Makefile.am: removed search-param.[ch]
	* src/gnome-search/search-param.[ch]: moved the search-param to gnome-utils
	* src/gnome-utils/search-parah.[ch]: moved search-param from gnome-search
	* src/gnome-utils/Makefile.am: added search-param.[ch]
	* po/POTFILES.in: fix for the search-param.c move

	Pull up from HEAD
	* src/gnome-utils/dialog-transfer.c: don't round the exchange
	  rate when returning it to callers...  Compute it from the
	  from_amount and to_amount.
	* src/register/ledger-core/split-register.c: change the rate-cell
	  to a shares_print_info so we don't lose accuracy due to rounding
	  errors.
	  Fixes bug #106332

2003-02-16  Herbert Thoma  <herbie@hthoma.de>

	Pull up from HEAD:
	* src/gnome/gnc-split-reg.c:
	  only display an euro amount in the status bar of a register window
	  if the account currency is a euro currency but NOT euro itself

	* src/gnome-utils/gnc-account-tree.c:
	  auto resize balance and total columns

	* src/app-utils/gnc-ui-util.c:
	* src/app-utils/gnc-ui-util.h:
	* src/gnome-utils/gnc-account-tree.c:
	* src/gnome/window-acct-tree.c:
	* src/scm/main-window.scm:
	  recycle ACCOUNT_BALANCE_EURO and ACCOUNT_TOTAL_EURO account tree 
	  columns to display balance resp. total in default report currency

2003-02-16  Derek Atkins  <derek@ihtfp.com>

	Pull up from HEAD:
	* src/import-export/qif-import/qif-file.scm:
	  - No need to use the 'negative' field anymore
	  - Save the default split, even if we've got a split transaction.
	    It will be useful later to make sure we have a properly balanced
	    transaction and everything has the "right sign"
	* src/import-export/qif-import/qif-objects.scm:
	  - remove the 'negative' field of a split
	  - add a 'default-split' field of a transaction
	  - change the split-amounts and set-split-amounts! functions
	    the split-amounts will also return the default-split, if it
	    exists.  set-split-amounts! will figure out if we need to
	    reverse the splits by seeing if the amounts add up to 0 and
	    coping appropriately..  This is to fix a bug where SOME programs
	    make splits positive, and some make them negative.  This should
	    deal properly in both cases, so it's a better fix for #105139.

2003-02-14  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/glade/hbci.glade: Clarify some HBCI
	strings.

2003-02-14  David Hampton  <hampton@employees.org>

	* src/quotes/dump-finance-quote: Do a runtime check for
	Finance::Quote instead of including the perl 'use' declaration.
	The latter causes RPM to add a dependancy on F::Q.

2003-02-13  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-options.c:  guile-1.6 doesn't like
	  "()" as an empty list.  Change it to "'()" to make it happy.
	  This is backwards compatible with older guiles.

2003-02-12  Derek Atkins  <derek@ihtfp.com>

	* applied Matthew Vanecek's patch to postgres/kvp-sql.c

2003-02-10  Christian Stimming  <stimming@tuhh.de>

	* po/es.po: Updated Spanish translation by Eneko Lacunza
	<enlar@enlar.net>.

	* src/import-export/hbci/glade/hbci.glade, po/de.po: Clarify some
	HBCI strings.

	* configure.in: require newer openhbci: 0.9.6, from Jan 31.

2003-02-09  Chris Lyttle  <chris@wilddev.net>

	* configure.in: release 1.8.1
	* rpm/gnucash.spec.in: fix info files prob
	* NEWS: update for release
	* src/quotes/Makefile.am: remove dump-finance-quote from build
	  to fix problems with rpm wanting Finance::Quote

2003-02-09  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-control.c
	  If we're expanded, ignore TRANS cursor classes.  This prevents
	  a bug where the exchange-rate dialog is realized when there really
	  is nothing to do (because we're in an expanded transaction).
  	* src/register/ledger-core/split-register-model.c
	  Don't PERR() if we have no account -- this prevents annoying
	  messages when handling multi-currency txns in the GL.  Note:
	  all GL txns are displayed in the locale currency (if possible).	
	* src/register/ledger-core/split-register.c
	  AUTO_LEDGER and JOURNAL register types _ARE_ expanded -- return
	  TRUE, not FALSE.
	Fixes 105319

	* src/report/standard-report/advanced-portfolio.scm: add extra
	  arguments to prevent scheme crash.
	Fixes 105405

	* src/gnome/glade/sched-xact.glade: Need to start the Editor dialog
	  as non-visible so the ledger get's sized properly
	* src/gnome/dialog-scheduledxaction.c: resize the cal after the
	  dialog is shown, so it get's sized properly.

	* src/register/register-gnome/gnucash-style.c: temporary fix to
	  prevent 105346, until a real fix can be created.  There is still
	  a visual artifact leftover, but at least it doesn't crash.
	
2003-02-07  Derek Atkins  <derek@ihtfp.com>

	* src/scm/tip-list.scm: remove the tip that says that this is a development
	  version.  (Thanks, pogma)

	* src/scm/command-line.scm: remove the "development version" string
	  when running "gnucash --version"

	Pull up from HEAD:
	* src/import-export/import-backend.c: Add heuristic for duplicate
	  matching by check number.  
	* doc/README.OFX: Update

2003-02-05  Derek Atkins  <derek@ihtfp.com>

	Pull up from HEAD:
	* src/engine/gnc-lot-p.h: some strange platforms assume "char" is
	  0..255 instead of -128..127.  Force a "signed char" to make sure
	  we get the latter interpretation.

	* src/app-utils/gnc-ui-utils.c: Don't round unless force_fit is true.
	  Fixes Debian Bug #179802.

	* src/bin/overrides/gnucash-build-env.in: add business-utils

	* src/business/business-utils/Makefile.am: make scm-links so you
	  can run gnucash from within the build tree
	
2003-02-04  Christian Stimming  <stimming@tuhh.de>

	* po/it.po: Updated Italian translation by Lorenzo Cappelletti
	<L.Cappelletti@mail.com>.

2003-02-04  Derek Atkins  <derek@ihtfp.com>

	Pull up from HEAD:
	* src/import-export/qif-import/qif-file.scm: mark "splits" as negative
	  to make sure the numbers are reflected appropriately.
	* src/import-export/qif-import/qif-objects.scm: add a neg? value to
	  a qif-split; use this when converting the split-amount.
	Fixes bug #105179	

2003-02-03  Derek Atkins  <derek@ihtfp.com>

	Pull up from HEAD:

	* src/calculation/Makefile.am: need to add GUILE_INCS

	* src/engine/Makefile.am: add ${INTLLIBS} for gettext() et al on
	  platforms that don't have it in libc

	* src/backend/file/io-gncbin-r.c: don't need to define functions
	  that are never used, so move the #ifdef around.  Fixes # 105124

	* rpm/gnucash.in: don't call autoconf

	Pull up from HEAD:

	* src/import-export/qif-import/qif-file.scm: fix a
	  wrong-number-of-arguments fatal crash when trying to reparse
	  dates.

2003-02-02  Chris Lyttle  <chris@wilddev.net>

	* README: Changed to suit new stable release
	* configure.in: release 1.8.0
	* src/scm/main.scm: turn off devel version message
	* NEWS: add whats news

2003-02-02  Chris Lyttle  <chris@wilddev.net>

	* rpm/gnucash.spec.in: add options to build ofx,hbci and postgresql

2003-02-02  Benoit Grégoire  <bock@step.polymtl.ca>

	* doc/README.OFX: I've quickly put together some docs for the ofx module and transaction matching.  Also includes a FAQ. Not perfect, but should closebug 99478.
	* doc/Makefile.am: Add README.OFX
	* src/import-export/ofx/README: Remove obsolete file.  
	
2003-02-02  Derek Atkins <derek@ihtfp.com>

	* configure.in: re-enable -Werror, make sure it only is used with GCC,
	  but also move it to the end of the script so it wont interfere with
	  any other configuration test.

	* src/business/business-report/owner-report.scm: fix the column
	  headings and option names to match.  Fix the date-due column so
	  the heading properly goes away.  Also fix some of the
	  internationalization issues -- strings were translated but the
	  translation was not being used.   Fixes # 105036

	* src/backend/postgres/gncquery.c:  change INITIAL_BUFSZ to 32000

	* src/app-utils/option-util.c: use gh_scm2double() instead of
	  gh_scm2int() because guile-1.6 prefers it.  Fixes a crash when
	  opening the Pref's dialog when using guile-1.6.1

	* src/business/business-ledger/gncEntryLedgerLoad.c -- don't add
	  income accounts to bills, or expense accounts to invoices.  This
	  should help further reduce user confusion with what to do when
	  entering invoices.

	* src/report/standard-reports/cash-flow.scm: don't crash when a
	  user does something silly like having a split with no account.
	  Warn the user when we find this situation.

	* src/quotes/Makefile.am: add dump-finance-quote to the DIST

	* po/POTFILES.in:
	* src/import-export/Makefile.am:
	  Removed gnc-gen-transaction.[ch] "properly" for the dist.
	
2003-02-01  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/gnc-ofx-import.c: No longer assume that transaction with type OFX_OTHER are investement transactions.  Fixes bug reported by Rik harris.
	* src/import-export/import-main-matcher.c: Fix unrelated display bug with balanced (typically investement) transactions.  
	
2003-02-02  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Disable error-on-warning by default because this
	seriously breaks quite a number of configure tests. May be enabled
	again for the development branch, but definitely not for
	end-users.
	
	* configure.in: Fix libofx test. 

	* src/import-export/hbci/gnc-hbci-utils.c, po/de.po: Recognize
	even more error codes from OpenHBCI. Yes, I know this breaks
	string freeze -- but these strings *really* *only* apply to German
	users, so I just fixed the translation myself.

2003-02-01  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-utilities.c: Build on Nigel's patch.
	This hopefully permanently closes
	http://bugzilla.gnome.org/show_bug.cgi?id=101705.
	
	* src/import-export/Makefile.am: No longuer compile Christian's
	old matcher.

2003-02-01  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c: Reduced the
	MATCH_DATE_NOT_THRESHOLD to 21 days. Yeah, this should rather be a
	user preference, but IMHO three weeks should already cover the
	basic problem.

	* src/import-export/import-account-matcher.c, import-backend.c,
	import-main-matcher.c, import-match-picker.c: Comment out
	stderr debugging output.

	* src/import-export/generic-import.scm: Move transaction matcher
	preferences to "Online Banking & Import" preference page.

	* src/import-export/hbci/gnc-hbci-cb.c: Add include config.h.

2003-02-01  Matthew Vanecek  <mevanecek@yahoo.com>

	* src/backend/postgres/PostgresBackend.c (pgendEnable):
	Added ENTER/LEAVE statements

	* src/backend/postgres/escape.c: Adde gnc-engine-util.h,
	  and "module = MOD_BACKEND"
	- (sqlEscape_destroy): Added ENTER/LEAVE statemtents.

	* src/backend/postgres/gncquery.c (sql_Query_destroy): Added
	ENTER/LEAVE statements.

	* src/backend/postgres/putil.h: Cleaned up the formatting on the
	SEND/FINISH/EXEC/GET_RESULT macros.  Changed them to use
	PQresultErrorMessage where possible. Made them all set the Backend
	error message string.  Removed the PQfinish() calls, and setting
	be->connection to NULL.  Reasoning: if a malformed query fails, there is
	no reason to close the connection.  If an update/insert fails,
	again, there is no need to close the connection.  The user should
	be presented an error message and respond appropriately.  If
	a update/insert/delete fails, then generally the transaction is
	rolled back to the last BEGIN, thereby preventing data corruption.

	* src/engine/QueryNew.c (gncQueryPrint): Check that q is not NULL
	prior to processing it.

	* src/engine/gnc-engine-util.c: turn off DEBUG on all the modules
	  (for the release).

	* accounts/C/acctchrt_business.gnucash-xea: fix some of the accounts
	  in the tree to be more accurate to the real world.

	* src/register/ledger-core/split-register-module.c: only set ReadOnly
	  status for Invoices, not Payments.  Fixes #105032
	
2003-02-01  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/window-register.c: fix the query code to use the correct
	  param list.  Fixes bug #104951

2003-01-31  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/qif-import/qif-file.scm: change the way that
	  parse-fields reports an error or warning.  In particular, return
	  a list such that the error is tied to the actual type.  This will
	  allow us to differentiate a date-parse ambiguity from any other
	  type of ambiguity.  Also add a new procedure that, when given the
	  (cdr parse-results) and a 'type' will return the actual error for
	  that particular type.
  	* src/import-export/qif-import/qif-import.scm: export the new symbol
	* src/import-export/qif-import/druid-qif-import.c: change the logic
	  to use the new parse results and only try to fill the date dialog if
	  there is actually a date parsing ambiguity.

	  Fixes Morrison J. Chang's QIF import problem.

	* src/business/business-gnome/dialog-invoice.c:
	* src/business/business-gnome/glade/invoice.glade:
	  add handlers to immediately save the active and notes fields
	  as they are edited.  Fixes #104954

	  NOTE: This has a side effect of removing an invoice from any
	  open searches, but NOT replacing it if you click on the "active"
	  button.

	* src/business/business-gnome/business-gnome.scm: fix the "bill
	  reminder" so it doesn't create a query if there are no payables
	  accounts.

	* src/gnome-utils/gnc-menu-extensions.c: dgettext() and gettext()
	  return const char*.
	
2003-01-30  Derek Atkins  <derek@ihtfp.com>

	* po/np.po -- add the proper "Plural" header so it builds again.

	* Nathan Neulinger's patch to gnc-split-reg.[ch] to implement
	  a summary-bar "Projected minimum balance".  Somewhat fixes #102440.

	* src/report/report-system/options-utilities.scm:
	* src/report/standard-reports/account-summary.scm:
	* src/report/standard-reports/balance-sheet.scm:
	* src/report/standard-reports/cash-flow.scm:
	* src/report/standard-reports/pnl.scm:
	  change the api to gnc:options-add-account-selection! to allow
	  the caller to set the default choice on "use-subaccounts", and
	  change the cash-flow report to default to 'no'.  This will make
	  sure that "Assets:A/P" is not included (since it shouldn't be).
	
2003-01-29  Matthew Vanecek <mevanecek@yahoo.com>
	
	* src/backend/postgres/Makefile.am: Changed the .sql.c target to
	not echo the beginning and ending quotes.  This is part of the
	gcc 3.x compatibility changes.

	* src/backend/postgres/PostgresBackend.c: Made some whitespace changes
	  for readability.
	- (pgend_book_load_poll): Commented out a PWARN about the old book
	  list not being empty. See added comments for why.
	- (pgend_book_load_poll): added a gnc_session_set_book() call so that
	  the session would have the correct book loaded (i.e., the book
	  that's stored in the DB).
	
	* src/backend/postgres/*.sql: Enclosed each line in a set of
	quotes "..".  The "multi-line literals" were causing compile errors
	for gcc 3.x.

	* src/backend/postgres/gncquery.c: ran indent on the file.
	- (STRING_TERM): Changed the comparison on STRING_MATCH_NORMAL to
	  STRING_MATCH_CASEINSENSITIVE for purposes of adding a '*' to the
	  comparison operator "~".  The code was writing a "=*" which is
	  invalid, but "~*" is valid for case-insensitive regex searches.
	- (sqlQuery_build): Added a "more_and = 0" to the final if statement
	  of the "for (il = qterms; il; il = il->next)" loop.  This will
	  prevent a stray "AND" being appended to the end of the "WHERE" clause
	  of a dynamic query.

	* src/backend/postgres/kvp-sql (store_cb): In "case KVP_TYPE_TIMESPEC",
	changed the 'cb_data->stype = "timespec"' to 'cb_data->stype = "time"'.
	The destination field in the database is defined as 4 characters, and
	the extra chars in stype were causing an insertion error.

	* src/backend/postgres/putil.h (FINISH_QUERY): Changed the error to use
	PQresultErrorMessage() instead of PQerrorMessage().

	* src/backend/postgres/test/db-control.sh (our_pg_ctl): Changed the
	script to return -1 if pg_ctl was not found in PATH.

	* src/backend/postgres/test/run-tests.sh: If db-control.sh returns
	failure, the attempt to connect to $PGHOST on $PGPORT.

	* src/backend/postgres/test/test-db.c: Included QueryNew.h.  Added the
	  _dbinfo struct to pass host, port, dbname, and mode information
	  around. Everywhere that used db_name/mode is now using DbInfor->*.
	- Ran indent on the file.
	- Added a drop_database function to call dropdb on the database used
	  for the tests.  This eventually needs to be changed so that every
	  "return FALSE" first calls gnc_session_destroy(session), before this
	  new function is called.
	- (db_file_url): Changed the function to handle TCP connections as well
	  as socket connections.
	- (load_db_file): Added a PGBackend object from which to get a PGconn
	  connection to store in DbInfo.
	- (test_raw_query): Added a call to gncQueryPrint() if
	  gnc_should_log(MOD_TEST, GNC_LOG_DETAIL)
	
2003-01-29  Herbert Thoma  <herbie@hthoma.de>

	* src/report/standard-reports/cash-flow.scm: only asset accounts
	  are in the default account selection, tables use normal-row
	  and alternate-row
	
2003-01-28  Derek Atkins  <derek@ihtfp.com>

	* configure.in -- fix the PG test to deal properly with non-standard
	  locations.  In particular, AC_CHECK_HEADERS() uses CPPFLAGS, not
	  CFLAGS.
	* src/backend/postgres/Makefile.am: use PGSQL_CFLAGS and PGSQL_LIBS
	* src/backend/postgres/test/Makefile.am: use PGSQL_CFLAGS

2003-01-28  Christian Stimming  <stimming@tuhh.de>

	* po/it.po: Updated Italian translation by Lorenzo Cappelletti
	<L.Cappelletti@mail.com>

2003-01-27  Christian Stimming  <stimming@tuhh.de>

	* po/nl.po: Updated Dutch translation by Hendrik-Jan Heins
	<hjh@passys.nl>

	* src/import-export/hbci/gnc-hbci-getbalance.c: Introduced yet
	more user messages about what is supported by the bank.

2003-01-27  Derek Atkins  <derek@ihtfp.com>

	* configure.in -- don't assume gtkhtml is avail from gnome-config
	  when testing for zvt.  Use the (already aquired) $GTKHTML_LIBS
	  instead.  Fixes Stan's problem from gc-devel.

2003-01-27  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/glade/hbci.glade: Some more GUI work for
	HBCI setup, like clarifying some comments.

2003-01-25  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_update_cal): Fix
	the Recurrence-Frequency example-calendar date calculation to show
	upcoming instances correctly.

	* src/engine/SchedXaction.c (xaccSchedXactionGetNextInstance):
	Remove the validity check on the temporal-state-data's notion of
	the last-occurance date; as invalidity means something important,
	we must let it through; fixes Bug#103955.

	* src/backend/file/gnc-schedxaction-xml-v2.c
	(gnc_schedXaction_dom_tree_create): Make output of the 
	deferred-instance last-date node optional on it's validity.

	* src/gnome/dialog-sxsincelast.c (cancel_check): Change assertion
	into conditional-activity, allowing rational use-case and fixing
	Bug #103182.

	* src/gnome/dialog-scheduledxaction.c (editor_ok_button_clicked):
	Correctly update available SX lists instead of the one we were
	spawned from, which may have disappeared in the mean time.  Fixes
	Bug#103629 [and allows the future fix of not needing to open the
	SX List Dialog when clicking "Advanced..." in the sx-from-transaction
	SX Editor-open vector].

2003-01-26  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci.scm, gnc-hbci-utils.c: Add
	preference (on advanced tab) to enable HBCI debug messages.

2003-01-25  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-getbalance.c: Fix HBCI problem
	with negative account balances.

	* src/engine/Scrub.c (xaccTransScrubImbalance): Fix rounding of
	the imbalance amount, #104343.

	* po/en_GB.po: Updated British English translation by Nigel Titley
	<nigel@titley.com>.

2003-01-23  Derek Atkins  <derek@ihtfp.com>

	* configure.in -- Apply Bill Nottingham's patch to use db4/db_185.h
	  (fixes #104178)

2003-01-22  David Hampton  <hampton@employees.org>

	* src/bin/gnucash: Tell guile 1.6 not to bitch about deprecated
	functions.

	* src/quotes/dump-finance-quote: Add new script that dumps all the
	data returned by F::Q for a stock.  It also indicates which data
	field gnucash requires, which are optional, etc.

2003-01-22  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-reports/business-reports.scm -- need to
	  load business-gnome module, which loads gnome-utils module, for
	  a couple HTML definitions (which should eventually be moved
	  elsewhere) so that the reports themselves don't depend on
	  gnome...  This fixes Wilddev's report problem.

	* src/business/business-ledger/gncEntryLedgerModel.c -- relabel
	  the "Account" column to "Income Account" or "Expense Account"
	  to better encourage the user to "choose wisely".

	* src/business/business-ledger/gncEntryLedgerLoad.c -- limit the
	  accounts in the pull-down list to accounts that are NOT
	  placeholder, A/R, A/P, Cash, Bank, or Equity accounts.  This
	  is also to encourage the user to "choose wisely" :)

	* src/business/business-gnome/glade/*.glade -- fix a tooltip to
	  let the user know that they can (should?) leave the ID blank
	  so the system will choose one for them.
	
2003-01-21  David Hampton  <hampton@employees.org>

	* src/quotes/finance-quote-helper.in: Fix problem getting quotes
	from trustnet.
	
2003-01-21  Derek Atkins  <derek@ihtfp.com>

	* configure.in: be more liberal in the use of AS_SCRUB_INCLUDE

2003-01-20  Chris Lyttle  <chris@wilddev.net>

	* configure.in: release 1.7.8
	* NEWS: release 1.7.8

2003-01-20  John Pierce <john@killterm.org>

	* Makefile.am
	  Added distributed generated files to distcleancheckfiles.
          Added distcheck-hook to deal with automake1.5 stupidity.

	* src/doc/Makefile.am
	  Move doxygen log and cache to distclean-local.

2003-01-20  Derek Atkins  <derek@ihtfp.com>

	* src/engine/QueryNew.c -- g_list_append() can take a LONG time
	  and on big queries the merge can appear to take a long time.
	  So, let's use g_list_prepend() and g_list_reverse() to speed
	  up the process significantly.

	* src/engine/gnc-numeric. -- fix the gnc_numeric_lcd() algo to
	  actually work with numbers that are not co-divisible but have
	  multiple-powers of co-factors.  For example, the old algorithm
	  thought the LCM of 100,96875 was 3100, when it is really 387500,
	  because it was removing the factor of '5' too many times..

	* src/app-utils/test/test-scm-query-string.c -- fix a memory leak
	  in the test.
	
2003-01-19  John Pierce <john@killterm.org>

	* doc/Makefile.am
	* src/doc/Makefile.am
	* src/doc/design/Makefile.am
	* src/experimental/cgi-bin/Makefile.am
	  Added docs that were missing from dist.
	  Moved doxygen clean rules to maintainer-clean.
	  Moved texinfos to maintainer-clean.

	* lib/libc/Makefile.am
	  Added sources needed for OS X to dist.

	* src/app-utils/Makefile.am
	* src/backend/postgres/Makefile.am
	* src/business/business-core/Makefile.am
	* src/business/business-gnome/Makefile.am
	* src/business/dialog-tax-table/Makefile.am
	* src/core-utils/Makefile.am
	* src/engine/Makefile.am
	* src/gnc-module/Makefile.am
	* src/gnc-module/test/mod-bar/Makefile.am
	* src/gnc-module/test/mod-baz/Makefile.am
	* src/gnc-module/test/mod-foo/Makefile.am
	* src/gnome/Makefile.am
	* src/gnome-search/Makefile.am
	* src/import-export/Makefile.am
	* src/import-export/binary-import/Makefile.am
	* src/import-export/qif-io-core/Makefile.am
	* src/register/register-core/Makefile.am
	* src/report/report-gnome/Makefile.am
	* src/scm/Makefile.am
	* src/app-file/Makefile.am
	* src/gnome-utils/Makefile.am
	  Put generated headers into dist.
	  Moved symlinks to distclean.
	  Moved generated files to maintainer-clean.
	  Put generated gw-.*.scm files in dist for parity.
	  Put generated sources into dist.
	  Moved generated source to maintainer-clean.

	* src/bin/overrides/Makefile
	  Made built scripts depend on config.status to ensure
	  they're rebuilt when paths change.

2003-01-19  John Pierce <john@killterm.org>

	* macros/autogen.sh
	  Use variables for programs so they can be overridden easily.

2003-01-19  Derek Atkins  <derek@ihtfp.com>

	* src/engine/gnc-numeric.c -- be more intelligent when operating
	  on numbers of different denominators.  In particular, convert
	  both numbers to the lcd and then operate on them, instead of
	  assuming that a "cross-multiply" is safe.
	* src/app-utils/test/test-print-parse-amount.c -- add more tests for
	  PrintAmountInternal by checking force_fit and round.  Excercises
	  a bug (fixed in this patch) where cross-multiplies were NOT safe.

	* src/gnome-search/dialog-search.c -- reset the search-type to
	  "New Search" if we end up displaying no results.  Fixes bug #97095.

	* src/app-utils/prefs.scm -- combine all the Advanced prefs into one
	  location.  Then add the "New Search Limit" preference.
	* src/gnome-search/dialog-search.c --Use the "New Search Limit" pref
	  to decide when to start a new search vs. when refine the search.
	  Really fix #97095.

	* configure.in: scrub GNOME_PRINT_CFLAGS

	* src/gnome-utils/gnc-gui-query.c -- fix gnc_info_dialog() to deal
	  properly in the case that it's called before the UI is up.

	* src/app-utils/hooks.scm -- create a new 'post-ui-startup' hook
	* src/app-utils/app-utils.scm -- export the 'post-ui-startup' hook
	* src/scm/main.scm -- run the post-ui-startup hook after the UI
	  is up but before we run the ui-event-loop
	* src/business/business-utils/business-prefs.scm -- create two
	  new global preferences: "Notify Bills Due?" and "Bills Due Days"
	* src/business/business-gnome/business-gnome.scm -- create a dialog
	  are runtime (and via a new menu item) that displays all the bills
	  that are due withing "Bills Due Days" days from now.  It's ugly,
	  but it's functional.  Fixes #102439.

	* configure.in -- scrub the CFLAGS for postgres, as per Roland Roberts'
	  report.
	
2003-01-18  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncTaxTable.[ch]: add functions to
	  get the GUID and lookup by direct GUID (suitable for wrapping)
	* src/business/business-core/gw-business-core-spec.scm: wrap
	  the taxtable get-guid and lookup methods
	* src/business/business-gnome/business-utils.[ch]: re-implement
	  the "generic option menu" code to allow get_value(), set_value(),
	  and changed_callback() functions.
	* src/business/business-gnome/business-options.c: create a taxtable
	  option type using the new generic optionmenu code
	* src/business/business-gnome/business-options.scm: define a taxtable
	  option.  Also fix all the other options when using a KVP storage
	  to actually load and save the options properly
	* src/business/business-gnome/business-prefs.scm: create a default
	  customer and default vendor taxtable option for the "File Properties"
	  option menu.

	  Initial fix for #93462.  Next commit will actually use the values.

	move code around a lot.
	* Rename a bunch of files:
	  business-options to business-options-gnome
	  business-utils to business-gnome-utils
	  - this required changes to a bunch of files in business-gnome
	* move business-options.scm and business-prefs.scm to business-utils
	* create a business-utils gnc-module
	  - required changes to configure.in, business/Makefile.am
	  - added a bunch of files (generally moved from business-gnome)
	* moved a bunch of other non-gnome definitions out of the gnome-specific
	  locations (gnome-utils -> app-utils, or business-gnome -> business-utils)

	* gncEntryLedgerLoad.c: commented-out code to load tax-tables from
	  the options; waiting until code is actually written.

	* src/app-utils/option-util.[ch]: add new functions to handle
	  kvp-options from C (similar to the gnome-utils functions to
	  create an option dialog from a kvp-frame for a particular
	  object).
	* src/business/business-utils/business-options.[ch]: add code to
	  lookup business options in an option database, from C.
	* src/business/business-ledger/Makefile.am: include business-utils headers
	* src/business/business-ledger/gncEntryLedgerLoad.c: load the tax-table
	  from the book-kvp options and use that as the default tax table

	FIXES 93462.

	* src/app-utils/prefs.scm: Remove "user name" and "user address"
	  preferences, as they are no longer used by anything.
	* src/report/standard/reports/register.scm: we're not using the
	  'invoice' portion anymore, so we don't need references to user
	  name and user address preferences.  This removes the "User Info"
	  page from the Global Preferences.
	
2003-01-16  Derek Atkins  <derek@ihtfp.com>

	* src/engine/commodity-table.scm: move gnc:commodity-is-currency? here
	* src/engine/engine.scm: export gnc:commodity-is-currency?
	* src/report/report-system/report-system.scm: remove ref to same.
	* src/report/report-system/report-system.scm: remove function above
	* src/import-export/qifiimport/qif-to-gnc.scm: fix the algorithm
	  to find/create new accounts.  All "parent" accounts are of
	  commodity "default-currency" (but don't really care about that).
	  When creating a leaf account, use the security if it's a
	  stock/mmf account, but the default-currency otherwise.
	  Fixes #103633.

	  NOTE:  Might need similar fixed in qif-io-core?

	* qif-merge-groups.scm: Limit matches against only the accounts in
	  the old group, so we don't match against ourselves.  This should
	  limit the matches to only "reasonable" matches, and should fix #102463
	
2003-01-15  David Hampton  <hampton@employees.org>

	* configure.in: Remove restriction on guile versions > 1.4.
	Provide a version dependant load path variable for the SRFI
	location. (Empty in 1.6 since they're bundled with guile.)

	* src/engine/Makefile.am: Don't hard code the location of the
	SRFIs into the guilel load path.

	* src/import-export/qif-import/qif-file.scm: The rdelim module
	moved locations in guile 1.6

2003-01-15  John H. Pierce <john@killterm.org>

	* Makefile.am:
	* configure.in:
	* src/app-file/Makefile.am:
	* src/app-utils/Makefile.am:
	* src/backend/net/Makefile.am:
	* src/backend/rpc/Makefile.am:
	* src/bin/Makefile.am:
	* src/business/business-core/Makefile.am:
	* src/business/business-gnome/Makefile.am:
	* src/business/dialog-tax-table/Makefile.am:
	* src/core-utils/Makefile.am:
	* src/engine/Makefile.am:
	* src/experimental/cgi-bin/Makefile.am:
	* src/experimental/cgi-bin/fastcgi-hello.c:
	* src/experimental/cgi-bin/gnc-server.c:
	* src/experimental/cgi-bin/hello3.c:
	* src/gnc-module/Makefile.am:
	* src/gnc-module/test/mod-bar/Makefile.am:
	* src/gnc-module/test/mod-baz/Makefile.am:
	* src/gnc-module/test/mod-foo/Makefile.am:
	* src/gnome/Makefile.am:
	* src/gnome-search/Makefile.am:
	* src/gnome-utils/Makefile.am:
	* src/import-export/binary-import/Makefile.am:
	* src/import-export/hbci/test/Makefile.am:
	* src/register/register-core/Makefile.am:
	* src/report/report-gnome/Makefile.am: Changes to make the build
	system work on multiple architectures and with multiple versions
	of the autotools suite.  Make generated g-wrap sources depend on
	config.status.

	* Makefile.DEPS:
	* src/bin/strsub.c: New files needed for automake 1.4.  These can
	be removed when automake 1.4 is no longer supported for building
	gnucash.

2003-01-15  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/test/test-print-parse-amount.c: set force_fit and
	  round to 0 (like they should be) so we don't hit the rounding
	  code and blow up.   Fixes #103536.

	* src/backend/postgres/test/Makefile.am: include run-tests.sh in
	  the distribution.

	* src/register/register-gnome/gnucash-sheet.c: fix a fencepost
	  error where it assumed there would be at least two "visible
	  rows" per block, so search through the end rather than skipping
	  the last row.  This fixes the page-up/page-down problem with
	  invoices.  Also add more places where the visible range is computed.

	* src/business/business-ledger/gncEntryLedgerLoad.c: add code to
	  "show_range()" which should fix the page-up/page-down problem.
	
2003-01-14  Derek Atkins  <derek@ihtfp.com>

	* src/engine/QueryNew.h: add QUERY_PARAM_ACTIVE
	* src/business/business-core/gncCustomer.c:
	* src/business/business-core/gncEmployee.c:
	* src/business/business-core/gncInvoice.c:
	* src/business/business-core/gncJob.c:
	* src/business/business-core/gncOrder.c:
	* src/business/business-core/gncVendor.c:
	  add the QUERY_PARAM_ACTIVE parameter support
	* src/app-util/prefs.scm: add hidden preference to store
	  the user's choice of searchin
	* src/gnome-search/search.glade: add a checkbox to search-for-all
	* src/gnome-search/dialog-search.c -- add preliminary support to
	  limit searches to only "active" objects.  Fixes bug #103506

	* src/gnome-search/dialog-search.c -- grey out the button if it
	  has no meaning for this particular search-type.
	
2003-01-13  David Hampton  <hampton@employees.org>

	* src/engine/engine-helpers.c: Make the gnc_scm_to_gint64()
	function work with either guile 1.4 or guile 1.6.

	* src/app-file/gnc-file.h:
	* src/engine/Backend.h:
	* src/engine/gnc-session-scm.c:
	* src/engine/gnc-session.h:
	* src/gnome-utils/gnc-mdi-utils.c:
	* src/gnome-utils/gnc-mdi-utils.h:
	* src/gnome-utils/gw-gnome-utils-spec.scm:
	* src/report/report-system/report-utilities.scm: Make the progress
	bar argument a double instead of an int.  This gets around an
	issue with guile 1.6.

2003-01-13  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/option-util.c: gh_str2scm() takes a char*, not a
	  const char* (at least in guile-1.3.4), so force the string to be
	  a char* to make the compiler happy.

	* src/engine/date.c: add spaces to the scanDate delimiters,
	  although it may not help if strptime() is doesn't like the
	  spaces.  Attempt to fix #103147, but it's probably a strptime
	  bug.

	* src/business/business-gnome/dialog-invoice.c -- make the Notes
	  field editable for new invoices.  Fixes #103345

	* src/import-export/import-utilities.c -- applied Nigel Titley's
	  patch for #101705
	
2003-01-12  Derek Atkins  <derek@ihtfp.com>

	* src/app-utils/global-options.[ch]: add gnc_default_report_currency()
	* src/app-utils/gw-app-utils-spec.scm: wrap gnc_default_report_currency()
	* src/app-utils/prefs.scm: add "Default Report Currency" preference
	* src/report/report-system/options-utilities.scm: use new report currency
	  preference to choose the "default" report currency.
	FIXES Bug #103160

	* src/business/business-core/gncOwner.[ch]: rename ...Commodity() to
	  ...Currency()
	* src/business/business-core/gncInvoice.[ch]: rename ...CommonCommodity()
	  to ...Currency()
	  use new gncOwner function name
	* src/business/business-core/gncEntry.c: use new Currency() functions
	* src/business/business-core/gw-business-core-spec.scm:
	  wrap gncInvoiceSetCurrency()
	  wrap gncInvoiceGetCurrency()
	  wrap gncOwnerGetCurrency()
	* src/business/business-core/file/gnc-invoice-xml-v2.c: use new funcs
	* src/business/business-gnome/dialog-invoice.c: use new functions --
	  set invoice currency based on owner's currency
	* src/business/business-reports/invoice.scm: use invoice's currency
	  for printing the invoice.
	PARTITAL fix for #101001

	* .../business-core/gncCustomer.[ch]:
	* .../business-core/gncVendor.[ch]:
	* .../business-core/gncEmployee.[ch]:
	  Rename ...Commodity() to ...Currency()
	* .../business-core/gw-business-core-spec.scm: fix function wrappings
	* .../business-core/file/gnc-customer-xml-v2.c:
	* .../business-core/file/gnc-vendor-xml-v2.c:
	* .../business-core/file/gnc-employee-xml-v2.c:
	  Use new function names.
	* .../business-gnome/business-gnome.scm:
	* .../business-gnome/dialog-customer.c:
	* .../business-gnome/dialog-vendor.c:
	* .../business-gnome/dialog-employee.c:
	  Use new ...Currency() functions
	More prep to fix #101001

	* .../business-gnome/business-gnome.scm:
	  Fix the Extensions hooks to connect menus properly when GNC_DEBUG=1
	* .../business-gnome/dialog-customer.c:
	* .../business-gnome/dialog-vendor.c:
	* .../business-gnome/dialog-employee.c:
	* .../business-gnome/glade/customer.glade:
	* .../business-gnome/glade/vendor.glade:
	* .../business-gnome/glade/employee.glade:
	  Add ability to edit currency in the UI.  Fixes #101001

	* .../business-ledger/gncEntryLedgerLayout.c: change the order
	  of columns in order to get page-up/page-down to work without going
	  into an infinite loop.
	* .../business-ledger/gncEntryLedgerLoad.c: suspend events
	  when we're creating a new entry.  Unfortunately the gnucash-sheet
	  still never counts the blank entry, and I don't know why.

	* src/engine/QueryCore.c: fix the algorithm to compute equality
	  of numerics so it copes with numbers in the "wrong" order.
	  Fixed bug #103341
	
2003-01-12  David Hampton  <hampton@employees.org>

	* macros/openhbci.m4: Scrub hbci include paths to prevent gcc 3.x
	compile errors.

	* src/app-utils/option-util.c: 
	* src/app-utils/global-options.c: Add support for setting a string
	option.

	* src/app-utils/prefs.scm: Create hidden options for the saved
	default import/export path names.

	* src/app-utils/gnc-ui-util.c: Add routine for easily extracting a
	directory path from a filename.

	* src/import-export/ofx/gnc-ofx-import.c: Default the OFX import
	directory to the directory of the last OFX file imported, or the
	user's home dir for the first export. Remembered across
	invocations of gnucash. #94428

	* src/app-file/gnc-file.c: Default the save directory to the
	directory of the last file used. Default the exports directory to
	the directory of the last file exported, or the user's home dir for
	the first export. Remembered across invocations of gnucash. #94428

	* src/scm/price-quotes.scm: Correctly handle the case where no
	stocks have been defined and the user asks gnucash to get price
	quotes. #102560

	* src/network-utils/gnc-http.c: Work around bug in ghttp library
	so that intl users whose whole units/fractions separator is a
	comma can request web pages.

	* src/register/register-gnome/gnucash-sheet.c
	(gnucash_sheet_insert_cb): Return the number of characters
	entered, not the length of the encoded multi-byte string. Possible
	fix for 99419 and 102057.

2003-01-11  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/gncBusGuile.[ch]: functions to interface
	  between business objects and scheme.  Add hooks to convert between
	  GncAccountValue* and scheme.
	* src/business/business-core/gw-business-core-spec.scm:
	  wrap the GncAccountValue*
	  wrap gncEntryReturnTaxValues()
	  wrap gncEntryGetInvTaxable() and gncEntryGetBillTaxable()
	* src/business/business-reports/invoice.scm: change a couple of
	  columns.  Enable viewing the "taxable" entry.  Enable viewing
	  all the tax accounts individually (fixes bug #102892)

	* src/business/business-core/gw-business-core-spec.scm:
	  wrap gncEntryGetInvTaxTable()
	  wrap gncEntryGetBillTaxTable()
	* src/business/business-reports/invoice.scm: only set the "taxable"
	  value to 'T' if the value is true AND we've got an actual tax table.
	
2003-01-11  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-ui-util.c: The "reverse balance" preference
	was moved a while back. Fix this missed reference.

	* src/engine/gnc-commodity.c: Convert from the old to new symbols
	for Russian Roubles (RUB -> RUR). #102705

2002-01-11  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/import-backend.c: Fixed the date heuristics
	  modifications, which had an unfortunate interaction with old
	  debugging code, causing the score to be reversed, and making the
	  matcher mostly unusable.
	
2003-01-09  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-model.c:
	* src/register/ledger-core/split-register-control.c:
	  Ignore certain splits with an "amount" of zero.

2003-01-09  Christian Stimming  <stimming@tuhh.de>

	* po/el.po: Updated translation, reviewed by
	ta_panta_rei@flashmail.com.

2003-01-08  Derek Atkins  <derek@ihtfp.com>

	* apply patch to use Euclid's algo for gnc_numeric_reduce
	  more fixes for #95474

	* src/business/business-core/gncInvoice.c: actually apply
	  a payment to the proper transfer account.  Fixes bug #102893
	
2003-01-08  Christian Stimming  <stimming@tuhh.de>

	* po/ru.po: Updated very complete (!) Russian translation by
	Vitaly Lipatov <lav@altlinux.ru>.

2002-01-07 Herbert Thoma <herbie@hthoma.de>

	* src/gnome-search/gncmod-gnome-search.c:
	* src/business/business-gnome/businessmod-gnome.c:
	* gnucash/src/gnome-utils/dialog-options.h:
	* src/import-export/binary-import/druid-commodity.h:
	* src/register/register-gnome/gnucash-color.c:
	* src/report/report-gnome/gncmod-report-gnome.c:
	  add #ifdef HAVE_CONFIG_H
	    #include <config.h>
	    #endif
	  this fixes compile errors on SuSE 8.0 + 8.1

2003-01-07  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-core/file/* -- don't save half-built data.
	  Make sure that we're only saving the items that have been fully
	  created (not half-created).  Fixes the cause of bug #102776.

	* src/business/business-core/business-core.scm: return #f if
	  we cannot obtain an owner from a split (in the case of a regularly-
	  entered split)
	* src/business/business-reports/aging.scm:
	* src/business/business-reports/owner-report.scm:
	  Cope with not being able to obtain an owner from a split.
	  In particular, ignore it.  Fixes part of #97097.

2003-01-06  Derek Atkins  <derek@ihtfp.com>

	* macros/Makefile.am: include the rest of the macros in the dist.

	* src/engine/test/test-scm-query-import.scm: add a warning message
	  about potential "error" output which can be ignored.

	* intl-scm/Makefile.am: applied John's patch to build guile-strings.c
	  properly.
	
2003-01-05  Chris Lyttle  <chris@wilddev.net>

	* configure.in: release 1.7.7
	* NEWS: release 1.7.7

2003-01-05  John H. Pierce <john@killterm.org>
    * Makefile.am: Added rule for libtool rebuilding.

    * configure.in: Changed AC_DISABLE_STATIC to AM_DISABLE_STATIC
      Look in the right place for srfi modules.
      Reordered output files so directories get created in the right order.

    * intl-scm/Makefile.am: Only find scm files once.
      Fix for non-srcdir builds.

    * src/app-utils/Makefile.am:
    * src/business/business-core/Makefile.am: 
    * src/business/dialog-tax-table/Makefile.am:
    * src/gnome/Makefile.am:
    * src/gnome-search/Makefile.am:
    * src/gnome-utils/Makefile.am:
    * src/business/business-gnome/Makefile.am:
    * src/gnc-module/Makefile.am: 
      Removed unneeded depends, they interfere with the auto-generated ones.

    * src/gnc-module/test/mod-bar/Makefile.am: 
    * src/gnc-module/test/mod-baz/Makefile.am: 
    * src/gnc-module/test/mod-foo/Makefile.am:
    * src/gnc-module/test/misc-mods/Makefile.am:
      Don't install test modules.
        
    * src/backend/postgres/Makefile.am:
      Fixed auto-generation of sources out of srcdir.
      Moved auto-generation sources all to BUILT_SOURCES to generate
      correct depends.
      Removed incomplete explicit depends.

    * src/backend/rpc/Makefile.am:
    * src/backend/postgres/test/Makefile.am:
      Look in engine srcdir for guile stuff.

    * src/engine/Makefile.am:
      Remove absolute paths so automake gets dependencies right for libs.
      Remove unneeded depends.

    * src/engine/gnc-commodity.c:
    * src/engine/iso-currencies-to-c:
      Look for auto-generated files in srcdir.

2002-1-6  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/import-backend.c: Give a much higher importance
	the date heuristics.   Exact date now worth +3, date within 
	MATCH_DATE_THRESHOLD worth +2, and dates outside 
	MATCH_DATE_NOT_THRESHOLD (now set to 25) are worth -100. 
	The side effect it that any transaction outside a 25 day 
	range can't be matched at all.
	-Disable skipping transactions which already have an online id
	during matching, untill a fix for the "transfer between two 
	accounts" bug is properly fixed.
	* src/import-export/generic-import.scm:
	* src/import-export/import-settings.c:	
	-Disable EDIT action enabling, (it won't be complete for 1.8.0).
	-Fix typos reported by Bill Wohler.
	-Adjust default ADD and RECONCILE threshold to account for above
	change.
	
2003-01-05  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-component-manager.c: New functions for
	attaching a session to a component, for finding all components
	with a given session, and for closing all components with a given
	session.

	* src/gnome-utils/dialog-account.c: Attach session values to the
	components for "New Account" and "Edit Account" windows. #103531

	* src/app-file/gnc-file.c (gnc_file_new): Before destroying the
	session, call new routine to close any open components related to
	this session. #102531

2003-01-05  Derek Atkins  <derek@ihtfp.com>

	* src/scm/main.scm -- mention bugzilla in the unstable message

	* src/backend/file/io-example-account.[ch]: add a flag that signifies
	  that an account-tree should NOT be included by "select-all"
	* src/gnome/druid-hierachy.c: ignore account-trees that are
	  marked for exclusion from "select-all".
	* accounts/C/acctchrt_business.gnucash-xea: mark this account as
	  "excluded from select-all"

	* src/backend/file/io-example-account.[ch]: add a flag that signifies
	  that an account-tree should start selected.
	* src/gnome/druid-hierarchy.c: when loading the example accounts, go
	  through the list and 'select' those that are marked as "start selected"
	* accounts/C/acctchrt_common.gnucash-xea: mark this account tree as
	  "start selected"

	* src/register/ledger-core/split-register-model-save.c: when
	  editing an exchange rate, always change the _VALUE_ of the
	  split, not the amount.  This has the affect of keeping the
	  visible number the same and changing the "other" account.  This
	  should fix #102161

	* src/backend/file/io-example-account.c: fix a logic bug
	* accounts/C/acctchrt_common.gnucash-xea: don't start selected
	* accounts/C/acctchrt_checkbook.gnucash-xea: provide a simple checkbook
	
2003-01-04  David Hampton  <hampton@employees.org>

	* src/backend/file/gnc-account-xml-v2.c: 
	* src/backend/file/gnc-book-xml-v2.c: 
	* src/backend/file/io-gncxml-v2.c: 
	* src/backend/file/io-utils.c:
	* src/backend/file/test/test-xml-account.c: Don't export lots.

	* src/engine/gnc-session.c (gnc_session_destroy): Don't clear the
	current_session global unless the actual current session is being
	destroyed. 101707.

	* src/backend/file/io-gncxml-v2.c: Pipe the output through zlib if
	the user requested compression. This request is either setting a
	option in the preferences (for all files), or naming the
	particular data file with a .gz extension. #88509

	* src/backend/file/gnc-backend-file.c:
	* src/gnome/top-level.c:
	* src/app-utils/prefs.scm: Create a 'file compression' option and
	pass the data into the backend.

2003-01-04  Derek Atkkins  <derek@ihtfp.com>

	* add a set of business accounts to the setup druid
	* fix the full and common accounts to remove the (wrong) "Accounts Payable"
	  liability account.

	* src/engine/Transaction.[ch]: add TRANS_NOTES and supporting routines
	  to enable searching for notes.

	* src/gnome/dialog-find-transactions.c: search on NOTES
	  add code to prevent searching on template-txn accounts so SXes don't
	  show up in find results.

	* src/register/ledger-core/*: gnc_table_layout_get_cell() doesn't
	  look at the current cursor, so the multi-currency code was acting
	  all the time, instead of only in registers that needed to be corrected.
	  Fix the code to only apply the multi-currency changes to the correct
	  register types (e.g., NOT stock registers).  Fixes 102549.
	
2003-01-03  David Hampton  <hampton@employees.org>

	* src/gnome/druid-hierarchy.c:
	* src/gnome/druid-loan.c:
	* src/gnome/druid-stock-split.c:
	* src/gnome/window-reconcile.c:
	* src/gnome-utils/window-help.c:
	* src/import-export/qif-import/druid-qif-import.c: Add icons to
	gtk only windows. This can probably be reverted in the port to
	gnome2 when the icon functionality moves from gnome_xxx to
	gtk_xxx.

	* src/engine/gnc-pricedb.h:
	* src/gnome/dialog-price-edit-db.c: Add support for i18n of price
	source strings. Needs to be done at display time because the
	strings are embedded into the data file. #102156

	* src/import-export/qif-import/druid-qif-import.c:
	* src/import-export/qif-import/qif.glade: Add a smart function for
	going "back" from the "load a file" page.  If there are any files
	loaded it returns to the "loaded files" page instead of the
	initial druid page. #101818

	* src/backend/file/gnc-backend-file.c
	(gnc_file_be_load_from_file): Don't free the lockfile name any
	time there is an error.  Wait for the session to be destroyed so
	the lockfile will be cleaned up properly. #101004

	* src/app-file/gnc-file.c (gnc_file_query_save): Grab the current
	session each time around the while loop so as not to have a
	dangling pointer. #101004

2003-01-03  Derek Atkins  <derek@ihtfp.com>

	* src/business/business-gnome/glade/invoice.glade: fix a string
	  to make the meaning more clear (per user request)

2003-01-03  Matthew Vanecek <mevanecek@yahoo.com>
	* src/backend/postgres/Postgresbackend.c: Fixed some compiler
	warning messages about MODE_NONE and a some GUIDs used as
	string pointers in informational messages.

	* src/backend/postgres/test/test-db.c: Commented out the
	"short module" declaration.  It was not used and was causing a
	compiler warning.

	* src/backend/postgres/upgrade.c: Changed the "ALTER TABLE table
	ADD COLUMN..." statements to conform to the current Postgres
	implementation (and SQL 92) standard by putting the DEFAULT 
	modifier in a separate ALTER statement.	 This was reported by
	Christopher B. Browne.

2003-01-02  David Hampton  <hampton@employees.org>

	* src/report/report-system/html-utilities.scm: Fix malformed URLs
	for bringing up a report options window.

	* src/report/report-system/options-utilities.scm:
	* src/report/report-system/report-system.scm: Add new option for
	specifying sort critera for piecharts and barcharts.

	* src/report/standard-reports/account-piecharts.scm: Add various
	sorting options.  Work around Guppi problem by replacing the
	character "&" with the word "and".

	* src/report/standard-reports/category-barchart.scm: Add various
	sorting options. The default is now by ammount instead of by
	account-code, which is a much more interesting report.  #102342
	Work around Guppi problem by replacing the character "&" with the
	word "and".  Don't "reverse" the barchart legend.  Double-clicking
	on the legend now opend the right child report.

	* src/report/standard-reports/net-barchart.scm: The report title
	should change when the report name field is changed in the
	options. #102266

	* src/report/standard-reports/pnl.scm: The report title should
	change when the report name field is changed in the
	options. #102267

	* src/gnome-utils/window-help.c (helpWindow): Correctly pass on
	the label when first opening a help window.

	* src/gnome-utils/gnc-html.c (gnc_html_load_to_stream): Delay
	jumping to a label until after the help window has been created on
	the screen. Without this gtk-html computes the wrong scroll offset
	for the window.

	* src/scm/price-quotes.scm: Remove the "checking sources" message.

2003-01-01  David Hampton  <hampton@employees.org>

	* src/gnome-utils/window-help.c (helpWindow): Correctly open a
	help window when the initial URL contains a label component to it.

	* src/gnome/window-reconcile.c: Make the reconciliation window
	respect the 'include subaccount' flag any time it opens a
	register.  Consolidate logic for opening a new register. Enhance
	the reconciliation start window to update the ending value when
	this flag is changed. #101150

	* src/gnome-utils/gnc-amount-edit.c (gnc_amount_edit_key_press):
	If the amount is monetary, map the keypad decimal key to the
	correct decimal character for the locale. #101957

2003-01-01  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-control.c: invert the
	  exchange rate when we're swapping currencies, since the logic
	  of the transfer dialog was reversed.  Fixes bug #102157

	* src/gnome-utils/dialog-transfer.c: call the to_amount_update_cb
	  handler during certain paths of the ok_cb because the focus-out
	  signal may not get handled in all cases -- so force the issue.
	  Fixes bug #102163

	* src/gnome-utils/dialog-transfer.c: always set the exchange-rate
	  as a positive value (use ABS).  Fixes the rest of #102163.

	* src/register/ledger-core/split-register-layout.c: fix the
	  rate_cell layout for general ledgers.  Fixed the critical
	  failure from bug #101000

	* src/gnome-search/search-numeric.c:
	* src/gnome-search/search-double.c:
	* src/gnome-search/search-int64.c:
	  read the value out of the GNCAmountEdit entry when we create
	  the Query Predicate, because we're not getting the amount_changed
	  signal.  Fixes #101000.

	* src/business/business-core/gncInvoice.[ch]: create new function
	  for logic to apply a payment.  Moved logic from dialog-payment.
	* src/business/business-gnome/dialog-payment.c: move logic to
	  apply payment to business-core.

	* src/engine/Account.[ch]: add an xaccAccountRemoveLot() function to allow
	  the LOT code to clear memory when you destroy a lot.  Fixes a crash
	  when you destroy a lot.
	* src/engine/Transaction.[ch]: add an xaccTransClearReadOnly() function
	  to let you clear the flag so you can then remove an transaction.  Only
	  for internal uses only!  This is used by the Invoice UnPost code.
	* src/engine/gnc-lot.c: remove the lot from the account's list of lots
	  when the last split is gone.

	* src/business/business-core/gncInvoice.[ch]: implement Unpost function
	* src/business/business-ledger/gncEntryLedger.[ch]: change the
	  set_readonly() function to let you toggle back and forth between
	  readonly and readwrite ledgers.
	* src/business/business-gnome/dialog-invoice.c: implement unpost; set back
	  to readwrite if the unpost succeeds
	* src/business/business-gnome/dialog-order.c: use new set_readonly() API
	FIXES BUG #101452

	* configure.in: add a blatent warning that the RPC code is broke!
	* src/scm/command-line.scm: change the message to let people know that
	  the rpc-server command-line option only works if gnucash was compiled
	  with rpc enabled.
	
2002-12-30  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/hbci/druid-hbci-initial.c
	* src/import-export/hbci/gnc-hbci-utils.c:
	Fix a bunch of "warning: deprecated use of label at end of
	compound statement" in gcc3 in select statements (added 
	semicolons after default: so that I don't break anything,
	but it should probably output an error instead).

2002-12-30  Christian Stimming  <stimming@tuhh.de>

	* src/report/standard-reports/cash-flow.scm: Patch by Ed Warnicke
	<hagbard@physics.rutgers.edu>.

2002-12-30  Matthew Vanecek <mevanecek@yahoo.com>
	* src/backend/postgres/PostgresBackend.c: Added some ENTER
	and LEAVE statements to more of the functions.

	* src/backend/postgres/upgrade.c: Changed all the DATETIME
	SQL data types to TIMESTAMP.  DATETIME will not be in Postgresql
	as of 7.3.
	
	* src/backend/postgres/functions.sql: Changed all the DATETIME
	types in the DDL to TIMESTAMP.

	* src/backend/postgres/table-create.sql: Changed all the DATETIME
	types in the DDL to TIMESTAMP.

	* src/backend/postgres/table-audit.sql: Changed all the DATETIME
	types in the DDL to TIMESTAMP.

2002-12-30  Christian Stimming  <stimming@tuhh.de>

	* src/app-utils/prefs.scm, src/app-utils/global-options.c: Rename
	"Default currency" option to "New Account default currency" since
	*everybody* asks about that one.  Was reported in #102043, 
	#100466, #99364, #87729.

	* src/business/business-gnome/dialog-invoice.c
	(gnc_invoice_id_changed_cb): More i18n fixes. Don't split up
	strings.

	* src/business/business-gnome/glade/*.glade: Correct spelling
	error.

	* src/engine/FreqSpec.c: Fix the i18n comments for the translators.

	* src/gnome-utils/gnc-dense-cal.c: i18n'ize the dense calendar
	widget.

2002-12-29  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/dialog-scheduledxaction.c, dialog-sxsincelast.c: Some
	i18n fixes.

2002-12-28  Joshua Sled  <jsled@asynchronous.org>

	* src/register/register-gnome/formulacell-gnome.c: Changed
	FormulaCell from MOD_SX to MOD_REGISTER.

	* src/engine/FreqSpec.c (xaccFreqSpecGetFreqStr):
	s/g_string_sprintf/snprintf/, as the former can't handle the
	re-ordered format parameters which the po-files use; fixes
	Bug#101650.

2002-12-28  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-transfer.c: Revert pricedb lookup at
	warlord's request.

	* src/bin/test/Makefile.am:
	* src/doc/Makefile.am:
	* src/import-export/hbci/Makefile.am: 
	* src/import-export/ofx/Makefile.am: Get 'make distcheck' working again.

2002-12-28  Christian Stimming  <stimming@tuhh.de>

	* src/scm/main.scm: Patch by Peter O'Gorman <peter@pogma.com> for
	Mac OS X.

2002-12-27  Christian Stimming  <stimming@tuhh.de>

	* src/engine/test-core/Makefile.am: Fix linker errors in
	src/engine/test/

	* src/import-export/hbci/hbci-interaction.c: Fix reparent
	warnings. Make the PIN dialog a bit nicer.

	* src/import-export/hbci/gnc-hbci-getbalance.c: Always use the
	"booked balance" instead of sometimes one or the other.

	* po/de.po: Updated translation.

2002-12-23  David Hampton  <hampton@employees.org>

	* src/import-export/qif-import/qif-parse.scm: Fix regexps to
	handle a leading '+' sign in the currency field. (Bug reported on
	gnucash-user.)


	* src/gnome-utils/gnc-html.c: The stream_handler hook needs to
	return a file size. Not all files opened by this function are
	ASCII text.  Reset the base_location properly when switching
	documents. Add debugging. #101783

	* src/report/report-gnome/window-report.c: Update the various
	functions used as stream_handlers to return correct file
	sizes. #101783


	* configure.in: When checking for gtkhtml-1.1, make the lack of
	pkg-config a fatal error. Also check for pkgconfig due to some
	clueless software mismanagement.

	* macros/autogen.sh: Enable -Werror for all builds.
	

	* src/app-file/gnc-file.c: Add missing error message.

	* src/backend/file/sixtp-dom-parsers.c:
	* src/backend/file/sixtp-stack.c:
	* src/backend/file/sixtp.c: Better handling of corrupt XML data
	files.  Print better error messages for unknown tags, or
	mismatched start/end tags.


	* src/engine/engine-utilities.scm: Check for errors when trying to
	open a new session file.

	* src/engine/gw-engine-spec.scm: Added wrappers to access the
	engine suspend/resume events functions.

	* src/scm/command-line.scm: Suspend engine events when running
	with the --add-price-quotes flag.

	* src/scm/price-quotes.scm: Add some additional checking.

	
	* src/gnome-utils/dialog-transfer.c: Change logic to multiply by
	the exchange rate instead of divide.  Look for both both forward
	and reverse currency quotes in the pricedb. Attempt to install
	currency quotes into the pricedb in a consistent manner.  Give the
	user better feedback on exactly what the exchange rate
	means. Obsolete the currency "swap" routine. #101450

	* src/gnome-utils/transfer.glade: Give the user better feedback on
	exactly what the exchange rate means.

	* src/register/ledger-core/split-register-control.c: Remove
	function call to obsolete routine.
	
	* src/engine/gnc-pricedb.c:
	* src/engine/gw-engine-spec.scm: Added a new function
	(gnc_pricedb_lookup_day) to retrieve a price quote from a certain
	day, not just an exact time.

	* ChangeLog: Spell check this file.

2002-12-22  Chris Lyttle  <chris@wilddev.net>

	* rpm/gnucash.spec.in: require g-wrap 1.3.4

2002-12-22  Chris Lyttle  <chris@wilddev.net>

	* NEWS: release 1.7.6
	* configure.in: release 1.7.6

2002-12-22  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-html.c: Build the URL correctly when using
	the base_location field. #101783

2002-12-21  Chris Lyttle  <chris@wilddev.net>

	* src/gnc-ui.h: Change help files
	* src/business/business-gnome/dialog-customer.c: fix help button
	* src/business/business-gnome/dialog-employee.c: fix help button
	* src/business/business-gnome/dialog-invoice.c: fix help button
	* src/business/business-gnome/dialog-job.c: fix help button
	* src/business/business-gnome/dialog-order.c: fix help button
	* src/business/business-gnome/dialog-vendor.c: fix help button
	* src/gnome-search/dialog-search.c: fix help button

2002-12-21  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sx-from-trans.c (sxftd_compute_sx): Respect the
	user's Prefs regarding new SXes; fixes Bug#99566.

	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_check_consistent):
	Don't ignore fractional currency-amounts; fixes Bug#97062.
	(gnc_ui_scheduled_xaction_editor_dialog_create): Changed some
	string-constants to their #defines.

2002-12-20  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/gnc-ledger-display.c:
	Remove the original fix for #92158 as it caused #100852.

	* src/register/ledger-core/split-register-p.h:
	* src/register/ledger-core/split-register.c: Add place to save the
	list of splits used to fill the register.
	
	* src/register/ledger-core/split-register-load.c: 
	If there is a transaction pending when updating the register, use
	the saved list so that the transaction is guaranteed to remain in
	the register until the user finishes editing it. Otherwise,
	populate the saved split list. #92158

	* src/gnome/gnc-split-reg.c: Don't let users delete the split that
	attaches a transaction to the current register.

	* src/gnome/window-reconcile.c: Make sure to set the balance
	properly for reversed accounts. #100998

2002-12-20  Chris Lyttle  <chris@wilddev.net>

	* src/pixmaps/gnucash-icon.png: new gnucash icon
	* rpm/gnucash.spec.in: remove help dirs, add finance-quote-check
	* src/gnome/gnucash.desktop.in: new gnucash icon
	* src/gnome-utils/gnc-gnome-utils.c: add custom icon function
	* src/pixmaps/Makefile.am: new gnucash icon

2002-12-20  Christian Stimming  <stimming@tuhh.de>

	* po/el.po, accounts/el_GR: Updated Greek translation by Nikos
	Charonitakis <charosn@her.forthnet.gr>

2002-12-19  David Hampton  <hampton@employees.org>

	* src/register/register-core/register-common.h: Large accounts are
	overflowing the data types used in the register code and are
	causing crashes. #92072, #98802

2002-12-16  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/glade/hbci.glade: Set max size of
	transaction fields according to HBCI spec.

2002-12-16  Chris Lyttle  <chris@wilddev.net>

	* Makefile.am: remove doc-tools dir
	* configure.in: remove making in doc-tools, sgml dirs
	* doc/Makefile.am: remove sgml dir
	* src/scm/help-topics-index.scm: add indexes for new help docs
	* doc-tools/build-help-index.in: removed
	* doc-tools/dbadd.c: removed
	* doc-tools/Makefile.am: removed
	* doc-tools/.cvsignore: removed
	* doc/manual/*: removed
	* doc/sgml/*: removed
	* doc/html/*: removed

2002-12-15  David Hampton  <hampton@employees.org>

	* src/report/standard-reports/advanced-portfolio.scm: 
	* src/report/standard-reports/portfolio.scm: Add an option for
	changing the number of decimal places used in the shares
	column. #87164

	* src/app-utils/gnc-helpers.c:
	* src/app-utils/gnc-ui-util.c:
	* src/app-utils/gw-app-utils-spec.scm: New functions for creating
	a print-info data structure with an explicit number of decimal
	places.  Added flags to GNCPrintAmountInfo to control
	truncation/rounding of numbers.

	* src/report/report-system/report-utilities.scm: New helper
	routine for user feedback during rendering.

	* src/report/report-system/html-document.scm:
	* src/report/report-system/report-system.scm: Give user feedback
	during the rendering of a report. Clunky at this point since most
	reports are large tables (which is considered one html item).

	* src/engine/Query.c:
	* src/engine/QueryNew.c:
	* src/business/business-ledger/gncEntryLedger.c: Promote private
	build_param_list() function to a public function named
	xaccQueryBuildParamList().

	* src/engine/Query.h: Change cleared_match_t enum.

	* src/gnome/window-register.c:
	* src/gnome/glade/register.glade: Add menu items and code so a
	user can limit transactions in a register to any combination of
	the Reconciled/Cleared/Voided/Unreconciled states. #87990

	* src/gnome-utils/dialog-options.c: Fix the order of the dialog
	buttons to match the Gnome 1.x pattern. #98291

2002-12-15  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_check_consistent):
	Fixed balance checks to be per-transaction; fixes Bug#97062, as
	well as fixing another unfiled bug that would be possible with the
	old code.

2002-12-15  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/glade/sched-xact.glade: Clarified some text, removed
	unused widgets.
	
	* src/app-utils/gnc-ui-util.c (xaccSPrintAmount): Added useful comment.

	* src/gnome/druid-loan.c (ld_create_sxes): Re-written; now a much
	more principled implementation which passes a test-script; fixes
	Bug#100088, Bug#100085.

	* src/engine/SX-ttinfo.c (gnc_ttsplitinfo_get_debit_formula):
	Fixed potentially-nasty mem-handling bug.

2002-12-14  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/import-backend.c (matchmap_store_destination):
	Fix error messages when memo or description is empty.

	* src/import-export/hbci/gnc-hbci-gettrans.c: Switch to always
	using the import-main-matcher.

2002-12-13  Chris Lyttle  <chris@wilddev.net>

	* rpm/gnucash.spec.in: fix for problem reports on gnucash-user

2002-12-12  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/import-account-matcher.c: Fix "level 3 and
	more subaccount not selected by default" bug.

2002-12-11  Derek Atkins  <derek@ihtfp.com>

	* configure.in: require g-wrap >= 1.3.3
	* src/engine/gw-engine-spec.scm: use gslist-of where needed
	* src/engine/gw-kvp-spec.scm: use gslist-of where needed

	NOTE: As of now you ABSOLUTELY REQUIRE G-WRAP >= 1.3.3
	
2002-12-11  David Hampton  <hampton@employees.org>

	* src/gnc-ui.h: New help URLs for Wilddev.

	* src/engine/Account.c:
	* src/gnome/glade/account.glade:
	* src/gnome-utils/dialog-account.c: Support for having an account
	scu that doesn't match the account commodity's scu.  This allows a
	user to notice/correct a case where the two are out of whack and
	correct them (#100295), or to intentionally set them that
	way. (E.G. A currency trading account that trades in $0.0001 USD
	even though the scu for USD is $0.01.)

	* src/backend/file/io-gncxml-v2.c: Call new routines to set the
	account non-standard scu flag, and to get the actual scu on the
	account regardless of the flag.

	* src/backend/file/gnc-account-xml-v2.c: Read/write new indicator
	that the account scu doesn't match the account commodity's scu.

2002-12-11  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-utils/dialog-transfer.c -- lookup and store entries in
	  the pricedb, and use those entries when you change accounts and
	  dates.  It will only save one entry per "date-time", so you need
	  to use the price editor to remove/change entries in the pricedb.
	  It may be a bit over-zealous of using the pricedb entries -- if
	  you change the date or an account after typing in a number it will
	  over-write your change with the nearest pricedb entry.
	  Fixed Bug #100284.
	
2002-12-11  Christian Stimming  <stimming@tuhh.de>

	* accounts/el_GR/acctchrt_common.gnucash-xea: Greek account
	templates by Nikos Charonitakis <frolix68@yahoo.gr>

	* src/import-export/hbci/gnc-hbci-gettrans.c: Fix broken changes
	by Benoit.

2002-12-10  Christian Stimming  <stimming@tuhh.de>

	* src/report/report-system/commodity-utilities.scm: Fix bug
	#100463.

2002-12-10  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/*: Add user pref to allow HBCI users
	to select if they want Christian's matcher or mine.  
	Update OFX readme.   
	Update column width in account-picker.

2002-12-09  Christian Stimming  <stimming@tuhh.de>

	* po/nl.po: Updated translation by Hendrik-Jan Heins
	<hjh@passys.nl>.

2002-12-09  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/window-acct-tree.c: Disallow the deletion of accounts
	  with ReadOnly Transactions in them.  You must first "delete" the
	  RO Txns before you delete the account.  Fix for bug# 100727 (although
	  it requires invoice unposting to work).	 

2002-12-9  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/import-main-matcher.c:
	* src/import-export/generic-import.glade: Change colors, remove 
	imbalance column and put it's info into the "Select action column",
	 when appropriate.  Change many strings after discussion with 
	Wilddev.

2002-12-8  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/import-account-matcher.c,h: Add param to 
	 gnc_import_select_account():
	@param ok_pressed A pointer to gboolean.  If non-NULL, whether or
    	not the picker dialog was closed by the user pressing ok will be
    	stored in the parameter.  If no dialog was created by the  
    	gnc_import_select_account() call, TRUE is always returned.
	* src/import-export/ofx/gnc-ofx-import.c: Fix for above change.
	* src/import-export/gnc-gen-transaction.c: Take advantage of
	above change
	* src/import-export/import-main-matcher.c: Take advantage of
	above change.  Shorten the strings in the "Specific action to be
	taken" column.

2002-12-8  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/import-backend.c: Make the auto-balance 
	split have the correct amount in all cases by using 
	xaccTransGetImbalance() instead of the first split's value.
	* src/import-export/import-account-matcher.c:
	-Performance improvements in the display code, and skipping 
	lookup of the kvp frame when not needed.
	-Expand the tree when a subaccount is selected
	-Remove redundant selection lookup.
	
2002-12-08  Joshua Sled  <jsled@asynchronous.org>

	* src/engine/SchedXaction.h: Doxygen-related changes.
	
	* src/register/ledger-core/split-register-layout.c
	(gnc_split_register_layout_add_cells): Change F(DEBT|CRED)_CELL
	types to FORMULA_CELL from QUICKFILL_CELL.

	* src/register/register-gnome/gncmod-register-gnome.c
	(libgncmod_register_gnome_LTX_gnc_module_init): Add
	formulacell-gnome override to gnc_register setup.

	* src/register/register-core/formulacell.c: 
	* src/register/register-gnome/formulacell-gnome.c: Filled in a
	long-thought of idea for a formula cell: can contain text unlike a
	pricecell, but doesn't really want to do auto-complete like a
	quickfill cell [what we had been using].  This allows us to
	provide the gnome formula cell which can remap the keypad '.'
	character based on locale; addresses Bug#97065, which is the
	cause of Bugs#97063 and #97062.

	* src/gnome/glade/sched-xact.glade: Remove "[Last Day]" option;
	add "/last day" to 29/30/31 options in gnc-frequency month-based
	selections.

	* src/gnome/dialog-scheduledxaction.c (new_button_clicked): Change
	default new SX frequency to monthly; fixes Bug#100615.

2002-12-08  Derek Atkins  <derek@ihtfp.com>

	* README.cvs: mention gettextize breakage and "cvs up -C"
	  workaround.

2002-12-08  Christian Stimming  <stimming@tuhh.de>

	* src/report/report-system/commodity-utilities.scm: For
	calculation of weighted average, use all accounts and not only
	currency/stock accounts now with the new exchange system.

	* src/import-export/import-backend.c: Fix zero amount in the
	'other' split of an imported transaction by now using
	SplitSetBaseValue.

2002-12-08  David Hampton  <hampton@employees.org>

	* src/gnome/glade/register.glade: Make the register's "Set Date
	Range" window more intuitive by moving a button.

	* src/scm/main.scm: Tweak the file name normalization code.
	
2002-12-7  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* src/import-export/generic-import.glade:  Add user instructions, 
	get rid of apply button.
	* src/import-export/import-main-matcher.c: Speed optimizations, 
	implement import status notification with background color.  
	Clarify strings.

	Note:  The matcher is now feature complete, except for manual 
	transaction editing.  (More optimizations and code review still
	to be done)  I am awaiting comments about the matcher UI and
	and investment transaction importing.
	
2002-12-07  David Hampton  <hampton@employees.org>

	* src/app-utils/gnc-ui-util.c: Consolidate all knowledge about
	Finance::Quote sources into one place. New and renamed functions
	for mapping back and forth from Finance::Quote name to internal
	name to user visible name. Functions to record whether or not F::Q
	is installed properly, and if so, whether a particular source is
	available.

	* src/app-utils/gw-app-utils-spec.scm:
	* src/gnome-utils/dialog-utils.c:
	* src/scm/price-quotes.scm:
	Removed all knowledge about Finance::Quote sources and now use the
	common database.

	* src/quotes/finance-quote-helper.in: Collapse all stock price
	retrieval into a single call using the F::Q->fetch method instead
	of individual per-source calls.

	* src/quotes/finance-quote-check.in: New helper program to read
	and return a list of all available F::Q methods.

	* src/scm/price-quotes.scm: Code to call new finance-quote-check
	program.

	* src/scm/main.scm: Check for available F::Q methods when starting
	up.

	* src/gnome/glade/account.glade:
	* src/gnome-utils/dialog-account.c:
	* src/gnome-utils/dialog-utils.c:
	When not retrieving stock quotes for an account, dim the price
	source labels as well as the option menus.

2002-12-07  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-control.c:
	  - Don't grab the register account for multi-split txns.  Just return NULL.
	  - Better logic in the exchange-rate handler function for when to
	    pop up the dialog, and what to put into it.
	  - add an error dialog for corner cases where we want to force
	    the user to expand the txn in order to get proper conversions.
	
	* src/register/ledger-core/split-register-model-save.c:
	  - export "split_needs_amount()" for use elsewhere
	  - fix the logic in handling debcred changes, in particular for
	    multi-currency cases.  Convert amount->value->amount properly.
	  - handle the case where you change the exchange-rate manually
	    (and do nothing else).
	  - fix the logic in the save-split post-processing for what gets
	    converted when.

	* src/register/ledger-core/split-register-p.h:
	  - export the "split_needs_amount()" api for use in the register.

	FIXES bug #100489

	* src/engine/gnc-commodity.c: change PWARN() to DEBUG() in
	  gnc_commodity_equal(), because the average user doesn't need
	  to know why commodities are not equal.

2002-12-07  Benoit Grégoire  <bock@step.polymtl.ca>	

	More Doxygenification.  Created an Engine module, and a 
	Deprecated list.  Unfortunately, unless we turn on EXTRACT_ALL
	(not very practical currently) not all functions will appear 
	unless they are all documented. 
	* src/engine/Transaction.h: More Doxygenification	
	* src/engine/Account.h: Doxygenify
	* src/doc/doxygen.cfg.in: Minor config change.
	
2002-12-07  Christian Stimming  <stimming@tuhh.de>

	* configure.in: Require openhbci 0.9.4 for HBCI version choosing.

	* src/import-export/import-backend.c: Fix adding the balancing
	split.

	* src/import-export/hbci/gnc-hbci-utils.c: Correctly reparent the
	HBCI widgets when the parent window changes.

	* src/import-export/hbci/hbci-interaction[P].[hc],
	hbci-progressmon.c, hbci.scm: Add option for "close on finish" of
	the HBCI log window.

	* src/import-export/hbci/druid-hbci-initial.c, glade/hbci.glade:
	Add dialog for choosing HBCI version.

	* po/el.po: Updated translation by Nikos Charonitakis
	<charosn@her.forthnet.gr>

	* src/engine/Transaction.h: Extensively added function
	documentation (in order to avoid further amount/value confusion
	down the road), watch doxygen output. Added a lot of 'const' all
	over the place.

	* po/nl.po: Fix use of msgid_plural by adding the appropriate
	header entry.

2002-12-06  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* src/import-export/ofx/gnc-ofx-import.c:  Do the "right" 
	thing for setting split amount and value.
	* src/import-export/import-main-matcher.c: Cosmetic
	improvements for balance display and window resizing.
	* All other affected files:  Doxygenify everything.  Take a 
	look, run make doc, and open src/doc/html/index.html

2002-12-06  Derek Atkins  <derek@ihtfp.com>

	* revert patch in src/engine/Transaction.c -- imbalance is computed
	  by _value_ -- ALWAYS.

	* po/nl.po -- don't use msgid_plural -- it fails to work.
		
2002-12-06  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* src/import-export/import-backend.c:  Fix for gcc2

2002-12-06  Benoit Grégoire  <bock@step.polymtl.ca>

	Huge patch, this is the new generic import 
	architecture/transaction matcher.  Many old
	files were renamed, split or deleted.
	
	* src/engine/Transaction.c,h: 
	- Add a DxaccSplitSetAmount function, 
	- Fix a bug in xaccSplitsComputeValue (Split values were 
	sometimes being summed, which is illogical) that caused 
	xaccTransGetImbalance to sometimes return incorrect values.
	Somebody please review this.  Playing in the engine during
	freeze isn't ideal.
	
	* src/import-export/import-backend.c,h: There is now a 
	real backend, completely independent of the GUI.

	* src/import-export/gnc-gen-transaction.c: This is Christian's
	old matcher, I tried to maintain compatibility, but couldn't 
	really test.  Please note that there is some code 
	simplification that could be done there now that there is a 
	clean backend, and that some values passed between the functions
	might no longer have any effect.
	
	* src/import-export/ofx/gnc-ofx-import.c:  Update for new 
	matcher.  Use the currency reported by libofx and 
	xaccSpiltSetBaseValue when adding a banking/credit card 
	transaction.

	* src/import-export/import-account-matcher.c,h: This is a
	very generic and flexible account matcher/picker.
	
	* src/import-export/import-commodity-matcher.c,h: This is
	a generic commodity matcher/picker.

	* src/import-export/import-main-matcher.c,h: This is the 
	main transaction matcher GUI. It's mostly feature complete
	and should be fairly stable, but probably leaks memory.
	
	* src/import-export/import-match-map.c,h: Derek Atkin's
	generic string/account matching infrastructure.
	
	* src/import-export/import-match-picker.c,h:  This is the 
	interface to pick a matching transaction.  It has been 
	completely ripped from the backend.
	
	* src/import-export/import-settings.c,h:  All user
	settings (or compiled-in settings) are now abstracted in 
	an opaque structure with getter functions.

	* src/import-export/import-utilities.c:	These are utility
	functions to help import module writers. 

2002-12-06  Christian Stimming  <stimming@tuhh.de>

	* po/nl.po, po/uk.po: Updated translations by Hendrik-Jan Heins
	<hjh@passys.nl> and Volodymyr M. Lisivka <lvm@mystery.lviv.net>.

2002-12-06  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-control.c -- Fix the
	  amount display so that the exchange dialog always shows the
	  "amount" in the the local (register) currency.  It will convert
	  the amount to the txn currency if necessary in cases where all
	  accounts involved in a split are different (strange edge case).
	  Fixes #100277

	* src/register/ledger-core/split-register-model-save.c -- Handle
	  the case where only the exchrate changed.  Actually change it!
	
2002-12-06  David Hampton  <hampton@employees.org>

	* src/quotes/finance-quote-helper.in: Add an additional module to
	check for (LWP aka libwww-perl) before attempting to call
	Finance::Quote.  Work around the fact that the Finance::Quote::VWD
	module doesn't return the stock symbol.

2002-12-05  Derek Atkins  <derek@ihtfp.com>

	* src/gnome-search/Makefile.am: add GDK_PIXBUF_CFLAGS because
	  it is pulled in by gtkhtml, which is pulled in from window-help.	  

	* revert patch -- not needed.  Oops.

	* src/gnome/glade/register.glade -- add "Edit Exchange Rate" menu
	  items to the Actions menu and the context menu
	* src/gnome/gnc-split-reg.c -- turn off Exchange Rate editing on
	  "read-only" registers
	* src/register/ledger-core/split-register-control.c -- fix the logic
	  for when we pop-up the exchange-rate dialog, in particular when the
	  user requests it.   Fixes #100285

	* src/gnome-utils/dialog-transfer.[ch]: add two APIs to set the
	  exchange rate and to set "swapped currencies".  The former will
	  set the "price" and the latter will set a (as of yet unused) flag.
	* src/register/ledger-core/split-register-control.c: Don't pop up
	  the exchange dialog when it is not needed, even when requested.
	
2002-12-04  David Hampton  <hampton@employees.org>

	* src/quotes/finance-quote-helper.in (schemify_quote): Allow stock
	index names to be passed though from gnucash to
	Finance::Quote. Necessary but not sufficient to solve #88118.

	* src/scm/price-quotes.scm ((gnc:fq-get-quotes)): Beef up the
	error handling. Should now print a warning message if the price
	quote lookup fails, instead of crashing. #100186

2002-12-04  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-p.h:
	* src/register/ledger-core/split-register.h:
	  move handle_exchange() API from -p.h to .h to export it
	  for the menus to call.

	* src/gnome/gnc-split-reg.c:  add a handler for
	  exchange-rate menu items..  Partial fix for #100285

	* README: fix references to g-wrap
	* acinclude.m4: fix g-wrap test to fail properly if it cannot
	  find g-wrap-config

	* remove src/experimental/ofx from the build system

	* src/import-export/qif-import/qif-parse.scm:
	* src/import-export/qif-io-core/qif-parse.scm:
	  deal with broken QIF files that give broken bang-fields.  In
	  particular, handle the case where it supplies "!Type Bank"
	  instead of "!Type:Bank"
	
2002-12-03  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-control.c:
	  export the 'handle_exchange()' interface
	* src/register/ledger-core/split-register-p.h:
	  add the 'handle_exchange()' prototype
	* src/register/ledger-core/split-register.c:
	  call handle_exchange() from the save() function to make sure we
	  have an exchange rate if the user hits "Enter" instead of
	  tabbing off the end.  For the record, the logic of the register
	  is HORRIBLE, in that there are multiple code paths to deal with
	  moving the "current location" depending on _how_ you move!  This
	  is awful, and means you need a lot of duplicated code to deal
	  with all the different corner cases.  Someone should re-write
	  this all.

	  Closed bug # 97690
	
2002-12-03  David Hampton  <hampton@employees.org>

	* src/scm/main.scm ((gnc:account-file-to-load)): Normalize the
	path name before using it to open a config files. #90487

	* src/scm/path.scm (gnc:load-user-config-if-needed): Write out a
	new 1.8 version of the config file. Add the 1.8 version to the
	list of files to try an read when reading the config. #100266

	* src/engine/gnc-session.c (gnc_session_load): Don't erase the
	just loaded account information because the backend is reporting
	that the file is from a previous version.  Let the caller decide
	after querying the user. #97270.

	* src/gnome/window-main.c (gnc_main_window_about_cb): Put the
	build date into the about box for development versions of
	gnucash. #99775

	* src/register/ledger-core/split-register-control.c
	(gnc_split_register_move_cursor): Don't delete an empty split if
	its the current transaction split. Dangling pointers are no
	fun. #99774

2002-12-02  Chris Lyttle  <chris@wilddev.net>

	* NEWS: update to new version 1.7.5
	* configure.in: update to new version 1.7.5

2002-12-02  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c, gnc-hbci-gettrans.c,
	gnc-hbci-transfer.c: Create common functions for filling of
	description and memo fields.

2002-12-02  David Hampton  <hampton@employees.org>

	* src/doc/Makefile.am: Fix build issues with the html
	directory. Now also works in a split source/build tree.

	* src/doc/doxygen.cfg: Removed.
	* src/doc/doxygen.cfg.in: New file.

	* src/gnome/gnc-split-reg.c (gsr_default_delete_handler): 
	Convert the delete dialogs to follow the existing gnucash standard
	where the cancel button is the rightmost button in the dialog box.
	#98291

	* src/register/register-core/table-allgui.c
	(gnc_table_get_cell_location): Search the entire cellblock for a
	cell. Don't bail if one of the entries isn't populated.  #93831

2002-12-02  Derek Atkins  <derek@ihtfp.com>

	* src/register/ledger-core/split-register-model-save.c -- fix a bug
	  updating two-split multi-currency transactions from the basic ledger.

	* src/register/ledger-core/split-register-model.c:
	* src/register/ledger-core/split-register-model-save.c:
	  Fix a few rounding errors when computing conversion rates.

	* src/gnome-utils/dialog-transfer.c:
	  don't make some checks if we're acting as an exchange dialog.
	  Set an initial exchange_rate when it's passed in.
	  Grab focus in the price-entry if we're acting as an exchange dialog.

	* src/register/ledger-core/split-register-control.c:
	  reset the rate if the account changed.
	  get the exchange dialog to pop up in expanded txns

	* src/register/ledger-core/split-register-model.c:
	  put the "proper" exchange rate in the RATE_CELL
v	  fix the print_info
	  use ALLOW_SHADOW so the rate-cell gets copied into the cursor

	* src/register/ledger-core/split-register.c:
	  initialize the RATE Cell print-info

	* src/register/ledger-core/split-register-control.c:
	  fill in the "exchange dialog" with entries from the current split/trans
	  change the API to allow a menu-item to pop up the exchange dialog
	
2002-12-02  Chris Lyttle  <chris@wilddev.net>
	
	* src/doc/Makefile.am: fix for failure when building rpm

2002-12-02  Chris Lyttle  <chris@wilddev.net>

	* NEWS: update to new version 1.7.4
	* configure.in: update to new version 1.7.4
	
2002-12-01  David Hampton  <hampton@employees.org>

	* src/engine/Transaction.c (xaccTransOrder): The sort on the
	transaction number filed should be a numeric sort not an alpha
	sort. #99579

2002-12-01  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-account-sel.c
	(gnc_account_sel_set_new_account_ability): Change the
	gnc-account-sel's "New..." account button to expand but not fill
	it's allocation.

	* src/gnome/druid-loan.c (ld_pay_prep, ld_pay_save_current): Add
	the ability to independently specify the source/from account of a
	payment; fixes Bug#99467.
	(ld_pay_prep, ld_pay_save_current): Add some insensitive widgets
	to show the escrow account; fixes Bug#99476.

	* src/gnome/druid-loan.c (ld_calc_upd_rem_payments): Get the
	currently-typed value for doing the recalculation, not what the
	gtk_spin_button reports.
	(gnc_ui_sx_loan_druid_create): Recalc the remaining months when
	the period-size OptionMenu changes.
	(ld_pay_prep): Handle better the act of setting up the payment
	page for both the Spec-FromAcct and Through-Escrow options.

2002-12-02  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/window-main.c,
	src/business/business-gnome/business-gnome.scm, src/scm/main.scm:
	Yet more i18n menu insertion fixes.

	* src/gnome-utils/gnc-menu-extensions.[hc]: Added
	gnc_gnome_app_insert_menus to work around i18n problems with stock
	gnome menus. This is now also used from window-acct-tree.c. 

2002-12-01  Derek Atkins <derek@ihtfp.com>

	* move QuickFill and dialog-transfer into gnome-utils

	* business-ledger/gncEntryLedger.c -- delay setting *new = FALSE until
	  just before we call the "new account" dialog.	  

	* src/gnome-utils/dialog-transfer -- update the dialog to enable
	  and "exchange dialog" -- limited use from the register.  This is
	  a first pass at getting multi-currency transactions to work from
	  the register.
	* register/ledger-core/split-register* -- hooks to deal with
	  multi-currency transactions better.  Remember the implicit
	  exchange rates and recompute the split values, so when you enter
	  an amount it gets converted properly and you see what you type
	  (mostly).  Call out to the exchange (transfer) dialog when you
	  create a split to an account different than the transaction
	  currency.  This is a partial fix for 97690.
	
2002-12-01  Joshua Sled  <jsled@asynchronous.org>

	* src/app-utils/gnc-helpers.c (g_date_equals, g_date_hash): Added
	to allow the use of GDates as GHashTable keys.

	* src/gnome/druid-loan.c (ld_rep_next): Fix bug in 'payment' page
	transitions.
	(ld_rev_prep, ld_rev_recalc_schedule, ld_rev_update_clist):
	Support for a loan amortization schedule review page; fixes
	Bug#98966.
	(ld_destroy): General post-run allocation cleanup.

2002-11-30  Derek Atkins  <derek@ihtfp.com>
	* src/register/ledger-core/split-register-model.c -- compute
	  implicit exchange rates for balanced, two-split transactions.
	  Fixes bug #99083 (for real)

	* src/register/ledger-core/split-register-model.c -- compute the
	  implicit exchange rates for ALL transactions when necessary.  No
	  longer requires the pricedb for printing split values.  This will
	  display all transactions in the currency of the current account,
	  regardless of the number of splits in the transaction.
	  
2002-11-30  Herbert Thoma  <herbie@hthoma.de>

	* src/report/standard-reports/cash-flow.scm: Added new option
	for output formating, make the output "nicer"
 
2002-11-30  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-getbalance.c: More graceful
	fallback solution when returned balances are zero.

	* src/app-utils/gnc-ui-util.[hc]: Added
	gnc_locale_default_currency_nodefault function since
	locale_default_currency might return a non-locale related
	currency. Fix xaccSPrintAmount. Fixes #95404.

	* src/engine/iso-4217-currencies.scm ("rouble"): Fix mnemonic for
	Russian Rouble which is "RUR" instead of RUB.

	* src/business/business-gnome/business-gnome.scm,
	src/gnome-utils/gnc-mdi-utils.c,
	src/gnome-utils/gnc-menu-extensions.c,
	src/import-export/ofx/ofx-import.scm,
	src/import-export/qif-import/druid-qif-import.c: More i18n menu
	insertion fixes.

2002-11-30  Matthew Vanecek <mevanecek@yahoo.com>

	* Makefile.am: Added the GNC_CTAGS_FILE token, and added the
        ctags target.  Changed the TAGS target to etags, and
	GNC_TAGS_FILE to GNC_ETAGS_FILE.  Removed GNC_TAGS_FILE from the
	noinst_DATA variable.  This makes tag building a manual target.
	Run "make ctags" for Vi tags, or "make etags" for Emacs TAGS.

	* Makefile.TAGS:  Changed the TAGS target to etags, and added
	the ctags target.

	* configure.in:  Added the --enable-ctags option.

	* .cvsignore:  Added tags to .cvsignore.  tags is the file created
	by ctags.

02-11-29  David Hampton  <hampton@employees.org>

	* src/report/standard-reports/transaction.scm: Fix the grand
	totals in the transaction report when there is more than one type
	of currency/commodity to report. #89501

	* src/report/report-system/report.scm: Move the busy cursor logic
	so that it removes the busy cursor even after a report error.

	* src/report/locale-specific/us/taxtxf.scm: 
	* src/report/standard-reports/transaction.scm: Provide progress updates
	while creating reports. #94280

2002-11-29  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c, gnc-hbci-*.c: Catch the
	condition gracefully when OpenHBCI config file does not exist.

2002-11-29  Derek Atkins  <derek@ihtfp.com>
	* src/gnome-utils/dialog-exchange.h -- header for the exchange-rate dialog

2002-11-28  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/gnc-gen-transaction.c: Use add_threshold
	instead of clear_threshold to determine default txn action.

	* src/import-export/hbci/gnc-hbci-gettrans.c: Give correct
	feedback when no transactions are there.

	* src/import-export/generic-import.glade: Add explaining label for
	importer window.

2002-11-27  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* Makefile.am configure.in src/doc/Makefile.am
	src/doc/doxygen.cfg src/doc/doxygen_main_page.c: Added doxygen
	documentation support, and integrated it into the build system.
	There is a new target, make doc, that can be used to build the
	documentation if you have doxygen installed. Any file in the src
	tree will be included in the documentation if it follows doxygen
	conventions.  The doc created in src/doc/html.  Doxygen is now
	required for make dist.
	
	* src/import-export/:  Enable doxygen documentation.	
	
2002-11-27  Christian Stimming  <stimming@tuhh.de>

	* accounts/pt_BR/*: Added Brazilian Portugese account templates by
	Lucimar Moresco <lucimarmoresco@hotmail.com>.

2002-11-27  Derek Atkins  <derek@ihtfp.com>
	* remove find.glade -- it is no longer used
	* src/gnome/dialog-findtransactions.c -- remove old code
	* po/POTFILES.in -- remove find.glade

2002-11-26  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/Makefile.am -- make sure to distribute the scm files

2002-11-26  David Hampton  <hampton@employees.org>

	* src/report/report-system/commodity-utilities.scm:
	* src/report/report-system/html-utilities.scm:
	* src/report/report-system/report-utilities.scm:
	* src/report/report-system/report.scm:
	* src/report/standard-reports/*.scm: 
	* src/business/business-reports/*.scm: Provide progress updates
	while creating reports. #94280

	* src/gnome-utils/gw-gnome-utils-spec.scm: Make the
	set_busy_cursor and unset_busy_cursor routines available from
	scheme.

2002-11-25  Derek Atkins  <derek@ihtfp.com>

	* src/engine/QueryCore.c -- make sure we have a string
	  when running string compares.  Partial fix for #99563
	* src/gnome/dialog-sx-from-trans.c -- suspend and resume
	  GUI events when building the template trans -- to make sure
	  that refreshes don't happen until after the txn is inserted.
	FIXES bug #99563
	  
2002-11-26  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/Transaction-matcher.c:
	More code cleanup -- use getter functions instead of direct
	structure access to make potential file split easier.
	
	* src/import-export/gnc-gen-transaction.[hc]
	(gnc_gen_trans_get_fuzzy_amount): Add functions to get/set the
	fuzzy amount matching threshold, so that this feature can be used
	from gnc-ofx-import.c.

2002-11-25  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/hbci/gnc-hbci-gettrans.c: Remove 
	#include "gnc-generic-import.h"

2002-11-25  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/Account-matcher.[c,h]: Minor changes to make
	the matcher more generic:  Improved text handling, default account
	support, enable account description, disable showing Online ID 
	column if online_id isn't specified in the function call.
	* src/import-export/generic-import.glade: Adjust text for above 		changes.
	* src/import-export/gnc-gen-transaction.c:  Use the more feature		 complete Account-matcher.h from the generic import module instead
	 of dialog-account-pick.h.  Christian, tell me you didn't implement
	a fourth account picker from scratch. 
	* src/import-export/ofx/gnc-ofx-import.c: Adapt text to 
	Account-matcher changes.

2002-11-24  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/druid-loan.c (ld_rev_prep): Initial support for a
	payment schedule review page, addressing Bug#98966.

	* src/gnome/dialog-scheduledxaction.c (putSchedXactionInDialog):
	Don't double-free dates; fixes Bug#99452.

	* src/gnome/gnc-split-reg.c (gnc_split_reg_jump_to_split) 
	(gnc_split_reg_jump_to_split_amount, gnc_split_reg_record) 
	(gsr_emit_include_date_signal): 
	* src/gnome/window-register.c (gnc_register_include_date_adapter):
	Add back in support for including a date in the range
	limited/viewed by the window-register.
	
	* src/gnome/gnc-split-reg.c (gnc_split_reg_get_read_only) 
	* src/gnome/window-register.c (regWindowLedger): Change manner of
	setting window-title in read-only-register case so the
	gnc-split-reg isn't changing the window-titles of windows it has
	no authority over.  Fixed Bug#99396.

2002-11-25  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/*.c,h: Split gnc-generic-import.h in one
	header per file.

2002-11-24  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-gettrans.c: Improve space
	trimming in imported description.

	* src/import-export/ofx/gnc-ofx-import.c: As a trial, use new
	generic transaction importer GUI. Changes are marked with 'CS:'.

2002-11-24  Derek Atkins  <derek@ihtfp.com>

	* src/engine/Account.c -- fix some compiler warnings
	* src/gnome/window-register.c -- fix a compiler warning
	* src/gnome/dialog-scheduledxaction.c -- fix a compiler warning

	* src/gnome-utils/exchange-dialog.glade -- New dialog to deal with
	  exchanges from "within the register", but here because it is
	  relatively generic.

	* src/register/ledger-core/split-register-load.c -- set the txn
	  currency based on the currency of the "default account"

	* src/register/ledger-core/split-register-model.c -- Always
	  display amounts in the currency of the current account.  Use the
	  pricedb to lookup conversion values if the transaction currency
	  is not the same as the current account commodity.
	* src/gnome/dialog-transfer.c -- Make sure the exchange rate stays
	  a decimal number instead of converting to a fraction.
	
2002-11-24  David Hampton  <hampton@employees.org>

	* src/app-file/gncmod-app-file.c: 
	* src/gnome-utils/gnc-mdi-utils.c:
	* src/gnome-utils/gnc-mdi-utils.h: Rename the
	gnc_mdi_file_percentage function to gnc_mdi_show_progress.
	
	* src/gnome-utils/gw-gnome-utils-spec.scm: Wrap the
	gnc_mdi_show_progress function so it is accessible from scheme.

	* src/report/report-system/report-system.scm:
	* src/report/report-system/report-utilities.scm: Create utility
	functions for giving progress updates while building reports.

2002-11-23  Joshua Sled  <jsled@asynchronous.org>

	* src/app-utils/prefs.scm (gnc:make-number-range-option): Fix
	wording of pref-widget hints; fixes Bug#99389.

	* src/gnome/glade/sched-xact.glade: 
	* src/gnome/dialog-sx-from-trans.c: 
	* src/gnome/druid-loan.c (gnc_ui_sx_loan_druid_create): 
	* src/gnome-utils/gnc-frequency.c (gnc_frequency_init): 
	* src/gnome/dialog-scheduledxaction.c
	(gnc_ui_scheduled_xaction_editor_dialog_create):
	GnomeDateEdit -> GNCDateEdit; Fixes Bug#99357.

	* src/gnome/dialog-scheduledxaction.c
	(gnc_ui_scheduled_xaction_editor_dialog_create): Removed
	delete-event handling duplicated by close signal from GnomeDialog;
	fixes Bug#99399.
	(sxed_close_event): Check for a valid SX before proceeding; fixes
	Bugs#99350 and dupes [99348,99356,99397].

2002-11-23  Matthew Vanecek <mevanecek@yahoo.com>
	* src/engine/Account.c (xaccAccountCommitEdit): Internationalize
	the PWARN_GUI() string 	argument.

	* src/backend/postgres/PostgresBackend.c: Added messages.h to support
	string internationalization.
	
	* src/backend/postgres/PostgresBackend.c (pgend_session_begin): 
	an xaccBackendSetMessage() call was missing the Backend argument.
	
2002-11-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-gettrans.c: Use the new generic
	transaction importer.

	* src/import-export/gnc-gen-transaction.[hc],
	generic-importer.glade: Added a new generic transaction importer,
	with GUI as proposed on gnucash-devel (one-page, one-listview).

	* src/import-export/Transaction-matcher.[hc]: Refactor the code
	even more and separate GUI-dependent from -independent tasks.
	(gnc_import_match_picker_run_and_close): Add a new "Match-Picker
	Dialog" for the non-usual case of where the user should pick
	between different possible duplicate matches.
	(matchmap_find_destination): Add automatic destination guessing
	and learning, based on the GncImportMatchMap.
	
	* po/POTFILES.in, de.po: Updated translations.

	* src/engine/Account.h, src/import-export/gnc-import-match-map.h:
	Clarify some comments.

2002-11-23  David Hampton  <hampton@employees.org>

	* src/gnome/reconcile-list.c (gnc_reconcile_list_commit): Don't
	override the previous state on all the transactions in the
	reconciliation window. Only set those the user identified as
	reconciled. #95639

	* src/register/ledger-core/gnc-ledger-display.c (refresh_handler): 
	If there is a current split, then ensure that the transaction
	containing that split stays in the register.  This will make the
	transaction being edited stay in the register until you move to
	another transaction, even though the accounts may have been
	changes. #92158

	* src/register/ledger-core/split-register-control.c
	(gnc_split_register_move_cursor): If all the entries of the
	current split have been cleared, then delete this split. #98139
	(gnc_split_register_old_split_empty_p): New function.

	* src/engine/Account.c (xaccTransFixSplitDateOrder): 
	(xaccTransFixSplitDateOrder): Prevent this routine from causing a
	recursive call to itself.

	* src/gnome-utils/commodity.glade: Change the title of the 'New
	Currency/Security' dialog to 'New Security' to match its actual
	function. #95596

	* src/gnome/glade/register.glade: Update help menu items. #99169

	* src/gnome/window-register.c (gnc_register_toolbar_cb): Remove
	unused routine.	

	* src/import-export/qif-import/qif-merge-groups.scm: Add a new
	progress box for a function that takes forever and a day to
	complete.

	* src/import-export/qif-import/qif-to-gnc.scm: 
	* src/import-export/qif-import/qif-file.scm: Mark progress box
	strings for i18n.

	* src/import-export/qif-import/druid-qif-import.c: Fix start
	declarations so emacs can find them.

2002-11-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/Transaction-matcher.c: Refactor *a lot* of the
	code -- try to separate GUI-dependent tasks from GUI-independent
	ones, and make many functions publicly reachable by declaring
	them in the header file.

	* src/import-export/gnc-generic-import.h, *.h: Move some function
	into new Transaction-Matcher.h (which is included from here for
	now), and add some const's at the kvp functions.

	* src/gnome-utils/dialog-utils.h: Added many comments for docs.

2002-11-22  David Hampton  <hampton@employees.org>

	* src/gnome/reconcile-list.c
	(gnc_reconcile_list_recompute_widths): Always make the contents of
	the reconciliation window fit within the allocated space.
	(gnc_reconcile_list_fill): For a split with a zero value, if the
	number field is non-null then assume this split is for a check and
	force it the credit list. #93832

2002-11-22  Christian Stimming  <stimming@tuhh.de>

	* src/gnome-utils/dialog-account-pick.[hc]: Move the account
	picker dialog from hbci/ to gnome-utils.

	* src/import-export/Transaction-matcher.c: Fix the case when
	trans_online_id exists but is empty. Simplify heuristics for date
	matching. Increase exact amount matching value.

2002-11-21  Derek Atkins  <derek@ihtfp.com>
	* business-core/test/*.c -- fix the tests for begin/commit edit

	* src/scm/main.scm -- fix the load of price-quotes on guile-1.4.1

	* README/README.cvs -- update to reference how to "properly" use
	  autogen.sh
	
2002-11-21  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/Transaction-matcher.c: Tweak the matching
	heuristics.
	-Memo and description heuristics now both have a very primitive
	fuzzy match worth +1:  Only the first half of the string is compared.
	The rationale is that this will allow the matcher to skip the
	transaction number sometimes appended after the description by 
	some banks. 
	* src/import-export/ofx/gnc-ofx-import.c:  Transaction memo is
	always written in the split's memo. 
	* src/doc/user-prefs-howto.txt:  Add new file, by Christian Stimming.
	
2002-11-21  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/generic-import.scm: New file, contains user
	prefs for the Transaction matcher:
	Display, Auto-ADD and Auto-CLEAR thresholds can be adjusted.
	SKIP and REPLACE action can now be disabled.
	* src/import-export/gncmod-generic-import.c: Load generic-import.scm
	* src/import-export/Makefile.am: Add generic-import.scm
	* src/import-export/Transaction-matcher.c:
	-Use the new user prefs.
	-Change the name of the actions to hopefully reflect better the 
	action that will be taken.  RECONCILE is now CLEAR, and IGNORE is 
	now SKIP.
	-Disable numeric scoring.

2002-11-19  Christian Stimming  <stimming@tuhh.de>

	* src/engine/Scrub.c (xaccTransScrubCurrency): Add code to deal
	correctly with currency exchange transactions from 1.6. Fixes
	reported problems with importing 1.6 data files, #91505.

2002-11-18  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/Transaction-matcher.c: Change default "RECONCILE"
	action from 'y' (reconciled) to'c' (cleared)

2002-11-18  Derek Atkins <derek@ihtfp.com>
	* configure.in -- fix OFX search to look in /usr/local if it cannot
	  find it in /usr.  It skips the second check if you supply an ofx-prefix.

2002-11-18  David Hampton  <hampton@employees.org>

	* configure.in: Fix problems with gtkhtml 1.1.

	* macros/as-scrub-include.m4: Fix problems with gcc 2.x.

2002-11-18  Chris Lyttle  <chris@wilddev.net>

	* NEWS: update to new version 1.7.3
	* configure.in: update to new version 1.7.3
	
2002-11-18  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/Transaction-matcher.c: Remove constant length 
	strings and replace with moving pointers.  I wish _("string") 
	could be used as a could initializer like "string" can...

2002-11-17  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sxsincelast.c: 
	* src/gnome/dialog-scheduledxaction.c:
	Use printGDate() when we need to print dates; fixes Bug#96477.

	* src/engine/date.[ch] (printGDate): Convenience wrapper around
	printDate.

2002-11-17  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/druid-loan.c (ld_calc_current_instance_num): Do some
	work to figure out the correct current-instance-number for
	non-monthly Loan-Repayment SXes.
	(ld_create_sxes): Make the created SXes time out after the length
	of the loan, rather than trying to get the number-of-periods
	totally correct.  This obsoletes Bug#97808.

	* src/gnome/dialog-sxsincelast.c (sxsincelast_tc_row_sel): Don't
	assertion-failure if the user select a non-leaf row.

	* src/gnome/dialog-scheduledxaction.c (sxed_confirmed_cancel):
	Added; used by cancel button handler and [newly added] GnomeDialog
	"close" handler; fixes Bug#84683.

	* src/gnome/druid-loan.c: I18n of some strings previously
	unaccounted for.
	(ld_opt_consistency): Don't enable the "Through Escrow" checkbox
	if there is no escrow account defined.
	(ld_calc_upd_rem_payments): Added; calculate the number of
	remaining payments based on the start date, loan length and
	current date; fixes Bug#91815.

2002-11-17  David Hampton  <hampton@employees.org>

	* configure.in: Add support for gtkhtml 1.1.

	* various: Clean up compilation warnings.
	
	* src/gnome/window-reconcile.c: Fix a couple of functions that
	were illegally casting pointers to the wrong type.  Use the new
	gnc_split_reg_xxx functions instead of the old gnc_register_xxx
	functions.

	* src/gnome/window-register.c: Remove some functions that are no
	longer called.

	* macros/as-scrub-include.m4: New macro.

	* configure.in: Use the new AS_SCRUB_INCLUDE macro to remove
	system directories from the compile search path. Prevents GCC 3.x
	from complaining.

2002-11-17  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-utils.c: Fix caching of HBCI_API
	when using multiple files one after another.

2002-11-17  Matthew Vanecek <mevanecek@yahoo.com>
	* src/backend/postgres/putil.c: Added needed header files to the c
	file.
	
	* src/backend/postgres/PostgresBackend.c (pgend_session_begin): Added
	xaccBackendSetMessage for an unknown mode or for a bad connection.

	* src/engine/Backend.c (xaccBackendGetMessage): Allow function to
	return null if Backend->error_msg is NULL.
	
	* src/engine/Account.c (xaccAccountCommitEdit): Handle a NULL return
	from xaccBackendGetMessage().

	* src/engine/gnc-session.c (gnc_session_begin): Push the Backend
	error message onto the session error message (instead of NULL), if
	it exists.  If it's just a warning message (denoted by having a
	message, but ERR_BACKEND_NO_ERR is set), pop up a dialog.
	
2002-11-16  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-dense-cal.c (gnc_dense_cal_draw_to_buffer):
	Added double-buffering support to GncDenseCal.  Fixes Bug#96475.

2002-11-16  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/gnc-split-reg.c (gsr_setup_status_widgets): Only setup
	the status check if we've created it to prevent some
	warning/critical noise.
	(gnc_split_reg_class_init): Setup default signal handlers to
	GTK_RUN_LAST so that they can be stopped by callers.
	(gnc_split_reg_use_extended_popup): Added; replaces
	dialog-schedxaction.c version of same in a cleaner way.
	(gsr_default_schedule_handler): If the transaction which is
	requested to be "Schedule..."d was created from an SX, then the
	editor for the SX which created the txn is opened rather than from
	SX-From-Trans dialog.
	(gnc_split_reg_jump_to_blank, gnc_split_reg_jump_to_split_amount)
	(gnc_split_reg_jump_to_split): Add ledger refreshes to get correct
	behavior.

	* src/gnome/dialog-sxsincelast.c (sxsld_jump_to_real_txn): Added;
	jump to the correct [read: real] txn on a jump signal from the
	ledger.

	* src/gnome/gnc-split-reg.c (gsr_default_jump_handler): Use new
	regWindowSimple signature for creating new windows on a jump.

2002-11-16  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/split-register.c (gnc_split_register_save):
	Check whats in the transfer cell values and possible ask the user
	if they want to create the account.
	(gnc_split_register_get_account_by_name): Return quietly if passed
	a null string.

2002-11-16  Derek Atkins  <derek@ihtfp.com>

	* Matthew Vanecek's patch:

	The attached patch contains some immediate bug fixes for the SQL
	back end, and it adds and error message string + accessor/mutator
	to Backend.  Also, in xaccAccountCommitEdit(), added the use of
	PWARN_GUI to display the error message.

	The bug fixes in the SQL backend involved converting the *_QUERY
	macros to functions.

2002-11-15  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/window-register.c (gnc_register_delete_cb): Change the
	order of window deletion to not cause a crash.

	* src/gnome/window-register.c (regWindowSimple),
	(regWindowAccGroup): Only return the GNCSplitReg, not the whole
	regData.  Fixes a bunch of existing and potential crashes.

	* src/gnome/window-main.c (gnc_main_window_gl_cb): 
	* src/gnome/window-acct-tree.c
	(gnc_acct_tree_window_toolbar_open_cb) 
	(gnc_acct_tree_window_menu_open_subs_cb) 
	(gnc_acct_tree_window_menu_open_cb) 
	(gnc_acct_tree_window_activate_cb): 
	* src/gnome/top-level.c (gnc_html_register_url_cb):
	Modify to not necessarily expect a RegWindow for creation of a
	ledger view.  Fixes a bunch of existing and potential crashes.

	* src/gnome/gnc-split-reg.c (gnc_split_reg_delete_cb): Removed;
	dead.

2002-11-14  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/split-register.c: 
	(gnc_split_register_get_account_by_name): Fix register update bug.

2002-11-14  Joshua Sled  <jsled@asynchronous.org>

	* src/register/ledger-core/gnc-ledger-display.c
	(gnc_ledger_display_template_gl): Extended to allow a template GL
	without a specific transaction being displayed at the time of
	creation.

	* src/engine/SchedXaction.h: Removed some deprecated function defs.

	* src/gnome/gnc-split-reg.c (gsr_default_jump_handler): Don't make
	assumptions about the window-register.c code that we can't
	support, and don't let it be responsible for too much.  Fixes
	recent serious register crashes.

	* src/gnome/dialog-scheduledxaction.c
	(scheduledxaction_editor_dialog_destroy): 
	* src/gnome/dialog-sxsincelast.c (sxsincelast_destroy): 
	Close the ledger_display on window teardown.  Fixes sx-related
	register crashes.

2002-11-14  Christian Stimming  <stimming@tuhh.de>

	* po/*.po: Updated translations (merged from 1.6 branch plus
	updates from the Translation Project).

	* po/nb.po: New filename for Norwegian (bokmal) translation -- it
	used to be stored under no.po but that is no longer.

2002-11-13  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/Transaction-matcher.c: 
	-Don't show match with probability less than 1, so we don't
	end up showing the whole account.
	-Fix crash when importing a transaction twice
	-Copy the online id to the reconciled transaction, so the 
	match will be remembered.
	-Do not consider transaction with an online_id kvp frame as
	potential match, as they have previously been downloaded 
	online.
	-Steal a better pixmap from gnome drop down menu.

2002-11-13  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/ofx/gnc-ofx-import.c: MAJOR improvement to 
	investment support.  All transactions created from an investment
	account are now already balanced.  Explicitly support Dividend 
	Reinvestment transactions which will now directly create a 
	income account -> stock account transaction, and Income 
	transactions which will directly create a
	income account -> cash account transaction.
	Support memorizing the income account association.  Several 
	stock account can use the same income account if desired.
	
	* src/import-export/Transaction-matcher.c: Various bug fixes.

	* src/import-export/Account-matcher.c and
	src/import-export/gnc-generic-import.h: Support a new mode
	of operation for the account matcher to allow selection of
	an account without touching the online_id kvp frame. 
	Currently used for income account selection or creation.

	* src/import-export/generic-import.glade: Set default size 
	to a more reasonable 800x600, since the Auto Shrink trick 
	doesn't work for everyone.

2002-11-12  Derek Atkins  <derek@ihtfp.com>

	* src/import-export/gnc-import-match-map.[ch]
	  Implement a generic Account Mapper for the import routines.
	  Still needs a GUI.

	* business/business-gnome/dialog-invoice.c
	  Add an unpost button.  It does nothing at this point.
	* business/business-gnome/glade/invoice.glade
	  Add an unpost button.
	* business/business-core/gncInvoice.c
	  change the readonly message to point to unposting invoices
	  NOTE: This just adds the icon and some new strings..  Functionality
	  to be added soon.
	
2002-11-12  David Hampton  <hampton@employees.org>

	* src/register/ledger-core/split-register-control.c
	(gnc_split_register_traverse): Check for leaving an action or a
	shares cell in a stock register. Enforce the rule that "Buys" must
	be a positive number of shares and "Sells" must be a negative
	number of shares. #92270

	* src/register/ledger-core/split-register-load.c
	(gnc_split_register_add_transaction): Don't sort transaction
	splits here. This function gets called every time you switch
	splits, and so can reorder them just when you least expect
	it. #92156

	* src/engine/Transaction.c (xaccTransCommitEdit): Sort transaction
	splits when the user has finished making changes to the
	transaction. #92156

	* src/register/ledger-core/split-register-control.c
	(gnc_split_register_traverse): Move the checking for non-existent
	and placeholder accounts to a separate function, and call that new
	function.

	* src/register/ledger-core/split-register.c
	(gnc_split_register_cancel_cursor_trans_changes): Do a full
	refresh after calling this function.  Cleans up some gui leftovers
	after a delete. (gnc_split_register_get_account_by_name): Add the
	new function that checks for non-existent and placeholder
	accounts.  (gnc_split_register_get_account): Call the new function
	to get the additional checks.  This solves #92157.

	* src/business/business-ledger/gncEntryLedger.c: 
	* src/business/business-ledger/gncEntryLedgerControl.c: Implement
	the equivalent fixes for the business ledger.

2002-11-12  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/Transaction-matcher.c: Fix previous patch.  
	gcc 3.2 is too forgiving...

	* src/import-export/Transaction-matcher.c: Dynamically generate
	a pixmap to display match confidence graphically.

	* src/import-export/ofx/gnc-ofx-import.c: Fix call to 
	g_strdup_printf in Christian's 2002-11-03 translation patch.

	* src/import-export/Transaction-matcher.c
	* src/import-export/generic-import.glade: First round of 
	transaction matcher UI changes.  Create a pseudo-widget in first 
	column to select the action to be taken with the transaction.
	
2002-11-12  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sxsincelast.c
	(sxsincelast_tc_row_unsel, sxsincelast_tc_row_sel): Now [again]
	uses the read-only register to show the relevant template
	transaction, so the user has context about any variables they're
	being asked to fill in values for.

2002-11-11  David Hampton  <hampton@employees.org>

	* src/gnome/window-acct-tree.c: Make all the menu callbacks take a
	pointer to the GNC MDI main data structure instead of a pointer to
	a GNC MDI Child data structure. #94972

2002-11-11  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/window-register.c (regWindowLedger): If we
	gtk_widget_show_all the correct widget [the window], then it's
	available for setting its size and changing the style and whatnot.

	* src/gnome/orig-window-register.c (regWindowLedger): Hack for
	Bug#97640; re-init the style after we've shown the widgets to
	affect a "style change", which lets the GUI nature of the cells
	[combos, autocomplete] init and function.

2002-11-10  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/Transaction-matcher.c: Make newly imported
	transaction "cleared" instead of "reconciled".

2002-11-10  Derek Atkins  <derek@ihtfp.com>

	* Fix the Find-Transactions dialog so it only has "Share Price" once

2002-11-10  David Hampton  <hampton@employees.org>

	* src/scm/price-quotes.scm ((gnc:book-add-quotes book)): Don't get
	stock quotes for accounts where all the shares have all been
	sold. #95547

	* src/register/ledger-core/split-register.c
	(gnc_split_register_empty_current_trans_except_split): After
	modifying the transaction, leave it in "open" state and mark it as
	the currently pending transaction.  This insures that the register
	does the right thing when leaving this transaction. Also fix
	spelling error in function name. Fix this function to work
	correctly on the blank split. #98134
	(gnc_split_register_empty_current_trans): Fix spelling error in
	function name.

	* src/register/ledger-core/split-register.c: Fix spelling error in
	function names.

	* src/gnome/gnc-split-reg.c (gsr_default_reinit_handler): Fix
	spelling error in function name.
	(gnc_split_reg_reinitialize_trans_cb): Emit the right signal.
	(gnc_split_reg_jump_to_split_amount): Remove uninitialized
	variable.

2002-11-09  Herbert Thoma  <herbie@hthoma.de>

	* /src/report/standard-reports/cash-flow.scm: bug fix for cash flow
	  reports on stock accounts

2002-11-09  Derek Atkins  <derek@ihtfp.com>
	* gnome/dialog-new-user: don't call the qif-import-druid directly.
	  Add a callback API for the qif-import druid.  Use that callback
	  when the qif-import button is pressed.  Make the qif-import button
	  sensitive only when the qif-import module is loaded (i.e. only when
	  the callback function is non-NULL).
	* import-export/qif-import -- set the make_druid callback for the new-user
	  dialog.
	* gnome/Makefile.am -- remove dependency on qif-import library.
	* src/makefile.am -- re-order import-export after gnome
	
	* engine/Transaction.c -- allow deletion of a non-connected Splits
	  (fixes a SEGV problem)

	* engine/Account.c -- send an event whenever an account balance is updated.
	  Fixes bug # 97689

2002-11-08  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/window-register.c (regWindowLedger): Fix menu
	extension setup by moving it after gnc_register_setup_menu.

2002-11-07  David Hampton  <hampton@employees.org>

	* src/engine/iso-4217-currencies.scm: Added a bunch of currencies. #95405

	* various: Update references to preferences to read the new
	"Advanced" settings. #97614

2002-11-06  Derek Atkins  <derek@ihtfp.com>
	* gnome/gnc-split-reg: export jump_to_* functions
	* gnome/window-reconcile.c: re-enable the 'jump to blank'
	* gnome/window-register.c: re-enable the 'jump to blank' by calling into
	  the split-reg's implementation.
	  fixes bug #97680 

2002-11-06  Christian Stimming  <stimming@tuhh.de>

	* po/de.po: Completed German translation. Some typo fixed
	elsewhere.

2002-11-05  Christian Stimming  <stimming@tuhh.de>

	* po/it.po: Updated translation by Lorenzo Cappelletti
	<L.Cappelletti@mail.com>.

	* src/gnome/gnc-split-reg.c, src/gnome/glade/register.glade:
	Replace the term "reinitialize" by "Remove Transaction Splits".

2002-11-04  David Hampton  <hampton@employees.org>

	* src/engine/Transaction.c: New functions to get/set read-only
	status on a transaction, and to print a warning message if a
	transaction is read-only.  The engine will not let you delete a
	transaction (or split in a transaction) that is marked read-only.

	* src/business/business-core/gncInvoice.c
	(gncInvoicePostToAccount): Mark as read-only transactions that are
	generated from an invoice.

	* src/gnome/gnc-split-reg.c (gsr_default_delete_handler): 
	(gsr_default_reinit_handler): Honor the read-only setting on a
	transaction.

	* src/register/ledger-core/split-register-model.c
	(gnc_split_register_confirm): Honor the read-only setting on a
	transaction.

2002-11-04  Herbert Thoma  <herbie@hthoma.de>

	* /src/report/standard-reports/cash-flow.scm: new report
	which shows inflow and outflow of money to a set of accounts

	* src/report/standard-reports/standard-reports.scm: add 
	cash-flow.scm to gncscmmod_DATA

2002-11-04  Derek Atkins  <derek@ihtfp.com>

	* src/gnome/gnc-split-reg.c: remove reference to gnc-regwidget.h
	  (which no longer exists)

	* src/gnome-utils/gnc-gui-query.c: use the right string when building
	  the dialog (use the output from vsprintf, not the input)

	* src/app-utils/Makefile.am: install i18n.h but don't include it
	  in the DIST tarball -- let it be generated from i18n.h.in, which
	  IS distributed.

	* src/business/business-reports/invoice.scm: fix some strings
	  "Invoice Terms" -> "Billing Terms"
	
2002-11-03  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sxsincelast.c: Use GNCSplitReg over
	GNCRegWidget.

	* src/gnome/dialog-scheduledxaction.c
	(schedXact_editor_create_ledger): Use GNCSplitReg over
	GNCRegWidget.

	* src/gnome/glade/register.glade: Moved a bunch of the
	previously-shared widget definitions into separate places to be
	accessed by window-register.c and gnc-split-reg.c.

	* src/gnome/window-register.c: Massive code-sucking into
	gnc-split-reg.c; this file now only handles the details of being
	the register window: dealing with dates and the extended menus and
	whatnot.

	* src/gnome/gnc-split-reg.c: Added; a better implementation of
	gnc-regWidget.  All the "common" register-editing code has been
	moved here from window-register.c.

	* src/register/ledger-core/gnc-regwidget.c: Removed; replaced with
	src/gnome/gnc-split-reg.c.

	* src/register/register-gnome/gnucash-date-picker.c
	(gnc_date_picker_new): Call gtk_widget_show_all rather than
	gtk_widget_realize in order to setup the calendar to a state
	sufficient for subsequent calls.

	* HACKING: Added description of how to start GnuCash in GDB.

2002-11-03  Derek Atkins  <derek@ihtfp.com>
	* engine/gnc-be-utils.h: implement macro helpers for begin/commit functions
	* business/business-core/*.c: Implement BeginEdit()/CommitEdit() functions
	  for all the business-accounting data objects.
	* Use the begin/commit calls in the GUI and file-backend.
	* mostly fixes bug #96855.

	* business/business-core/*.c: add begin/commit edit calls in every 'set'
	  function.  Fixes 96855.

	* gnome-utils/dialog-account.c: change the BeginEdit() call on the
	  (temporary) top-level account, so the SQL backend doesn't hate us
	  for committing and account without a commodity.

	* business/business-ledger/gncEntryLedgerLoad.c -- set the account
	  completion character for the account cells.  Fixes bug #97098
	
2002-11-03  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/dialog-sxsincelast.c, src/gnome/window-main.c,
	src/engine/messages.h: Fix translation of plural forms by
	introducing ngettext(3).

	* src/import-export/ofx/gnc-ofx-import.c: Fix string translation
	issues.

2002-11-02  Derek Atkins  <derek@ihtfp.com>
	* gnc-engine-util.[ch]: add MOD_BUSINESS for logging (eww)

2002-11-01  Chris Lyttle  <chris@wilddev.net>

	* rpm/gnucash.spec.in: updated to work on rh8

2002-10-31  Derek Atkins  <derek@ihtfp.com>
	* import-export/ofx/Makefile.am: add gncscm_DATA to EXTRA_DIST

2002-10-30  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/ofx/gnc-ofx-import.c: Fix security account creation bug caused by the presence of the character ':' in the account default name.  Fix compiler warnings.

2002-10-30  Derek Atkins  <derek@ihtfp.com>
	* configure.in -- improved libofx configure support.  Add --with-ofx-prefix
	  so users can define where to look for libofx.
	* import-export/ofx/Makefile.am -- use new configure glue

	* import-export/ofx/gnc-ofx-import.c: use gnc_timespec_to_iso8601_buff() instead of strftime()
	* import-export/ofx/gncmod-ofx-import.c: "remove" two unused variables
	
2002-10-28  Christian Stimming  <stimming@tuhh.de>

	* intl-scm/xgettext.scm: Add the file name of scheme files to
	translation messages.

2002-10-28  Chris Lyttle  <chris@wilddev.net>

	* NEWS: update for new release
	* configure.in: update to new version 1.7.2
	* rpm/gnucash.spec.in: now works building 1.7.x

2002-10-28  Chris Lyttle  <chris@wilddev.net>

	* src/scm/help-topics-index.old: Moved old file to here for now
	* src/scm/help-topics-index.scm: deleted the junk and put temp in
	* doc/sgml/C/topic.dat: add help topic
	* doc/sgml/C/Makefile.am: delete bunch of crud, add new crud yippie
	* doc/sgml/Makefile.am: remove translations of docs
	* doc/Makefile.am: remove html dir
	* doc/sgml/C/guide.sgml: temp placeholder for new help
	* doc/sgml/C/help.sgml: temp placeholder for new help
	* configure.in: remove translated doc dirs from makefiles

2002-10-28  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-html.c: 
	* src/gnome/Makefile.am: 
	* src/gnome/top-level.c (gnc_gui_init): Disable the gnucash
	network code.

	* src/app-utils/prefs.scm: Add option for enabling advanced
	pages. Move some existing prefs to an "Advanced" page.  Disable
	the gnucash network code.

	* src/gnome-utils/dialog-options.c: OK button should always be
	sensitive.  Add support for "Advanced" option pages. These option
	pages begin with the characters "_+".

2002-10-27  Derek Atkins  <derek@ihtfp.com>
	* gncInvoice.[ch]: create gncInvoiceGetTotal(), which currently does
	  nothing but will eventually return the actual invoice total.
	* dialog-invoice.c: add a summary bar with the invoice total
	* invoice.glade: add a summary bar dock at the bottom of the page.
	Partial fix for bug #96833

	* gncInvoice.c -- implement GetTotal() -- fixes #96833

	* invoice.glade -- add "View->SummaryBar" item to turn it off.
	
2002-10-27  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/*.c: add #include config.h for correct
	i18n.

	* src/app-utils/prefs.scm, src/import-export/hbci/hbci.scm: Move
	preference creation into hbci module. Renamed that preference tab
	into "Online Banking & Importing".

	* src/import-export/hbci/*: Add Direct Debit HBCI action. More
	work on error handling and user feedback. Make the caching of the
	PIN a user preference.

	* po/de.po, po/glossary/de.po, po/POTFILES.in: Update German
	Translation.

	* configure.in, macros/openhbci.m4: Update required OpenHBCI
	version (now 0.9.3 i.e. current OpenHBCI's CVS).

	* src/app-utils/prefs.scm,
	src/import-export/qif-import/druid-qif-import.c: Add cache-PIN
	preference for HBCI. Rename preference tab to "Importing/Online".

2002-10-27  David Hampton  <hampton@employees.org>

	* src/app-utils/option-util.c
	(gnc_option_db_section_reset_widgets): New function to reset one
	section [page] of widgets at at time.

	* src/gnome-utils/dialog-options.c: The cancel button should
	always be sensitive. The OK button should only be sensitive if
	changes have been made to an option. #96465
	(gnc_options_dialog_new): (gnc_options_dialog_append_page): Move
	the reset button to be per-page instead of global. #90370

	* accounts/fr_FR/*: Frederic Lespez's fixes for the
	French account templates.
	
	* src/import-export/qif-import/druid-qif-import.c: Add a working
	directory for the qif-import code; defaults to user homedir. Use
	the working directory in the file selection dialog and track any
	directory changes by the user. #95668

	* src/gnome-utils/gnc-mdi-utils.c (various routines): When
	switching between MDI styles, the gnome MDI code creates and
	destroys widgets at will.  Because of this, remember the list of
	menu/toolbar *names* to be modified and then look up the widgets
	each time a change needs to be made to the visibility/sensitivity
	of the item. #96302
 	(gnc_mdi_child_changed_cb): If the MDI style is "toplevel", then
	don't update the state of any menu/toolbar items when switching
	out of a window.  Leave them as they were since that window is
	still visible to the user.

	* src/report/report-gnome/window-report.c
	(gnc_report_window_load_cb): Don't try to unprotect the #f
	object. Scheme doesn't normally care, but this will crash if
	running under gdb.

2002-10-26  David Hampton  <hampton@employees.org>

	* src/app-utils/option-util.c (gnc_commit_option): Use the new
	function to send an error message to the gui code instead of
	printing a message on stdout. #96166

	* src/gnome-utils/gnc-currency-edit.c (currency_compare): Sort by
	currency identifier since it appears first in the display. #96159
	Change a couple other functions so that the full currency name is
	always displayed in the widget.

	* src/gnome/druid-hierarchy.c: Replace the commodity editor with a
	currency selector. #95594

2002-10-26  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sxsincelast.c (sxsincelast_tc_row_sel): Place
	the template transaction associated with the SX in the window,
	fixing Bug#93900.

	* src/gnome/dialog-sxsincelast.c (sxsincelast_populate): Process
	the auto-create transactions if there are only auto-create,
	no-notify SXes as a result of the since-last-run-dialog
	invocation; fixes bug #96944.
	
	* src/gnome/dialog-sxsincelast.c (sxsincelast_populate): Changed
	return-value from sxsincelast_populate to reflect all the possible
	conditions, allowing...

	* src/gnome/window-main.c (gnc_main_window_sched_xaction_slr_cb):
	Changed since-last-run-dialog-create return-value handling; fixes
	Bug#90060.

	* src/gnome/dialog-sxsincelast.c (add_to_create_list_to_gui):
	Setup of to-create page more correct; the first item which needs
	interaction is selected, or the widgets are set to inactive.
	Fixes Bug#96669 and Bug#96665.

2002-10-26  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-kvp.h,
	src/import-export/hbci/gnc-hbci-gettrans.c: Remember the user's
	date of last transaction retrieval. REQUIRES updating to current
	OPENHBCI CVS.

	* src/import-export/hbci/gnc-hbci-utils.c: Cache the created
	HBCI_API for subsequent calls. Will also cache the user's
	password. Also, make more meaningful error handling. 

	* src/import-export/hbci/dialog-daterange.[hc]: Add a dialog
	asking for the date range of transactions to retrieve.

	* src/engine/date.h: Add timespecToTime_t function.

2002-10-25  David Hampton  <hampton@employees.org>

	* src/gnome/window-register.c: Use a better function for making
	the register contents immutable.  Splits can now be viewed but not
	changed.  Make register altering menu/toolbar items insensitive.

	* src/register/ledger-core/split-register.c
	(gnc_split_register_set_read_only): New function to set the
	read-only bit on the table underlying the register window.

	* src/register/register-gnome/gnucash-sheet.c: Remove no longer
	used function from first pass at the placeholder account code.

	* src/gnc-ui.h: 
	* src/gnome/window-main.c: Add a new help menu item for Wilddev and
	rename another one. #96821

	* src/gnome/window-register.c: Split the transaction delete
	functionality into two functions. The first deletes a split or
	transaction, as expected. The second handles what was an odd
	corner case of the delete command, and removes all splits except
	for the one attached to the current register. This is now called
	the "reinitialize" function. (Fixes 85904).

	* src/register/ledger-core/split-register.h: 
	* src/register/ledger-core/split-register-p.h: Make
	gnc_split_register_get_current_trans_split() a public function.

	* src/register/ledger-core/split-register.c
	(gnc_split_register_empty_current_trans_except_split): New
	function that lets you specify which split to keep when
	reinitializing a transaction.

	* src/gnome-utils/gnc-gui-query.c: Add a couple more variant ways
	to create a dialog box.  At some point these should all be cleaned
	up and maybe made a subclass of a gnome dialog.

	* src/register/ledger-core/gnc-regwidget.c:
	* src/engine/Transaction.c: Move trans_has_reconciled_splits()
	function from one file to another and rename it
	xaccTransHasReconciledSplits().

2002-10-24  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/window-acct-tree.c,
	src/import-export/hbci/gncmod-hbci.c: fix more menu item strings.

2002-10-23  Derek Atkins  <derek@ihtfp.com>
	* de.po: fix a string for Christian so it compiles.

	* new translations require leading underscores for menu names
	  or the lookups fail when adding new menus.  In particular,
	  "_Actions", "_Toolbar", and "_Status Bar".

	* gnc-backend-file.c: make sure a file HAS a date before actually
	  removing it.  Otherwise you will remove a foo.xac file by accident.
	
2002-10-22  Derek Atkins  <derek@ihtfp.com>
   Fix a bunch of compiler warnings:
	* Transaction-matcher.c: use "=" not "==" to set a variable
	* gncmod-generic-import.c: comment out unused variable "engine"
	* dialog-scheduledxaction.c: comment out unused function
	* gnc-splash.[ch]: change splash-update to take a const string

2002-10-22  Christian Stimming  <stimming@tuhh.de>

	* po/glossary/gnc-glossary.txt, po/glossary/*: Update glossary
	(added Scheduled Transactions). Merge glossaries from 1.6 branch
	onto HEAD.

2002-10-21  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_update_cal): Check
	validity of date before subsequent processing; fixes Bug#96467.

	* src/gnome-utils/gnc-dense-cal.c
	(gnc_dense_cal_mark)
	(gnc_dense_cal_mark_remove): Queue a re-draw when marks are added
	or removed; fixes Bug#96468.

	* src/gnome-utils/gnc-frequency.c (year_range_sels_changed): Emit
	"changed" signal when the year-range selections change; fixes
	Bug#96470.

	* src/gnome/dialog-scheduledxaction.c (gnc_sxed_check_consistent):
	Free the name str after we've used it [conrad-found, unfiled bug].

	* src/gnome-utils/gnc-dense-cal.c (populate_hover_window): Now
	more tolerant of mark sets without names.

	* src/gnome/druid-loan.c:
	* src/gnome/dialog-scheduledxaction.c: Cleaned up compilation
	warnings so -Werror can go back on soon.

	* src/gnome/window-main.c (gnc_main_window_create_menus): Reworded
	MenuItem for loan-repayment druid as per Chris' suggestion.

2002-10-21  Derek Atkins  <derek@ihtfp.com>
	* app-utils/options.scm -- fix (find-first-account) to search subaccounts

2002-10-20  Benoit Grégoire  <bock@step.polymtl.ca>
	* src/import-export/Trasaction-matcher.c: Fix compiler warnings.
	* src/import-export/ofx/gnc-ofx-import.c: Give the user more information
	  for account creation.
	
2002-10-20  Derek Atkins  <derek@ihtfp.com>
	* configure.in -- remove -Wno-uninitialized -Wno-unused, in preparation
	  for the "new g-wrap" which should output code that wont cause these
	  warnings.
	
	* gnc-vendor-xml-v2.c, test-customer.c, test-vendor.c -- fix compiler
	  warnings.
	* dialog-options.c -- remove unused variable
	* gnc-regwidget.c -- remove unused (module) variable

	* Peter O'Gorman's MacOS patch
	  This is mostly just a bunch of libgncmod_name_LTX_ symbol changes to
	  the modules.
	  Also had to remove -Werror from hbci/Makefile.am due to darn cc
	  warnings about order of includes.
	
2002-10-20  Benoit Grégoire  <bock@step.polymtl.ca>
	* Investment transactions now create two accounts, one is for the stock,
	  the other is the account defined by the FI, where the cash is swapped.

2002-10-19  Derek Atkins  <derek@ihtfp.com>
	* gnome/gw-gnc-spec.scm -- add "#include <gnc-splash.h>"
	* configure.in -- don't let GNOME_COMPILE_WARNINGS overwrite our list

	* configure.in -- don't double-add -Wall.  Only add -Wall for GCC.
	  let the user know what additional warnings are being added.

	* fix bug #95844 -- fix qif-import/qif-parse.scm to match
	  qif-io-core/qif-parse.scm w.r.t. parsing the numbers.

	* src/dialog-account/dialog-account.c,Makefile.am
	  prove to myself that there is no real dependency on src/gnome
	  by removing top-level.h and window-main.h and recompiling....
	  no warnings were output by the compiler.

	* dialog-account.[ch] -- add "destroy-window" callback registration.
	  remove dependencies on register/ledger
	* split-register.c -- register "destroy-window" callback

	* move dialog-account.[ch] from src/dialog-account to src/gnome-utils
	  fix all references (Makefile.am) to remove src/dialog-account
	* configure.in: remove src/account-dialog/Makefile

	* move gnc-account-sel.[ch] from src/gnome to src/gnome-utils

	* app-utils/options.scm -- define new account-sel options that let you
	  "select" an account.  You can only select one account using this option.
	* app-utils/app-utils.scm -- export new account-sel option types
	* gnome-utils/dialog-options.c -- use the GNCAccountSel to implement
	  the account-sel option.
	* business/business-reports/*.scm -- change to using the new account-sel
	  option type.  Fixes bug #96137
	
2002-10-19  Christian Stimming  <stimming@tuhh.de>

	* po/POTFILES.in: Update potfile.in for upcoming translations.

2002-10-18  Christian Stimming  <stimming@tuhh.de>

	* accounts/fr_FR/*: Some bug fixes by frederic.lespez@wanadoo.fr.

	* configure.in, macros/openhbci.m4: Add version control macro for
	OpenHBCI.

2002-10-18  Derek Atkins  <derek@ihtfp.com>
	* dialog-date-close.c: remove unused function and non-necessary header

	* gncEntryLedgerModel.c: don't use the currency symbol when printing
	  value and tax cells.

	* Matthew Vanecek's gncQueryPrint() patch
	
2002-10-18  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* Implement a working commodity matcher for the generic import
	module.
	* src/gnome-utils/dialog-commodity.c,.h: Extend the API to allow
	the user to be told what he is trying to match, and to fill in
	default values for new commodities
	* Use the new matcher in the ofx module.  The latest libofx CVS 
	is needed.

2002-10-17  Derek Atkins <derek@ihtfp.com>

	* fix bug #96030 -- change "Customer/Vendor Name" to "Company Name"

	* remove (old, unused) dialog-job-select.[ch] files from CVS.
	* fix bug #96035 -- do not limit searches to the last-chosen object.

	* fix some compiler warnings in dialog-customer and dialog-vendor
	* add a new function: gncOwnerIsValid() which is really a
	  scheme-helper to detect whether an owner is holding a NULL value
	  (i.e. a real container with no value in the container).
	* fix part of bug #96032 -- use (gnc:owner-is-valid) to detect owner
	  existence.

	* fix bug #95954 -- cache backend query compiles.  Add a hash table
	  to map book -> backend compile and fill it in when the terms are
	  recompiled.

	* add a 'modality' flag to the gnc-account-sel (which new-account API)
	  so that the new-account-window can be called using the modal dialog
	  interfaces.
	* use the GNCAccoutSel in the date-close dialog (fixes bug #94973)

	* create search-reconciled.[ch] to implement searches by reconcile flag
	* gnome-search/search-core-type.c: hook in "reconciled" type,
	  via the RECONCILED_MATCH_TYPE string
	* src/engine/Transaction.h -- add RECONCILED_MATCH_TYPE string
	* hook into the Find Transactions window (fixes bug #95634)

	* src/engine/test/test-querynew.c -- add a warning message about
	  known CRITICAL messages, which are safe to ignore..

	* gnc-ledger-display.c -- honor user defaults for A/R and A/P windows

	* table-model.h -- add a flag for "READ_ONLY" cells, to all you to
	  specify a cell as readonly.
	* table-allgui.c -- allow the cursor to enter a READ_ONLY cell.  Make
	  sure "editable" is FALSE for READ_ONLY cells.
	* split-register-model.c -- If the TxnType != NONE, set all cells as
	  READ_ONLY.
	* fixes bug 96028 by making posted invoices and payments read-only.

	* gnc-ledger-display.c -- fix a memory leak (you need to g_list_free()
	  the returned list from xaccGroupGetSubAccounts(), according to the docs)
	
2002-10-16  Joshua Sled  <jsled@asynchronous.org>

	* src/app-utils/gnc-exp-parser.c (gnc_exp_parser_parse): This
	function now fails correctly if there are un-bound variables in
	the expression.  This causes expressions like 'AUD 1.23' to fail.
	This is related to, but not a fix for, Bug#95474.

2002-10-16  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/hbci-account-picker.c,
	dialog-hbci-trans.c, glade/hbci.glade: Grey out unimplemented
	buttons.

2002-10-16  Derek Atkins  <derek@ihtfp.com>
	* add more debugging to new PostgresBackend functions

	* fix call to pgend_trans_rollback_edit()
	* fix call to pgend_trans_commit_edit()
	
2002-10-15  Derek Atkins  <derek@ihtfp.com>
	* Christian Krause's dialog-utils patch for style

	* Update the Backend API in the engine for better plugability.
	  Change the File, Net, and Postgres backends to use the new API.
	  Fixes bug 94648.

	* src/engine/engine-helpers.c: fix a compiler warning
	
2002-10-15  David Hampton  <hampton@employees.org>

	* src/gnome-utils/dialog-utils.c (gnc_handle_date_accelerator): Be
	more careful about what keystrokes are passed onto the menuing
	system. Clean up the code somewhat. #95787

	* src/gnome/reconcile-list.c (gnc_reconcile_list_select_row):
	(gnc_reconcile_list_unselect_row): If the user pressed the space
	key to toggle a transaction, move the focus down to the next row
	of the transaction.  This lets the user toggle successive
	transactions by repeatedly pressing the space bar (instead of
	alternating the space and the down arrow key.)

2002-10-14  David Hampton  <hampton@employees.org>

	* src/app-utils/prefs.scm: By default, remove old files after 30
	days.

	* src/gnome/dialog-print-check.c:
	* src/gnome/glade/print.glade: Use radio buttons for setting how
	the month is displayed. Reorganize the code.

2002-10-14  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/dialog-sxsincelast.c (process_auto_create_list): Use
	the appropriate function for creating toCreateInstances to fix
	Bug#95637.
	(sxsld_get_future_created_txn_count): Added to assist in
	next-page-determination.
	(sxsld_disposition_changed): Correctly predicts
	post-processing/future txn count; fixes Bug#95734.

	* src/app-utils/gnc-exp-parser.c (func_op): Remove
	seemed-like-a-bad-idea explicit negation of calculated values;
	fixes Bug#95781.

2002-10-14  Derek Atkins  <derek@ihtfp.com>
	* src/backend/file/test-xml-transaction.c -- use gnc_numeric_equal()
	  to compare split value and quantities in tests, because Splits can
	  adjust those values based on the commodity.

	* src/backend/file/test/test-file-stuff.c -- don't spew so much
	
	* src/test-core and src/engine/test-core should not be added to
	  the gnucash-build-env (noinst_ is a static library)

	* add library directories for "make check"
	
2002-10-14  Chris Lyttle  <chris@wilddev.net>

	* src/import-export/Makefile.am: fix make dist breakage
	* src/engine/Makefile.am: more fixes

2002-10-13  Chris Lyttle  <chris@wilddev.net>

	* accounts/fr_FR/Makefile.am: fix make dist breakage
	* rpm/gnucash.spec.in: update for release
	* configure.in: change to version 1.7.1
	* AUTHORS: moved Benoit to main developers
	* NEWS: added section for 1.7.1 release.
	
2002-10-13  David Hampton  <hampton@employees.org>

	* src/scm/printing/print-check.scm: The check printing setup
	dialog is now called directly, instead of as a callback from the
	check printing code.

	* src/gnome/window-register.c (gnc_register_print_check_cb): Call
	the check printing setup dialog directly.

	* src/gnome/dialog-print-check.c
	(gnc_ui_print_compute_new_format): Give feedback on the format
	string being used. (gnc_ui_print_check_dialog_create): Rework for
	being called directly from the register code.  Now hiding instead
	of destroying the dialog, so remove hooks to remember state.  If
	the current register already has a print dialog open, reuse
	it. (gnc_ui_print_check_dialog_destroy): Hide the dialog instead
	of destroying it. (gnc_ui_print_check_dialog_ok_cb): Call the
	scheme printing code directly.

	* src/gnome/gw-gnc-spec.scm: Remove unneeded references to check
	printing.

2002-10-13  Joshua Sled  <jsled@asynchronous.org>

	* src/register/ledger-core/gnc-regwidget.c
	(gnc_register_create_tool_bar): Added support for tooltips to the
	toolbar of the gnc-regwidget
	(gnc_regWidget_new): Added support for conditionally disallowing
	various capabilities of the reg-widget, as scheduled transactions
	use of the regwidget requires.  Fixes Bug#95009.

2002-10-12  David Hampton  <hampton@employees.org>

	* src/scm/printing/print-check.scm (gnc:*stock-check-positions*):
	Move the bottom check up by 1/2 inch. #95016 (gnc:print-check):
	Actually print the memo field on the check. #95015

	* src/gnome/window-register.c (gnc_register_print_check_cb): Print
	the Notes field of the transaction, not the memo field of the
	split. #95015

	* src/gnome/dialog-print-check.c
	(gnc_ui_print_compute_new_format): Update the sample date value in
	the dialog box any time one of the controls is updated.
	(gnc_ui_print_check_format_changed_cb): New callback function.
	(gnc_ui_print_check_dialog_create): Update for new controls and
	for the dynamically updating sample date string. #95022

	* src/gnome-utils/dialog-utils.c (gnc_option_menu_init_w_signal):
	Set up an option menu with an attached callback so that the
	program knows when the user changes the setting of the option
	menu.

	* src/engine/date.c (getDateFormat): New routines for getting
	preferred date style. (getDateFormatString): Get the numeric
	format string for a date, i.e. "12/31/2000".
	(getDateTextFormatString): Get the textual format string for a
	date, i.e. "December 31, 2000".

	* src/engine/gnc-session.c:
	* src/app-file/gnc-file.c:
	* src/app-utils/gnc-ui-util.c: Move gnc_get_current_session() into
	gnc-session.c. #94551

2002-10-09  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* src/import-export/Account-matcher.c: Change "Account ID" text
	to "Full account ID" and make it translatable. 
	* src/import-export/ofx/gnc-ofx-import.c: Use the new account 
	name field of LibOFX to help the user identify the account.
	Starting now, until further notice you 	need LibOFX CVS available
	at http://sourceforge.net/cvs/?group_id=61170 to build the
	ofx module.

2002-10-08  Derek Atkins  <derek@ihtfp.com>
	* books do not need to generate events
	* however they should generate destroy events
	
2002-10-07  Derek Atkins  <derek@ihtfp.com>
	* Rename "print invoice" to "printable invoice"

	* Applied Matt Martin's advanced-portfolio patch.

	* created the backend-api document
	* removed the old Query code (bug #94318)
	
2002-10-07  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Fix and activate
	the initialization functions again; therefore, the HBCI subsystem
	is now open for testing (requires openhbci-CVS as of Oct 03). 

	* src/import-export/hbci/hbci-interaction.[hc]: Close button
	hides, not destroys.

	* src/import-export/hbci/hbci-account-picker.c: Fix account picker.

2002-10-06  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome/druid-loan.c: The druid now enforces valid account
	selection for the GNCAccountSel widgets; fixes Bug#90784.

	* src/gnome/gnc-account-sel.c (gas_destroy): GNCAccountSel
	now cleans up after itself, especially with removing its engine
	event observation.  Moved from src/gnome-utils/ to src/gnome/
	because of circular dep introduced below.

	* src/dialog-account/dialog-account.c
	(gnc_ui_new_account_with_types): Added new function to create a
	NewAccount dialog with only a valid-types filtering list.

	* src/gnome-utils/gnc-account-sel.c
	(gnc_account_sel_set_acct_filters): Added support for filtering
	the accounts available through the GNCAccountSel.
	(gnc_account_sel_set_new_account_ability): Added support for a
	conditional "New..." button which allows the creation a new
	account.  If the selector has a filter in place, the filter will
	apply to the new-account creation as well.

	* src/gnome-utils/gnc-account-sel.c: Added ifdefs, comments around
	regions pertaining to unimplemented feature of completion.
	Fix for Bug#90779.
	(gnc_account_sel_event_cb): Added support for updating list
	contents when the account tree changes; the current selection is
	respected if the account still exists; fixes Bug#94951.

	* src/gnome/dialog-sxsincelast.c
	(sxsld_process_to_create_instance): Handle the corner case of not
	incrementing the state while postponing/ignoring a
	never-been-created SX.  Handle only incrementing the counters of
	newly-come-due SXes.

	* src/engine/SchedXaction.c (gnc_sx_create_temporal_state): Fix
	corner case of creating the temporal state of a never-been-created
	SX; fixes Bug#94947.

2002-10-06  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-gettrans.c, gnc-hbci-actions.c:
	More work on transaction invocation and importing. Is actually
	usable now.

2002-10-06  Derek Atkins  <derek@ihtfp.com>
	* Rename a bunch of reports as per Chris Lyttle's suggestions
	* Change the Report MENU names, not the REPORT names (except for
	  the "Welcome to GnuCash" report)

	* report-gnome/report-gnome.scm -- Create sorted menu items

	* taxtxf.scm -- Change "Accounts -> Tax Information" to Edit->Tax Options

2002-10-06  David Hampton  <hampton@employees.org>

	* src/engine/Account.c (xaccAccountGetDescendantPlaceholder): New
	function to check all descendants of an account to see if any of
	them is a placeholder account.

	* src/gnome/window-register.c (gnc_reg_get_placeholder): 
	(regWindowDetermineReadOnly): New routines for determining if a
	register contains a placeholder account, and putting up a nice
	dialog about it.

	* src/register/register-gnome/gnucash-sheet.c
	(gnucash_register_set_sensitive): New routine to make the sheet
	insensitive for read-only accounts.

	* src/gnome-utils/dialog-utils.c (gnc_handle_date_accelerator): If
	an alphabetic character has any modifiers applied to it, pass it
	on to the window manager.  Fixes 88520.

	* src/register/ledger-core/split-register-model-save.c
	(gnc_split_register_save_data_new): Add a new arg to the register
	save data to indicate whether the transaction the user is working
	on is in expanded mode. (gnc_split_register_save_cells): Don't
	balance other split of two, when the register is in expanded mode.

	* src/register/ledger-core/split-register-control.c
	(gnc_split_register_auto_completion): Add new arg to function
	call.

	* src/register/ledger-core/split-register.c
	(gnc_split_register_save): Add new arg to function call.


2002-10-05  David Hampton  <hampton@employees.org>

	* src/engine/gnc-engine-util.c (gnc_set_xxx_message): 
	(gnc_send_gui_xxx): New routines that let the engine display gui
	warning/error messages.  The callbacks must be initialized by the
	gui layer.

	* src/gnome-utils/gnc-gui-query.c: Reorganize some of the
	gnc_xxx_dialog routines. Add a couple of new routines that take a
	va_list but no window.

	* src/gnome-utils/gncmod-gnome-utils.c: Initialize the gui
	callbacks in the engine.

	* src/gnome/glade/newuser.glade: Remove the version number. Its
	already in the splash screen.

	* src/scm/main.scm (gnc:main): Erase the splash screen before
	starting the new user dialog.

2002-10-05  Derek Atkins <derek@ihtfp.com>
	* Fix the autoconf-2.13/2.52/2.53 problems -- Gnucash should now
	  work on all versions of auto-tools, although it now requires GnuMake.
	
	* configure.in -- just pass LIBOBJS directly to the Makefile; pass
	  a sed script that uses '$U' (which is a 2.53ism, but works right
	  on 2.13) to the Makefile.
	* lib/libc/Makefile.am -- Use LIBOBJS and GnuMake's $(shell) syntax
	  to create the list of libobjects to be linked into "libc-missing"

	* Check for gettext in -lintl for MacOS

	* Peter O'Gorman's patch for fixing libtool on darwin

	* Implement a core CheckboxCell register type (note, still needs a
	  pretty Gnome implementation)

	* use the checkbox cell in the EntryLedger

	* make the Invoiced? cell mutable under limited conditions
	
2002-10-03  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-gettrans.[hc]: Separate the
	Get-Transaction related HBCI functions into this file. Much more
	work here, so that most of transaction information is now filled
	into the right places. Requires totally up-to-date OpenHBCI CVS,
	though.

	* src/import-export/hbci/gnc-hbci-getbalance.[hc]: Separate the
	Get-Balance related functions to a separate file. Add invocation
	of account reconcile upon successful balance retrieval.

	* src/import-export/hbci/hbci-progressmon.c: Change to a
	GnomeDialog here, and fix handling of parent window.

	* src/gnome/window-main-summarybar.c: Introduce lookup of currency
	symbol. However, this doesn't quite fix bug #91724, since that one
	is related to the currency_item->assets_label and not to the label
	in front of that. What a pity.

	* src/RecnWindow.h (recnWindowWithBalance),
	src/gnome/window-reconcile.c: Add function to invoke account
	reconciliation with balance and date given.

2002-10-03  Derek Atkins <derek@ihtfp.com>
	* src/scm/main.scm -- move (setlocale ...) earlier in the startup.
	  it needs to run before app-utils is loaded (because gnc_localeconv()
	  caches the first run -- so if that happens before setlocale, you're
	  stuck!)  fixes 89471 and partially fixes 87729

2002-10-02  Derek Atkins <derek@ihtfp.com>
	* configure.in: check for ltdl.h

	* src/backend/postgres/gncquery.c - create proper SQL, ignore bookGUID

2002-10-01  Herbert Thoma  <herbie@hthoma.de>

	* /src/report/standard-reports/advanced-portfolio.scm: new report
	which shows money-in, money-out and gain of stock and fund accounts
	(based on the work of Martijn van Oosterhout and portfolio.scm
	by Robert Merkel)

	* src/report/standard-reports/standard-reports.scm: add 
	advanced-portfolio.scm to gncscmmod_DATA

	* doc/build-suse.txt: updated for GnuCash 1.7

2002-10-01  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-actions.c: More work and fixes
	for balance/transaction retrieval.

2002-09-30  Derek Atkins <derek@ihtfp.com>
	* get (alpha) qif-io-core to load again and "make check" to
	  start working (sort-of).  Still needs more work.

	* wrap gnc_commodity_table_add_default_data()
	* src/engine/gnc-session.c -- don't try to modify a the path of a file: URL
	* src/engine/Transaction.c -- fail in mallocTrans if book is NULL
	* fix qif-io-core: use (gnc:transaction-set-currency) (not commodity)
	* qif-io-core.scm: need app-utils and to re-export simple-format
	* qif-io-core/test/Makefile.am: add app-file and backend/file dirs to tests
	* fix test-import-phase-1.scm: load app-file for symbols, fix
	  the commodity table; fix the "file save" portion

	* src/scm/main.scm -- fix menu issue for LANG=de_DE.. "Preferences" is
	  really "_Preferences"

	* src/gnc-test-env: define LTDL_LIBRARY_PATH
	* src/bin/overrides/gnucash-build-env: fix trailing whitespace bug
	
2002-09-29  Joshua Sled  <jsled@asynchronous.org>

	* src/backend/file/io-gncxml-v2.c
	(write_template_transaction_data): Updated for new
	backend-structure arguments, to not crash in the call to
	xml_add_trn_data.  Fixes unfiled bug.

	* src/gnome/dialog-sxsincelast.c:
	* src/backend/file/gnc-schedxaction-xml-v2.c
	(sx_defer_last_handler)
	(sx_defer_rem_occur_handler, sx_defer_inst_count_handler)
	(sx_defer_inst_handler):
	* src/engine/SchedXaction.c (gnc_sx_add_defer_instance)
	(_temporal_state_data_cmp, gnc_sx_remove_defer_instance)
	(gnc_sx_get_defer_instances):
	Added and modified to support postponing to-be-created SXes; fixes
	Bug#88981.

2002-09-29  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-actions.[hc]: Initial code for
	transaction download with usage of generic transaction
	import. Requires OpenHBCI CVS update.

2002-09-29  Benoit Grégoire  <bock@step.polymtl.ca>
	
	* src/import-export/Transaction-matcher.c: Fix	segfault when
	importing into a gnucash account which has no splits.

	* src/import-export/ofx/gnc-ofx-import.c: Code simplification for
	commodity autoselection.

2002-09-28  Derek Atkins  <derek@ihtfp.com>
	
	* fix g-wrap testing in configure to work with an existing config.cache

2002-09-26  David Hampton  <hampton@employees.org>

	* README: Updated the section on running gnucash.

	* doc/Makefile.am: Automatically update the date and version
	number in the man pages.
	
	* src/app-file/gnc-file.c(gnc_post_file_open): Change the button
	labels to be even more explicit.
	
	* src/report/standard-reports/balance-sheet.scm: Use the report
	name from the options instead of a hard coded report title.
	
2002-09-26  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/ofx/gnc-ofx-import.c: The default commodity
	and account type are now preselected from OFX provided information
	when user choses to creates a new gnucash account in the account
	matcher dialog.  Fix a segfault when clicking cancel in the file
	selection dialog.

	* src/import-export/Account-matcher.c, gnc-generic-import.h:
	-Fix the new_account_default_type parameter of
	gnc_import_select_account() not selecting default type properly.
	-Add auto_create parameter to gnc_import_select_account().  
	If this parameter is 0 and the function is called, it will silently
	return NULL if no matching account is found, instead of asking the
	user to select or create an account.
	-Clicking cancel will now cancel the import for the whole account
	instead of having to click cancel for each transaction.

2002-09-25  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-gui-query.c: Add routines to put up the
	various question/warning/error dialogs with a variable number of
	buttons.

	* src/app-file/gnc-file.c (gnc_file_set_shutdown_callback): Add a
	callback so the gnome specific code can call the "top level"
	shutdown function. (gnc_post_file_open): Rework the "file locked"
	query to include a "Quit" option.

2002-09-25  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-actions.c: Distinguish
	booked/noted balance now.

	* src/import-export/hbci/dialog-hbcitrans.c: Extend HBCI
	transaction dialog to use the gnc-amount-edit widget.

2002-09-23  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-actions.c,
	src/import-export/hbci/dialog-hbcitrans.[hc] : Connect the HBCI
	transaction-invocation and gnucash xfer dialog.

	* src/gnome/dialog-transfer.[hc]: Add set_memo access function.

2002-09-23  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/Transaction-matcher.c, generic-import.glade:
	-Transactions just downloaded are now ignored from the matchlist.
	-Reimplement transaction duplicate detection using unique-ID.
	Transactions with a negative confidence are those that would normally
	be completely ignored (will be a user preference).
	-Added a split's memo column to downloaded list and match list
	(will be possible to turn it off in user prefs)
	-Fix segfault when toggling buttons without a transaction selected.
	-Fix action buttons refresh bugs.
	-Grayout inappropriate selections for action list and change the look
	of the buttons.
	-The REPLACE action really works this time.

	* src/import-export/generic-import.glade: Change the title of the
	transaction matcher and change the look and alignment of
	the action buttons.

2002-09-22  Benoit Grégoire  <bock@step.polymtl.ca>

	* src/import-export/gnc-generic-import.c: Remove obsolete file now
	split into Account.c Transaction.c and Utilities.c

	* src/import-export/generic-import.glade: Change label of "Online ID"
	column to "Account ID" in the account matcher for consistency

2002-09-19  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-actions.[hc], gnc-hbci-cb.[hc],
	dialog-hbcitrans.[hc], gncmod-hbci.c,
	src/import-export/hbci/glade/hbci.glade: Added dialog and HBCI
	code for HBCI online transaction invocation, and added a menu item
	to call this dialog.

2002-09-18  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gncmod-hbci.c: Add menu-extension code
	for register menu items.

	* src/import-export/hbci/gnc-hbci-cb.h: add callback for register
	window's menu.

	* src/import-export/hbci/gnc-hbci-actions.c: Fix/improve first
	real HBCI task so that it might actually run.

2002-09-17  Christian Stimming  <stimming@tuhh.de>

	* src/gnome/window-register.c (regWindowLedger): Uses the
	menu_setup_with_data introduced below.

	* src/gnome-utils/gnc-menu-extensions.[hc]
	(gnc_extensions_menu_setup_with_data): Added, so that windows can
	pass userdata on to the extension menu's callback functions.

	* src/gnome/window-register.[hc]: Add getter functions for RegWindow
	data.

2002-09-17  David Hampton  <hampton@employees.org>

	Add progress bar to main window.  Shows progress of read, write
	and export functions.  Adds a callback for the backend to pass a
	percentage done number out to the session code, and a callback for
	the session code to pass this percentage out to the caller's gui
	display function.
	
	* src/app-file/gnc-file-p.h:
	* src/app-file/gnc-file.c (gnc_file_set_pct_handler): Add a file
	handler "percent done" routine that can be installed.
	
	* src/app-file/gnc-file.c (gnc_post_file_open) (gnc_file_save):
	Call the file handler routine pre/post file read/write, and pass
	the handler into the backend so that it can report percentage
	complete.

	* src/app-file/gnc-file.c (gnc_file_export_file): 
	New export function.  This is the upper half of the exporting
	function.  This is designed similar to the read/write routines.

	* src/backend/file/gnc-backend-file.c
	(gnc_file_be_write_accounts_to_file): New export function.  This
	is part of the lower half of the exporting function.  This is
	designed similar to the read/write routines.

	* src/backend/file/io-example-account.c
	(gnc_write_example_account):New calling arguments.  Add counters.
	Invoke the percentage done callback where appropriate.
	
	* src/backend/file/io-gncxml-v2.c (add_schedXaction_local)
	(run_callback) (write_xxx): New calling arguments.  Add counters.
	Invoke the percentage done callback where appropriate.
	(file_rw_feedback): New function for XML read/write.  Computed
	percentage done then calls the callback function handed in from
	outside of the backend code.  (gnc_sixtp_gdv2_new): New auxiliary
	function. (gnc_book_write_to_xml_filehandle_v2)
	(gnc_book_write_accounts_to_xml_filehandle_v2): Remember count of
	items to process. (gnc_book_write_accounts_to_xml_file_v2): Other
	part of the lower half of the exporting function.
	
	* src/backend/file/io-utils.c (write_account_group)
	(write_accounts):New calling arguments.  Add counters.  Invoke the
	percentage done callback where appropriate.

	* src/backend/postgres/PostgresBackend.c:
	* src/backend/rpc/RpcBackend.c:
	* src/enfine/Backend.c:
	Initialize the new pointers in the backend data structure.
	
	* src/gnome/window-main.c (gnc_main_window_file_export_cb):
	The file export function was moved into gnc-file.c.

	* src/engine/Makefile.am:
	* src/engine/gnc-session-scm.[ch]: New files.  Moved the scheme
	session read/write hooks here because of the new callback. Keeps
	scheme out of the main session sources.

	* src/engine/gnc-session.c (gnc_session_load): 
	(gnc_session_save): Added a callback for percentage done.
	(gnc_session_export): New export function. This is the middle of
	the exporting function.  This is designed similar to the
	load/save routines.

	* src/engine/gw-engine-spec.scm: New arguments to session
	load/save. New session export function.

	* src/gnome/gw-gnc-spec.scm: New function to destroy the splash screen.

	* src/gnome/top-level.c: No longer destroys splash screen.

	* src/scm/main.scm: I18n new splash screen strings. Destroy splash
	screen after loading data file.
	
2002-09-16  Derek Atkins  <derek@ihtfp.com>
	Fix bug #91413 -- Add TaxTable defaults to Customers and Vendors

	* business-core/gncCustomer.[ch] -- add API for TaxTable and TaxTableOverride
	* business-core/gncVendor.[ch] -- add API for TaxTable and TaxTableOverride
	* business-core/file/gnc-customer-xml-v2.c -- store TaxTable and TTOverride
	* business-core/file/gnc-vendor-xml-v2.c -- store TaxTable and TTOverride
	* business-gnome/dialog-customer.c -- display/choose TaxTable and TTOverride
	* business-gnome/dialog-vendor.c -- display/choose TaxTable and TTOverride
	* business-gnome/glade/customer.glade -- add TaxTable Menu and Override button
	* business-gnome/glade/vendor.glade -- add TaxTable Menu and Override button
	* business-ledger/gncEntryLedger.c -- set traverse_to_new = TRUE when
	  you create a new ledger.
	* business-ledger/gncEntryLedgerLoad.c -- don't load the ledger the
	  first time through (e.g. when there is no invoice and no entries).
	  Pull in the default TaxTable, TaxIncluded, and Discount flags.

2002-09-16  David Hampton  <hampton@employees.org>

	* src/business/business-gnome/search-owner.c:
	* src/gnome-search/search-xxx.c: Prefix various functions with
	gncs_ to prevent naming conflicts with system routines.

2002-09-15  Derek Atkins  <derek@ihtfp.com>
	* fix bug #93331
	* src/business/business-gnome/glade/payment.glade
	* src/business/dialog-tax-table/tax-tables.glade
		make resizable; increase default account-tree size

	* fix bug #93333
	* business-gnome/dialog-payment.[ch] --add API to create the payment
	  dialog with an initial value
	* business-gnome/dialog-invoice.c -- call the new payment API when
	  you try to pay an invoice from the invoice window or the invoice
	  search results.

	* business-ledger/gncEntryLedger.c -- fix vendor bills to print
	  subtotals properly on the current-line.

	* configure.in -- die during configure if g-wrap version is wrong
	
2002-09-15  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-dense-cal.c (gnc_dense_cal_mark): Fix
	assertion failure for ignorant callers, Bug#92779.

2002-09-14  David Hampton  <hampton@employees.org>

	Refactor the startup to display the splash screen faster (bug #92192)

	* src/app-utils/kvp-option-registry.scm -- use slib
	* src/gnome/gnc-splash.c -- add a progress bar to the splash screen.
	  don't timeout the screen, require the app to shut it down.
	* src/gnome/gnc-splash.h -- export new splash API
	* src/gnome/gw-gnc-spec.scm -- wrap init-splash and update-splash
	* src/gnome/top-level.c -- refactor gui_init into splash_init and gui_init.
	  destroy the splash screen once the main window is up.
	* src/gnome/top-level.h -- export init_splash_screen function
	* src/scm/main.scm -- refactor startup into multiple stages to bring the
	  splash screen up sooner.  Update the splash screen during different
	  stages of the startup.

	Font Problems
	
	* src/gnome/top-level.c (gnc_gui_init): Exit gracefully if the
	register fonts can't be loaded.

	* src/gnome/window-main.[ch] (gnc_shutdown): Export this function.

	* src/register/register-gnome/gnucash-style.c
	(gnucash_style_set_register_font_name):
	(gnucash_style_set_register_hint_font_name): Complain to the user
	if a font can't be loaded.  Don't release any existing font until
	the new font has been successfully loaded.
	(gnucash_style_init): Indicate if all fonts were loaded.

2002-09-14  Derek Atkins  <derek@ihtfp.com>
	Add TaxTable entries to Vendor Invoices (Bills); make sure it does
	not bleed over into billback items.  Fixes RFE #91415

	* business-core/gncEntry.[ch] -- change the API to provide
	  separate storage for Price, Taxtable information, etc. for
	  Invoices and Bills, for chargeback features
	* business-core/file/gnc-entry-xml-v2.c -- change the XML to
	  clearly separate the "bill" and "invoice" data.
	* business-core/gw-business-core-spec.scm -- change scheme API
	  to match the new gncEntry API
	
	* business-core/gncInvoice.c -- use new gncEntry API.  If posting
	  a bill, set the invoice-price on each "billable" item.

	* business-gnome/business-prefs.scm -- duplicate the Taxincluded
	  preference into Invoice Taxincluded and Bill Taxincluded.
	
	* business-gnome/dialog-invoice.c -- use proper Price (Invoice
	  Price or Bill Price) when sorting by price.
	
	* business-ledger/gncEntryLedgerP.h -- add "is_invoice" flag
	* business-ledger/gncEntryLedger.c -- set is_invoice at creation
	* business-ledger/gncEntryLedgerLayout.c -- add TaxTable columns to Bills
	* business-ledger/gncEntryLedgerLoad.c -- initialize the entry properly
	  based upon this being an invoice or a bill.  Use different global
	  pref's as well.
	* business-ledger/gncEntryLedgerModel.c -- Load/Save using the new API.
	  Make price-cell immutable if the ledger is an invoice-ledger and the
	  entry is attached to a bill.

	* business-reports/invoice.scm -- use new API

2002-09-07  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/gnc-generic-import.c, ...: Patch by Benoit
	Gregoire <bock@step.polymtl.ca>: This is the new transaction
	matcher GUI.  Basic functionality is 100% implemented.
	Transaction matching using unique-id was temporarily disabled to
	ease testing of the heuristics.  Will be re-implemented very soon.

2002-09-02  Derek Atkins  <derek@ihtfp.com>
	* src/gnome/.cvsignore: ignore gnc-version.h
	* src/report/report-system/html-style-info.scm: fix bug
	  (it should be gnc:amount->string, not ->string-helper)

2002-09-01  Derek Atkins  <derek@ihtfp.com>
	* configure.in: remove GNUCASH_BUILD_DATE
	* src/gnome/Makefile.am: build gnc-version.h, and #define a string
	  defining the time when gnucash was built (GNUCASH_BUILD_DATE)
	* src/gnome/gnc-splash.h: include the new gnc-version.h header

2002-09-01  David Hampton  <hampton@employees.org>

	* src/gnome-utils/gnc-menu-extensions.[ch]:
	* src/gnome-utils/gw-gnome-utils-spec.scm: Add support for a
	window name "prefix" to the menu extensions code.  All menu
	extensions must now indicate to which window they apply.

	* src/gnome/window-main.c: Added a prefix to the call that
	installs menu extensions.
	
	* src/business/business-gnome/dialog-invoice.c:
	* src/gnome/window-register.c: Now installs any menu extensions
	available for the window.

	* src/business/business-gnome/business-gnome.scm:
	* src/gnome-utils/gnc-menu-extensions.scm:
	* src/import-export/hbci/hbci.scm:
	* src/import-export/ofx/ofx-import.scm:
	* src/import-export/qif-import/druid-qif-import.c:
	* src/report/report-gnome/report-gnome.scm:
	* src/scm/main.scm: Add prefixes to the menu extensions.

2002-09-01  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/druid-hbci-initial.c: Adapt to latest
	changes in OpenHBCI -- requires OpenHBCI's CVS branch "aq-0_9"
	which is going to be the HEAD branch of OpenHBCI soon.

	* src/report/report-system/html-style-info.scm
	(gnc:default-html-gnc-monetary-renderer): Add new workaround to
	display the Euro symbol correctly in gtkhtml.
	
2002-08-28  Derek Atkins <derek@ihtfp.com>
	* Update README to mention g-wrap 1.3.2 (instead of 1.1.9)
	* Update ltmain.sh with a (commented-out) patch to maybe cope
	  with the "make install DESTDIR=..." problem.

2002-08-25  Derek Atkins <derek@ihtfp.com>
	* Pull up change from 1.6 to make "make dist" work on swig subdir
	without "swig" being installed.

2002-08-25  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/gnc-hbci-cb.h, gnc-hbci-actions.h, *:
	More HBCI work, including callbacks for account menu entries and
	the respective HBCI actions. Still nothing to test for the general
	public, though.

2002-08-18  Joshua Sled  <jsled@asynchronous.org>

	* src/gnome-utils/gnc-frequency.c: Added support for a "changed"
	signal so callers can use their own calendar to show the effects
	of editing the FreqSpec.

	* src/gnome/dialog-sx-from-trans.c: Added support for using the
	dense-calendar for showing the effects of option changes.

	* src/gnome/dialog-scheduledxaction.c: Added editor support for
	using the dense-calendar for showing the effects of FreqSpec
	changes; re-arranged the editor layout to accommodate.  Added
	editor support for showing the last-occurred date of an SX.

	* src/gnome/glade/sched-xact.glade: Changes to sx-from-trans
	dialog, SX editor, GNCFrequency-widgets.

	* src/gnome/dialog-sxsincelast.c (sxsincelast_entry_changed):
	Added support for variable-entry parsing errors to go to an
	on-screen status bar instead of being printed to stderr
	[Bug#90354].

	* src/gnome/druid-loan.c (gnc_loan_druid_length_changed): Added
	change-handler to the total-loan-length spin; when it changes, the
	remaining-length spin changes the same [Bug#90785].
	(gnc_ui_sx_loan_druid_create): Adjusted the size/granularity of
	the interest-rate spin-button to 3 sig.digits. [Bug#90780].

	* src/gnome/glade/sched-xact.glade: Changed [back?] the
	shrink/auto-shrink flags on the since-last-run-druid, fixing
	Bug#90364 and strangely fixing Bug#90365.

2002-08-15  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/*: much more HBCI work. Ini-Letter of
	user can already be printed. However no information is *sent* to
	the bank or saved to disk so far, so everybody can play around as
	you like. 

2002-08-14  Joachim Breitner <mail@joachim-breitner.de>

	It may not be appropriate for a newcomer in the gnucash community
	like me, but could you please please include this simple patch in
	the 1.6.7 release? The VWD source (already in Finance::Quote) is
	the only source that has the German Deka-Fonts.

2002-08-14  David Hampton  <hampton@employees.org>

	* business-gnome/Makefile.am: cross-link the business-core
	  library.  This appears to fix the "load on reiserfs" problem.

2002-08-14  Derek Atkins  <derek@ihtfp.com>

	* acinclude.m4: fix guile bounds-check to make sure guile-config exists

2002-08-13  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/*: more work on HBCI support. Added a
	progress window.

2002-08-11  David Hampton  <hampton@employees.org>

	* acinclude.m4: 
	* configure.in: Add upper bounds checking on the versions of
	guile and g-wrap.

2002-08-11  Christian Stimming  <stimming@tuhh.de>

	* src/import-export/hbci/dialog-pass.h: Added dialogs for password
	handling.

